commit c902ee7712d0c791c60bd5abc227bd70b60c1e59
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Nov 25 16:04:15 2023 +0100

    Disambiguate thumbnailer signals
    
    Thumbnailer signals contain only the URI as original information,
    whereas the same URI can be processed for different flavors or even
    different mime types. This isn't a problem as long as requests are
    processed sequentially, but it's not necessarily the case since
    9980fc3b. More generally, these signals should return the
    TumblerFileInfo that the thumbnailers receive when a request is made, to
    remove any ambiguity when the scheduler filters the signals.
    
    Completes: 6e45f64e9a2c04301074b6a99bbb0e970562a2e8
    (cherry picked from commit 8d86539aecbae303e8f8fb3f730c11f40d655c87)

commit 33ccf5ea7ba35a1fd2e62f8922efa80b046e00f1
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Nov 18 17:29:42 2023 +0100

    scheduler: Fix ready/error signal forwarding
    
    Since 9980fc3b, multiple requests can take place in parallel, although
    URIs within a single request are still processed sequentially. As
    thumbnailers are common to all requests, the ready and error signal
    for thumbnailers need to be filtered to ensure that a signal is only
    forwarded if it relates to the right request.
    
    On the one hand, this fixes duplicate signals, but it may also fix
    partial request cancellations, as in some cases g_cancellable_cancel()
    could be called on the ready signal for the wrong request (if a
    thumbnailer succeeds for a URI, the invocation of lower-priority
    thumbnailers for this URI is cancelled).
    
    Fixes: 9980fc3b8d5043f2079b4a631caf7ca23a43d4fe
    (cherry picked from commit 6e45f64e9a2c04301074b6a99bbb0e970562a2e8)

commit fa7d9e1fafd2a0e382dacd02e43543617cb133ab
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Nov 18 16:26:53 2023 +0100

    desktop-thumbnailer: Use empty path to build cmdline if it is null
    
    This is probably best in general, as otherwise adding the path is simply
    ignored in desktop_thumbnailer_exec_parse(), which has the effect of
    shifting the command line parameters. It's then up to the desktop
    thumbnailer executable to correctly handle the case of an empty path,
    but at least it will have the right number of parameters.
    
    Completes: 1719ce1a47003bb755e63da6f6f3a0dee12855b7
    (cherry picked from commit 93bfa7646775b1f523f8f06ab6ba70361a90fda1)

commit 1cd803537d7edd421a4c7dd25ea4b705329ef581
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Nov 2 11:15:55 2023 +0100

    Update spec link in README
    
    (cherry picked from commit 0fe6df5cba31ec4a211986edd616ee9ec7bb3260)

commit f46002c038196c86c72b1c87fc6e5c021cd68742
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Oct 27 19:42:52 2023 +0200

    xdg-cache: Fix temporary file management when saving thumbnail
    
    * First close output stream, then rename the file: I'm not sure how it
      worked before, probably glib worked it out internally, but it was
      wrong.
    * Delete temporary file in case of any error, not just when renaming
      failed.
    
    (cherry picked from commit 9e1dc181738422ca22aad4a704909f3ed3b4e802)

commit db36810698cb85f420689675b033aeb0f5b690d1
Author: Darin <newhoa@protonmail.com>
Date:   Sun Jun 11 07:34:15 2023 -0400

    Add icon at 64px, clean up SVG metadata
    
    This should give a cleaner look in xfce4-about > About tab with 2x UI scaling.
    Removes export path strings from SVGs, metadata which Inkscape added on export.
    
    Note:
    Inkscape has recently changed how export paths are saved, using relative
    paths, so that shouldn't be an issue in the future.
    
    (cherry picked from commit fa61d0c6bd78003a2c2196a6db0e0c74cba54e11)

commit c299bf02f369333c845bc0768c061dfc2e3c4953
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Apr 17 12:53:48 2023 +0200

    Updates for release

commit 1120b9c8a7057ef93edec154398bbca04a5c9e81
Author: Błażej Szczygieł <mumei6102@gmail.com>
Date:   Sat Mar 18 00:24:40 2023 +0100

    Fix memory leak in jpeg-thumbnailer
    
    Closes #72
    
    (cherry picked from commit c47a2b52722bb43d0717b10ba6d34dab03f646e1)

commit f24cb30b107526cc4a78d4827fa48623ed6d70f6
Author: Błażej Szczygieł <mumei6102@gmail.com>
Date:   Sat Mar 18 00:24:35 2023 +0100

    Fix memory leak in cover-thumbnailer
    
    Closes #72
    
    (cherry picked from commit b33543c1012cd9074203cd503adeea343abc5be3)

commit 937a27bd55da8380eec6bd61c7143d5b259233a1
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Mar 11 20:23:27 2023 +0100

    Fix previous commit
    
    Fixes: 2f16e4171d64a74fd58ac8adb5a023dfca319b2d
    (cherry picked from commit 8e630f2834f6853a1eddc18ff1023a92fcc93fdb)

commit 99c55fe19d50a543553a14233194c79d823927a5
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Feb 19 19:09:20 2023 +0100

    cover-thumbnailer: Fix deprecation warning
    
    (cherry picked from commit 2f16e4171d64a74fd58ac8adb5a023dfca319b2d)

commit e0584ad9f9d1689a1f90fbd3076d04575c803d04
Author: Anonymous <noreply@xfce.org>
Date:   Thu Feb 2 12:47:36 2023 +0100

    I18n: Add new translation en_CA (100%).
    
    25 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit e6c0fbc25c679ce95ad2eae34a4bc8f65de5a022
Author: Anonymous <noreply@xfce.org>
Date:   Sat Jan 28 12:47:49 2023 +0100

    I18n: Update translation el (100%).
    
    25 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit a3c4cd9ebcfcc671377f09c322f4c4a98c39fc31
Author: Anonymous <noreply@xfce.org>
Date:   Fri Jan 13 12:47:32 2023 +0100

    I18n: Update translation pt (100%).
    
    25 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 3e6d8502de745a4e36c715779f71520a12607335
Author: Anonymous <noreply@xfce.org>
Date:   Mon Dec 19 12:46:33 2022 +0100

    I18n: Update translation ko (100%).
    
    25 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 8516f775438f48ede28ddba687d384862f7a4f5e
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Dec 16 16:24:10 2022 +0100

    build: Let xdt-depends.m4 macros set GLib macros

commit 0b83e5bb0e2ab0fc529ec5ecb0818aef377ff523
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Dec 15 10:00:32 2022 +0100

    Updates for release

commit 96151c1ea44f43e372622dd318388c91c55d7062
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Dec 5 20:54:13 2022 +0100

    build: Bump requirements for Xfce 4.18

commit e86965b691045ac30824ea172624b02ce4750754
Author: Anonymous <noreply@xfce.org>
Date:   Mon Dec 5 12:46:52 2022 +0100

    I18n: Update translation hu (100%).
    
    25 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 20bb4fb334a61023db71d54e2942cd8d0b259d84
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Dec 5 12:11:25 2022 +0100

    tumbler.rc: Fix typo in explanatory comment

commit 699470eac8802e7d86223c476b0ec9011e6e2b81
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Oct 31 16:45:36 2022 +0100

    Updates for release

commit d6e225244cd1d6839e2713938a5c0968aae2f682
Author: Anonymous <noreply@xfce.org>
Date:   Thu Oct 20 00:46:18 2022 +0200

    I18n: Update translation kk (100%).
    
    25 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 5ca6c869b3f7eb6897daa6618050a903567f4cbb
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Oct 17 16:35:45 2022 +0200

    desktop-thumbnailer: Avoid recursion (Fixes #67)

commit 56838f11a919b9e9b1b572844c7ededd685ccb25
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Oct 17 13:35:27 2022 +0200

    desktop-thumbnailer: allocate/free memory at the right level

commit 4675e67386acbf24695cc8f370454a3663c9866f
Author: Anonymous <noreply@xfce.org>
Date:   Tue Oct 4 14:24:23 2022 +0200

    I18n: Update translation gl (100%).
    
    25 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit b9d31b92fdd644e93483e1848d14223da130ef34
Author: Anonymous <noreply@xfce.org>
Date:   Sat Sep 17 00:47:09 2022 +0200

    I18n: Update translation ru (100%).
    
    25 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 3ddd3e940bf8b7d969f57c334e0d366f3722edd9
Author: Jakob Haufe <sur5r@debian.org>
Date:   Wed Sep 14 20:48:12 2022 +0200

    Allow libgepub 0.7 as well

commit 556bf23ff26297aeb9a33ff5c55e100344ca0d1a
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Sep 5 12:30:59 2022 +0200

    docs: Fix broken links

commit 5f9d36f559b6865ae373dcfd3097c59785e89cfa
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Sep 5 11:38:14 2022 +0200

    docs: Remove pointless sections
    
    * TUMBLER_INSIDE_TUMBLER_H -> _TUMBLER_INSIDE_TUMBLER_H

commit fea0998e7f4d9cad47c955870aa444aa228b1077
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Aug 11 17:10:35 2022 +0200

    cleanup: Do not set and free a GError unnecessarily

commit a0fc191e8ab41fe579f3333085d649fdacb2daa5
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Aug 2 15:25:43 2022 +0200

    gst-thumbnailer: Add mime type check (Fixes #65)

commit 1719ce1a47003bb755e63da6f6f3a0dee12855b7
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Jul 27 04:18:59 2022 +0200

    desktop-thumbnailer: Guard against null path
    
    It can for example be null for a file in the trash can. The working
    directory that follows is optional, and the path is only required
    afterwards if the thumbnailer command uses the `%i` field code, instead
    of `%u`. In this case, the command will fail in its own way, most likely
    gracefully.

commit 1d304f4dcd56297353d5fa7937ab591a407f6585
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Jun 19 08:59:16 2022 +0200

    Updates for release

commit 1bacb99a2725fa5eb77afc5a4b452435a0e2752a
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Jun 14 12:49:18 2022 +0200

    Yet another fix to the modification time storage format
    
    Another option would have been to keep separate guint64 and guint32
    storage internally for the integer and fractional part of the
    modification time, shifting the difficulty to string manipulations when
    restoring from disk. Ultimately, this may be safer, but it is certainly
    more cumbersome and should work that way.
    
    Related: #15, !20

commit 273c2e1db41ca0ff2e5744e969aeb7b02d3c561f
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Jun 12 10:26:24 2022 +0200

    Updates for release

commit 3c14bc244a321b771742a0f3f51b465ef40c316e
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Jun 10 20:28:04 2022 +0200

    Fix previous commit

commit 07b2e9f54cf84bdb56cea605095c2a432178fdc5
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Jun 10 19:32:13 2022 +0200

    Store modification time in locale independent format
    
    A mistake in a242e1324c7a3d1428e2a8ce58ee77c71967d8b7: the `printf()`
    function family is obviously locale dependent. So either avoid it or use
    `strtod()` for reverse conversion, which is also locale dependent.
    Clearly it is best to remain locale independent for this kind of
    information.
    
    Related: #15, !20

commit 2e1c6a9290a857b051b19d97c21c2c65cc0a0aab
Author: Stelios Tsampas <zeronebones@gmail.com>
Date:   Thu Jun 9 00:47:19 2022 +0200

    I18n: Update translation el (100%).
    
    25 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 1e9e40da3da216f838a1c188edbdf02eae38334e
Author: Wellington Almeida <wsalmeida6@gmail.com>
Date:   Tue May 3 12:47:49 2022 +0200

    I18n: Update translation pt_BR (100%).
    
    25 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 274659812efefb230063e9804a61df0d1f0b005c
Author: Anonymous <noreply@xfce.org>
Date:   Fri Apr 29 00:47:25 2022 +0200

    I18n: Update translation en_GB (100%).
    
    25 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit c667d3e701e7c4f74ce64dfdef3789d0dda17fd4
Author: Anonymous <noreply@xfce.org>
Date:   Sun Apr 24 12:48:36 2022 +0200

    I18n: Update translation ms (100%).
    
    25 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 1924a9fb5561b666ac7afd8f036694b47dd78f34
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Apr 23 16:13:51 2022 +0200

    cleanup: Fix alignment
    
    An oversight in 5affdb5ccdba711ada11f4cde7d7acc840b5a4be, but better to
    do it in a separate commit anyway.

commit 9b3ec4bbc94c287eaa6b5c9ac9ac870e8b014d64
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Mar 29 23:58:14 2022 +0200

    desktop-thumbnailer: Delete temp file at the same level it was created
    
    Fixes #57.

commit 9980fc3b8d5043f2079b4a631caf7ca23a43d4fe
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Mar 17 13:04:08 2022 +0100

    scheduler: Enable multi-threading
    
    Helps #1, although it doesn't result in generating thumbnails of a
    request in parallel. A different implementation of the group scheduler
    would be needed for that.

commit 37c8ea571897c47497ea3e1584676a823374bfe9
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Mar 17 11:37:38 2022 +0100

    i18n: Add missing initialization

commit ebaafc825af1c7fd11d3ebf37482ffe1ffc3bb69
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Mar 17 00:01:15 2022 +0100

    Fix missing mutex unlock in group scheduler
    
    Tumbler could get stuck if a previous request was cancelled because of
    this. An obsolete assert is also removed which may prevent an error
    signal from being sent.
    
    Fixes #56.

commit 86f9461d976a586f7a84876aba5249ea2468c904
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 14 00:47:22 2022 +0100

    I18n: Update translation da (100%).
    
    25 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 43694600233d71a0364af05773829f8657c7edb9
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 12 00:47:26 2022 +0100

    I18n: Update translation ru (100%).
    
    25 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 8898215b0a9c70230a75a1ec39ed1d9a19dafff5
Author: Anonymous <noreply@xfce.org>
Date:   Sun Feb 13 00:47:36 2022 +0100

    I18n: Update translation eu (100%).
    
    25 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit e6dc6801446e2757b8024503e00cef69b2e6f31b
Author: Yarema aka Knedlyk <yupadmin@gmail.com>
Date:   Sat Feb 5 00:47:16 2022 +0100

    I18n: Update translation uk (100%).
    
    25 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 7c7bd60f329e351ebdc02c5268364539d8197d29
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Jan 9 21:04:31 2022 +0100

    Rename service files according to the chosen service name prefix
    
    Completes previous commit, related to !21.

commit b075248d977a6491a6f0f63f5bc67cdb16c3a0f8
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Jan 5 20:37:31 2022 +0100

    Allow to choose an alternative service name prefix
    
    This is primarily for Flatpak packaging, where a "private service" is
    desirable, although one could imagine using it in other contexts. The
    prefix must be specified via the environment variable
    `TUMBLER_SERVICE_NAME_PREFIX`.
    
    Related to xfconf#27, see !21 for more details.

commit 724fd4465fa72a7202a97fa98850008f98272084
Author: Саша Петровић <salepetronije@gmail.com>
Date:   Sun Jan 9 12:48:08 2022 +0100

    I18n: Update translation sr (100%).
    
    25 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit cb5feb8cf76c7b2009c3d5273461da7d352d6d93
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Jan 9 10:59:43 2022 +0100

    Build: Check for best possible grep, egrep, sed
    
    In particular, $EGREP was introduced in
    d82e509551db98ff70e47d1990f759948ee7fecd whithout check.

commit 19dd29632d698360faf0559895b0b03119eb1370
Author: Anonymous <noreply@xfce.org>
Date:   Thu Jan 6 00:47:49 2022 +0100

    I18n: Update translation ro (100%).
    
    25 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 3560cf52e6f0621ed2786ef360fc97ea408ad49e
Author: Wellington Almeida <wsalmeida6@gmail.com>
Date:   Tue Jan 4 00:47:02 2022 +0100

    I18n: Update translation pt_BR (100%).
    
    25 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit b38db8a632dee2109339c3e80150ca7f94696024
Author: Martin Srebotnjak <miles@filmsi.net>
Date:   Sun Jan 2 00:47:09 2022 +0100

    I18n: Update translation sl (100%).
    
    25 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 8efa52bd31f96351d1cce2c7cddbb6302679c96a
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Jan 1 20:23:31 2022 +0100

    Updates for release

commit d3a5ca465fa7a5a19aa0c790b615cd28ab0470e3
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Jan 1 19:36:57 2022 +0100

    Update the list of authors

commit e18d041cf9c10e6c306c8ec6fef293bd57aa3a68
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Jan 1 18:46:33 2022 +0100

    Bump required gdk-pixbuf to 2.36.2
    
    To include the fix that obsoletes
    984e67ce5247a2543f0fd547b42201043c69e9b2, reverted in
    283c7045d669941f3820f3963b9de6ea3baa96ea.
    
    See also:
    https://bugzilla.xfce.org/show_bug.cgi?id=13360
    https://gitlab.gnome.org/GNOME/gdk-pixbuf/-/issues/57

commit d9a68fa14447be6f22674050820adb10208f6d71
Author: Omer I.S <omeritzicschwartz@gmail.com>
Date:   Sat Jan 1 00:47:12 2022 +0100

    I18n: Update translation he (100%).
    
    25 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 57179f80167313e2bc02f94981c66ce9b3004fcd
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Dec 29 18:49:07 2021 +0100

    Fix wrong parameters in error signal
    
    An oversight in 49ffba98d7cf9626a1470bc49a53596300fe3550.

commit 87b66b4993c2d24a1d8a7274bc211efd901be855
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Dec 29 18:18:28 2021 +0100

    Debug: Display data side-by-side when appropriate

commit df92863d7d4b8d8e22a40af2495483410e47f45b
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Dec 29 17:06:54 2021 +0100

    Debug: Write on stderr if possible

commit 5affdb5ccdba711ada11f4cde7d7acc840b5a4be
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Dec 29 16:08:18 2021 +0100

    Add support for thumbnail size x-large and xx-large
    
    Closes #51.

commit 7fdab65f7a2144a7cae4d49bea13cea3644dfc3c
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Dec 29 10:48:14 2021 +0100

    desktop-thumbnailer: Allow to override configuration in desktop files
    
    The "X-Tumbler Settings" group is searched in each desktop file with the
    same keys as in `tumbler.rc`, where the default configuration is now.
    
    Closes #52.

commit 270289b3a3f2f9ac7891f26135bae6d5e574c868
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Dec 28 19:28:10 2021 +0100

    desktop-thumbnailer: Allow for thumbnailer override
    
    By the usual rule: for a given thumbnailer name, the one placed in the
    highest priority directory overrides the others of the same name.
    
    Closes #53.

commit cd30208a015032a17df7e5038be357ef5acc1de2
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Dec 28 18:57:40 2021 +0100

    Cleanup: Avoid code duplication

commit a188f1c30f8e7c98373d620832933522ad29d14f
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Dec 28 16:20:37 2021 +0100

    Try all available thumbnailers before declaring failure
    
    The request thumbnailer array no longer contains one thumbnailer per
    URI, but the list of available thumbnailers for this URI (after applying
    the filters of the configuration file), sorted by priority.
    
    For a given URI, we browse the thumbnailer list until we succeed in
    generating a thumbnail. An error signal is only issued if the last
    thumbnailer has failed. Intermediate errors are only displayed if debug
    logging is enabled.
    
    Closes #50.

commit ad8d6ac59b20ab8ccbb3ce4d56c71d25f2a435b6
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Dec 28 13:39:07 2021 +0100

    gepub-thumbnailer: Add missing sanity check

commit 4efd70c9e26a93800091b3252ff5ace12eeb3c1f
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Dec 28 13:18:28 2021 +0100

    Use GLib structured logging
    
    The move to GLib 2.56 in b014aabd2d78472a18a9b863e51dd6f1631d78cb allows
    to use structured logging in GLib logging macros. This makes it more
    suitable for viewing via tools such as `journalctl`, and adds some
    message location information.

commit e985e8489caf66a094c8a44bceef3a71f52f98e5
Author: Anonymous <noreply@xfce.org>
Date:   Wed Dec 29 12:48:03 2021 +0100

    I18n: Update translation oc (100%).
    
    25 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 09a01fd337fec0a747953dc851d7a22235deb7dd
Author: heskjestad <cato@heskjestad.xyz>
Date:   Tue Dec 28 00:47:13 2021 +0100

    I18n: Update translation nb (100%).
    
    25 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 1c2102e590edd202e048395f66bf7ed2df71bd4e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Thu Sep 24 17:35:30 2015 +0100

    Add a corresponding systemd user service for the D-Bus session services
    
    When running under a systemd user session, this results in tumblerd
    being placed in in its own cgroup, whereas previously it would be a
    child of dbus-daemon in the dbus.service cgroup.
    
    It also avoids races between up to three separate instances of the
    same executable being started for its three names, which could result
    in spurious activation failures if they are used in quick succession,
    similar to <https://bugs.freedesktop.org/show_bug.cgi?id=53220> in
    telepathy-mission-control.
    
    Closes #14.

commit 3ea0a2d0f93f71e69c7b5db39e7c3a72dfea918a
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Dec 27 12:53:45 2021 +0100

    Reserve some third-party API messages to debug logging
    
    FFmpegthumbnailer is known to be really verbose, and we don't have a
    priori control on the messages that can be displayed by external
    thumbnailers (it can be in particular FFmpegthumbnailer).
    
    Fixes #10, related to #29.

commit 32fb595aff6fbc6e37656d510bbccb46e9c1af9e
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Dec 26 17:54:23 2021 +0100

    Debug: Add some config-file-related messages
    
    Closes #23.

commit 6b3a1a6b6f8da39cebe053ca472308e81fe56d16
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Dec 26 12:16:57 2021 +0100

    Update generated doc and related files

commit 49ffba98d7cf9626a1470bc49a53596300fe3550
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Dec 26 00:06:34 2021 +0100

    Error handling: Fit to the spec and complete message if needed
    
    A parameter is added to Tumbler's internal error signals to account for
    the error domain, and the error code `TUMBLER_ERROR_OTHER_ERROR_DOMAIN`
    is added to indicate that the error originated from a third-party API.
    
    When sending the error signal via D-Bus, cancelling errors are filtered
    out, and when the error originates from a third-party API, the error
    message is prefixed with the domain and code of that error, in a
    possibly parsable format.
    
    Fixes #49.

commit ef518751bd744a48a165dc7c285f98b960c64a75
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Dec 25 18:48:43 2021 +0100

    Debug: Add or adjust some traces and dumps

commit 2c1fc2a84b7d7dcc731070f908b82da680972935
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Dec 25 10:31:34 2021 +0100

    Debug: Convert dump functions to `GString, g_debug()`

commit 8f439a5ae5c46ce5e3868078735253ca9d03aca7
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Dec 24 23:40:38 2021 +0100

    Debug: Prefer runtime to compile-time check for logging
    
    This is more convenient for both the developer and the user, especially
    when it comes to providing logs in a bug report. As for the loss in
    terms of performance, it is minimal, and this is normally not an issue
    where these functions are used.

commit b014aabd2d78472a18a9b863e51dd6f1631d78cb
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Dec 24 23:25:16 2021 +0100

    Cleanup: Use `g_file_peek_path()` when appropriate
    
    This simplifies the code, fixes leaks in `g_debug()` calls, and
    GLib 2.56 will be required when moving to Xfce 4.18.

commit 851a63ce087fe27c23bc625c25a4c0a9c976e895
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Dec 24 19:11:51 2021 +0100

    Cleanup: Remove deprecated GNOME build and TODO file

commit 59f9a132b5da72600af9701c9a6a9265a179b660
Author: Demiray Muhterem <mdemiray@msn.com>
Date:   Sat Dec 25 12:47:32 2021 +0100

    I18n: Update translation tr (100%).
    
    25 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 5aab4b86bc2197cd945c01837c3175b038c9e037
Author: Emanuele Petriglia <transifex@emanuelepetriglia.com>
Date:   Sat Dec 25 00:47:04 2021 +0100

    I18n: Update translation it (100%).
    
    25 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 1f7c2dfd97d83e036c039fe6a8ab4aa71a4e07a1
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Dec 23 07:08:48 2021 +0100

    Set the priority of external thumbnailers to 0
    
    If their priority is equal to that of another plugin, there is no way to
    know in advance which one will be prioritized in case of a mime type
    match (more precisely, it depends on the order in which
    `g_dir_read_name()` goes through the plugin directory).

commit 73ac649179ce14420adcb8215147a0b565755acc
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Dec 23 06:43:53 2021 +0100

    Revert "Set Max file sizes."
    
    This reverts commit 8f0234a4a14bfec9f0a1ef5c1c8b94fb523f5d41.
    
    There was no particular justification for this change, and since then
    there have been several interventions in bug reports or on the forum
    from users wondering why Tumbler does not generate thumbnails for
    certain files, especially video.
    
    There should not be a default size limitation, or only for a particular
    plugin, with a justification in the comments, and only if the problem
    cannot be fixed in the code.

commit 6282d5629e73129e3c92aca6789053061bdf0c79
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Dec 23 09:57:38 2021 +0100

    xdg-cache: Add missing sanity check

commit 77f7ee91c152851e7e244d12d6adb992963270f7
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Dec 23 09:26:57 2021 +0100

    xdg-cache: Remove temporary file when saving failed

commit 491693d2db0ad341988c739f9df3f83755bec50a
Author: Luna Jernberg <bittin@cafe8bitar.se>
Date:   Thu Dec 23 00:47:02 2021 +0100

    I18n: Update translation sv (100%).
    
    25 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 59341019b5ce93f8703004e56a1ca352feeab859
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Dec 22 19:39:11 2021 +0100

    xdg-cache: Set thumbnail permissions to 600
    
    See https://specifications.freedesktop.org/thumbnail-spec/thumbnail-spec-latest.html#THUMBSAVE

commit f0bc4cc996c8363d92180c9f60d9e6f1ad1cf7b2
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Dec 22 19:15:55 2021 +0100

    Fix mistake in previous commit
    
    I took the exception for the rule: let's hope this time it's good.

commit 9bd5c1084f3014ed059b8726b0df77d1b2957c94
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Dec 22 13:14:38 2021 +0100

    Fix typo in previous commit

commit 01548638d5a59191076551a9ce1be7f6b1616262
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Dec 22 12:41:47 2021 +0100

    Refactoring: Avoid code duplication

commit 62d0f3e2faaf4cdab3dd9f45eaa03cb9ad4219c6
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Dec 21 23:44:50 2021 +0100

    pixbuf-thumbnailer: Stop animated image loading at first frame
    
    Fixes #48.

commit 283c7045d669941f3820f3963b9de6ea3baa96ea
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Dec 21 23:29:29 2021 +0100

    pixbuf-thumbnailer: Try to ignore `GDK_PIXBUF_ERROR_CORRUPT_IMAGE`
    
    Some images reported as corrupt are still displayable, see e.g.
    https://gitlab.xfce.org/apps/ristretto/-/issues/39.

commit 76d30746487688b83150f952d704334b11197860
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Dec 21 16:03:17 2021 +0100

    jpeg-thumbnailer: Add missing sanity check
    
    Completes afb365a2e8cc57be895f4dc2d78d5f56d21700f9, related to #37.

commit 4c135e8fd53f67582011b904d681c3258a8f52b7
Author: Panwar108 <caspian7pena@gmail.com>
Date:   Tue Dec 21 12:47:56 2021 +0100

    I18n: Update translation hi (100%).
    
    25 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit a242e1324c7a3d1428e2a8ce58ee77c71967d8b7
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Dec 18 16:06:04 2021 +0100

    Use microsecond precision for last modification time
    
    When the file system allows it, this prevents Tumbler from believing
    that the original file has not been modified since the last time the
    thumbnail was created, when in fact modifications have taken place in
    the second that the thumbnail was created.
    
    The time of last modification is stored internally in a `gdouble`, and
    written to the PNG thumbnail in `%.6f` format. This complies well with
    the Freedesktop specification [1], as the stat command returns this
    format when invoked as `stat -c%.6Y file`, although it is likely that
    the specification was written with the idea that this value be an
    integer.
    
    The extraction of the thumbnail information is done via
    `g_ascii_strtod()`, so an integer or less precision is not a problem. As
    for a code expecting to find an integer, it is likely to simply ignore
    the decimal part, as Tumbler used to do by extracting the information
    via `atol()`. It is possible, however, that an error will be found if a
    more complete extractor is used, such as `strtol()`.
    
    The changes this causes to the exposed Tumbler APIs should also be
    inconsequential, as it is a conversion to a higher type. This should
    therefore result in implicit conversions, except perhaps for
    `tumbler_file_info_get_mtime()`, if its return value is explicitly
    stored in a `gint64`.
    
    [1] https://specifications.freedesktop.org/thumbnail-spec/thumbnail-spec-latest.html#CREATION
    
    Fixes #15, see !20 for more details.

commit ad432ab47e1ede51bee08af11daca69a9ca6a216
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Dec 20 18:24:28 2021 +0100

    poppler-thumbnailer: Fix error handling

commit fe51cbf69d297fd391d7361877529b17118875b2
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Dec 20 17:47:14 2021 +0100

    pixbuf-thumbnailer: Simplify error handling

commit b7beef90918c2d3c3b3e33b75dfc4c08e0835398
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Dec 20 17:21:02 2021 +0100

    font-thumbnailer: Fix error handling

commit e7623e5d2d680f07c835ed9b1a607d44d897191b
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Dec 20 16:08:22 2021 +0100

    Cache cleanup when a request for a URI fails
    
    Fixes #22.

commit 203ebad323e3a6d4612f4e0cbe297dd8eb17da3e
Author: 玉堂白鹤 <yjwork@qq.com>
Date:   Mon Dec 20 12:47:38 2021 +0100

    I18n: Update translation zh_CN (100%).
    
    25 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit cf1411e252578ba2d9dab214cee9d1bc5a869d0f
Author: Hugo Carvalho <hugokarvalho@hotmail.com>
Date:   Mon Dec 20 00:47:15 2021 +0100

    I18n: Update translation pt (100%).
    
    25 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit afb365a2e8cc57be895f4dc2d78d5f56d21700f9
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Dec 19 18:23:36 2021 +0100

    jpeg-thumbnailer: Do not use low quality embedded thumbnail
    
    Fixes #37.

commit 51585293cc9006479be1e03754e80feed0b3f447
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Dec 19 12:47:57 2021 +0100

    I18n: Update translation zh_TW (100%).
    
    25 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit e99e97b85b2e7dd17215518dbe19074208ae1e2b
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Dec 19 12:47:57 2021 +0100

    I18n: Update translation zh_HK (96%).
    
    24 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 92ce657df8c8fb4b4e48dacb060a31db0b681c9c
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Dec 19 12:47:57 2021 +0100

    I18n: Update translation zh_CN (96%).
    
    24 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 0b8506ce6f571390dccd24b5b9bf9359f40f3088
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Dec 19 12:47:57 2021 +0100

    I18n: Update translation uk (96%).
    
    24 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit c94ba3520088bd6826be147fc5f08c1fbc9f2328
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Dec 19 12:47:57 2021 +0100

    I18n: Update translation ug (96%).
    
    24 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit e36de33a92cf7136a1a3f26724e9634fdf6fa6d3
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Dec 19 12:47:57 2021 +0100

    I18n: Update translation tr (96%).
    
    24 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 047d249bf9ebd55af2f9b90c5466ace77fd3c3a9
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Dec 19 12:47:57 2021 +0100

    I18n: Update translation th (96%).
    
    24 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 17b9e8838f7dae434170567ed49b2a0699bbeff0
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Dec 19 12:47:57 2021 +0100

    I18n: Update translation sv (96%).
    
    24 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 6cb5cae680c086883b336a8abc36f17fec6b9080
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Dec 19 12:47:57 2021 +0100

    I18n: Update translation sr (96%).
    
    24 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit c94d4573cc5c4e10a17189f5b6166863f8b60a90
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Dec 19 12:47:56 2021 +0100

    I18n: Update translation sq (100%).
    
    25 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 8ff92842f344c32e979f4c6f8455318dfa7c8549
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Dec 19 12:47:56 2021 +0100

    I18n: Update translation sl (96%).
    
    24 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit f7f4a00f23a603a4e518d2e60397861136b2e1ff
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Dec 19 12:47:56 2021 +0100

    I18n: Update translation sk (96%).
    
    24 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit fd125a8b31a3dbb804dce20ecc4af35f89f713cd
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Dec 19 12:47:56 2021 +0100

    I18n: Update translation ru (96%).
    
    24 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 3fe68ff4a08329a0cdb078874c929a2322def9b0
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Dec 19 12:47:56 2021 +0100

    I18n: Update translation ro (96%).
    
    24 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 32cba1f022d4524e6adbfdfd951de41e51ad56d3
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Dec 19 12:47:56 2021 +0100

    I18n: Update translation pt (96%).
    
    24 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 779437d2f3124cc51bd8174c31f7800a9598735a
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Dec 19 12:47:56 2021 +0100

    I18n: Update translation pt_BR (96%).
    
    24 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit f90f5cbdd6bf9d0da895a312118e647fdab69146
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Dec 19 12:47:56 2021 +0100

    I18n: Update translation pl (100%).
    
    25 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit e60b9a40ca897046f509450e8c54b44753f7dc63
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Dec 19 12:47:56 2021 +0100

    I18n: Update translation oc (96%).
    
    24 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit f74ef70266ef62f0040d721869a8663c5190672b
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Dec 19 12:47:55 2021 +0100

    I18n: Update translation nn (76%).
    
    19 translated messages, 6 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit b8f4b97535e3c7fc764b7d6b021f4fad7e1974d6
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Dec 19 12:47:55 2021 +0100

    I18n: Update translation nl (100%).
    
    25 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 1751a397fcb12288609bd5e781f81a32d237f961
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Dec 19 12:47:55 2021 +0100

    I18n: Update translation nb (96%).
    
    24 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 2c83fa5c913852c8d5e11dc11aa2fd2b7cf9aa7a
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Dec 19 12:47:55 2021 +0100

    I18n: Update translation ms (96%).
    
    24 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 9f52b7f10d9158ce2bb7671bdc39a3f3fe6dde87
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Dec 19 12:47:55 2021 +0100

    I18n: Update translation lt (100%).
    
    25 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit a0d5c14be5da239d6181cda38c0c64c63f498030
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Dec 19 12:47:55 2021 +0100

    I18n: Update translation ko (96%).
    
    24 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit a9b6f7e03fec56abffffba8dd566aa356d1c0d8f
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Dec 19 12:47:54 2021 +0100

    I18n: Update translation kk (96%).
    
    24 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit bc32c597d540f83aa4bf40fc7c30ee7d313d920d
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Dec 19 12:47:54 2021 +0100

    I18n: Update translation kab (52%).
    
    13 translated messages, 12 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit fd4e00eb701c0adb05665682e223ab89b8876daa
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Dec 19 12:47:54 2021 +0100

    I18n: Update translation ja (100%).
    
    25 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit eda0d704dfaa3bf2fdb3b8b92e8633aebe4199db
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Dec 19 12:47:54 2021 +0100

    I18n: Update translation it (96%).
    
    24 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 8a4503d4b2af15d5d8f265b2d11ba59d2b9c5cbc
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Dec 19 12:47:54 2021 +0100

    I18n: Update translation is (96%).
    
    24 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 5f50d980fbac4275bf1eeff0d01cab4b996ab77e
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Dec 19 12:47:54 2021 +0100

    I18n: Update translation id (100%).
    
    25 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit cc7a8e1da4f89c312a22677a88611aa3e986252d
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Dec 19 12:47:54 2021 +0100

    I18n: Update translation hye (96%).
    
    24 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit fa8544bde29a8ebdcdee5ccb7fe57b7abf3758f5
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Dec 19 12:47:54 2021 +0100

    I18n: Update translation hy_AM (96%).
    
    24 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit eb420c1ab4b12d115e302f324825001f6e9fe68d
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Dec 19 12:47:54 2021 +0100

    I18n: Update translation hu (96%).
    
    24 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 39c6bb7e02d3f9a287e09c577acadad093241417
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Dec 19 12:47:53 2021 +0100

    I18n: Update translation hr (96%).
    
    24 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 7860dc30015b221797605e1cb5b26a4c5f428ff8
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Dec 19 12:47:53 2021 +0100

    I18n: Update translation hi (96%).
    
    24 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 8ed908e7dd8d4bafd34262df2085521695cd04a3
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Dec 19 12:47:53 2021 +0100

    I18n: Update translation he (96%).
    
    24 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 6ace3ec4899a6518fc635d0b1b9e83f28174bfd3
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Dec 19 12:47:53 2021 +0100

    I18n: Update translation gl (96%).
    
    24 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 4e6bfae01d686963a3413a2fddb603aa549dc844
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Dec 19 12:47:53 2021 +0100

    I18n: Update translation fr (100%).
    
    25 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 9c8d3be8734b6243746f939e405165b842e536f8
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Dec 19 12:47:53 2021 +0100

    I18n: Update translation fi (96%).
    
    24 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 41271898e1e214e0785e0505ae3aca0f45ca7331
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Dec 19 12:47:53 2021 +0100

    I18n: Update translation eu (96%).
    
    24 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 2417ea40ea0055a34f39f1adad5eab79b3e814e2
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Dec 19 12:47:53 2021 +0100

    I18n: Update translation et (100%).
    
    25 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 884d8e22dc5dcaa944240f1c8892dc5b67be1558
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Dec 19 12:47:53 2021 +0100

    I18n: Update translation es (100%).
    
    25 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 6e829b86c4a5e806a7717b1442abb0e284d4d040
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Dec 19 12:47:52 2021 +0100

    I18n: Update translation en_GB (96%).
    
    24 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit ca8a8168e260a4e8293b59b662ca8e70fb4b2d8e
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Dec 19 12:47:52 2021 +0100

    I18n: Update translation en_AU (96%).
    
    24 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit b943cf743c2a30d8f86fbc3ba2200773b8372630
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Dec 19 12:47:52 2021 +0100

    I18n: Update translation el (96%).
    
    24 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit e9aa6717e14200b3b91369ea41ea7ec5e0405575
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Dec 19 12:47:52 2021 +0100

    I18n: Update translation de (100%).
    
    25 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 76b6388f7b611d326fa2dc1f66cafad7beeac74a
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Dec 19 12:47:52 2021 +0100

    I18n: Update translation da (96%).
    
    24 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 4e247af8307a1909808a738ac1fe53f1ac51f34b
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Dec 19 12:47:52 2021 +0100

    I18n: Update translation cs (96%).
    
    24 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 6428c024ce72666841a1804a68e58bfbec34b7ea
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Dec 19 12:47:52 2021 +0100

    I18n: Update translation ca (96%).
    
    24 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit c800bd12d4a0658afa094d0a0e31e0cc3cd7d7fd
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Dec 19 12:47:52 2021 +0100

    I18n: Update translation bn (60%).
    
    15 translated messages, 10 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit c2bf5bcab181137c0da88ad4f5e057a4b76f7d06
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Dec 19 12:47:51 2021 +0100

    I18n: Update translation bg (100%).
    
    25 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit af51919b78c364817e76e98c72751575e3f58d50
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Dec 19 12:47:51 2021 +0100

    I18n: Update translation be (96%).
    
    24 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 62dec156be92148f26019da70a09f6295e8b06a4
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Dec 19 12:47:51 2021 +0100

    I18n: Update translation ar (96%).
    
    24 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit a7b8e250400d556156c6211e7939adb19aec280b
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Dec 18 10:51:51 2021 +0100

    Do not translate warning messages
    
    Completes d6aeb7d65acf6e41738c78b9d137fab3502d1c58.

commit 3a04fa615cd7d9fce538304da24484ef2819a0e8
Author: Priit Jõerüüt <transifex@joeruut.com>
Date:   Sat Dec 18 12:47:37 2021 +0100

    I18n: Update translation et (100%).
    
    40 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 4802684cc7d7e8df78b462fc2c46004b4197470a
Author: Besnik Bleta <besnik@programeshqip.org>
Date:   Sat Dec 18 00:47:33 2021 +0100

    I18n: Update translation sq (100%).
    
    40 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit c1ac49367630f9a9cbb16d816902538551e0a1c5
Author: Faisal Rachmadin <frachmadin@gmail.com>
Date:   Sat Dec 18 00:47:32 2021 +0100

    I18n: Update translation id (100%).
    
    40 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit b732bce08a2d3496b480426afec4260dd1a07de9
Author: jc1 <jc1.quebecos@gmail.com>
Date:   Sat Dec 18 00:47:32 2021 +0100

    I18n: Update translation fr (100%).
    
    40 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 7bd0f5f61eec1769b24f67ad9509b856f4a967ad
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Dec 17 12:44:31 2021 +0100

    gst-thumbnailer: Fix error handling
    
    Ensures that Tumbler emits the "error" signal if the pixbuf generation
    didn't succeed and wasn't cancelled before the plugin handles the
    request.
    
    Similar to previous commit, related to #10.

commit 71cbd765ecd904c260dcfdcd468bdd263c438c08
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Dec 17 12:18:45 2021 +0100

    ffmpeg-thumbnailer: Fix error handling
    
    Ensures that Tumbler emits the "error" signal if the pixbuf generation
    didn't succeed and wasn't cancelled before the plugin handles the
    request.
    
    Similar to 3eeec3c58adc0b2761d8d0dd3cdd4f6ac62ef6d7, related to #10.

commit d6aeb7d65acf6e41738c78b9d137fab3502d1c58
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Dec 17 10:30:03 2021 +0100

    Define error messages in `tumbler/tumbler-error.h`

commit c74d14a6395b29bcf4cb48f2c36320fb07938cb5
Author: 黃柏諺 <s8321414@gmail.com>
Date:   Fri Dec 17 12:48:15 2021 +0100

    I18n: Update translation zh_TW (100%).
    
    40 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit a8bf778325149a4d061c8e09713132cd03ab8d56
Author: Pjotr <pjotrvertaalt@gmail.com>
Date:   Fri Dec 17 12:48:15 2021 +0100

    I18n: Update translation nl (100%).
    
    40 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 1d9b10d5a42ea48ffff11a344d8a504a3dda7a82
Author: UTUMI Hirosi <utuhiro78@yahoo.co.jp>
Date:   Fri Dec 17 12:48:15 2021 +0100

    I18n: Update translation ja (100%).
    
    40 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 10626c57a4db70890eff84d0a18b454f1a140bd4
Author: Xfce Bot <transifex@xfce.org>
Date:   Fri Dec 17 00:47:31 2021 +0100

    I18n: Update translation zh_TW (97%).
    
    39 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit acba48970a2f3dc2a5bf5f1a2a449d3730d39b0a
Author: Xfce Bot <transifex@xfce.org>
Date:   Fri Dec 17 00:47:31 2021 +0100

    I18n: Update translation zh_HK (95%).
    
    38 translated messages, 2 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 3c67669e2cad8be23a18e5238acff55ad9a6458e
Author: Xfce Bot <transifex@xfce.org>
Date:   Fri Dec 17 00:47:31 2021 +0100

    I18n: Update translation zh_CN (97%).
    
    39 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 7d403100369af6bafdc3e20835c7c11ebddf7d0d
Author: Xfce Bot <transifex@xfce.org>
Date:   Fri Dec 17 00:47:31 2021 +0100

    I18n: Update translation uk (97%).
    
    39 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 59238cb31e817ab2f58a09a0e153e447c68f4bf1
Author: Xfce Bot <transifex@xfce.org>
Date:   Fri Dec 17 00:47:31 2021 +0100

    I18n: Update translation ug (92%).
    
    37 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 8a20e1189a2d3d360ce90b25a22f131ee0ec6fc0
Author: Xfce Bot <transifex@xfce.org>
Date:   Fri Dec 17 00:47:31 2021 +0100

    I18n: Update translation tr (97%).
    
    39 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 09925a387a8e8ee16a5d188e054a75e6e553b12a
Author: Xfce Bot <transifex@xfce.org>
Date:   Fri Dec 17 00:47:30 2021 +0100

    I18n: Update translation th (97%).
    
    39 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit bc337c7e82cce65439f9c9810096d8f2bbfe8e30
Author: Xfce Bot <transifex@xfce.org>
Date:   Fri Dec 17 00:47:30 2021 +0100

    I18n: Update translation sv (97%).
    
    39 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 69871e0a4176d7a5fc5d247284bf896a06c5fec2
Author: Xfce Bot <transifex@xfce.org>
Date:   Fri Dec 17 00:47:30 2021 +0100

    I18n: Update translation sr (97%).
    
    39 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 85487f8a071982012a9d9028c795f57fa5a90c75
Author: Xfce Bot <transifex@xfce.org>
Date:   Fri Dec 17 00:47:30 2021 +0100

    I18n: Update translation sq (97%).
    
    39 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 9288f5ce4a1737ac8d5c1527dd34600af9130a46
Author: Xfce Bot <transifex@xfce.org>
Date:   Fri Dec 17 00:47:30 2021 +0100

    I18n: Update translation sl (97%).
    
    39 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 52bc4996c8de36bc886ac953ca5e3d1ddf2665d7
Author: Xfce Bot <transifex@xfce.org>
Date:   Fri Dec 17 00:47:30 2021 +0100

    I18n: Update translation sk (97%).
    
    39 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit d7b4ff5f802a25464e9e314d4d9b1b66a17b5a02
Author: Xfce Bot <transifex@xfce.org>
Date:   Fri Dec 17 00:47:30 2021 +0100

    I18n: Update translation ru (97%).
    
    39 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit acff641d624a990406e24b39d2f83d5c5b0b7e1b
Author: Xfce Bot <transifex@xfce.org>
Date:   Fri Dec 17 00:47:30 2021 +0100

    I18n: Update translation ro (92%).
    
    37 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 5188a2e4b4f70724a0853a8da93724495cc7c2b2
Author: Xfce Bot <transifex@xfce.org>
Date:   Fri Dec 17 00:47:29 2021 +0100

    I18n: Update translation pt (97%).
    
    39 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 2fdb0310f1c3b46f534bfa1fa195546d2fee9e6b
Author: Xfce Bot <transifex@xfce.org>
Date:   Fri Dec 17 00:47:29 2021 +0100

    I18n: Update translation pt_BR (97%).
    
    39 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit e1c188f698840100e8d4d46bfeac044d99fb8712
Author: Anonymous <noreply@xfce.org>
Date:   Fri Dec 17 00:47:29 2021 +0100

    I18n: Update translation pl (100%).
    
    40 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 136fa3a4820ffa52f4910e6ea8387083c3b59139
Author: Xfce Bot <transifex@xfce.org>
Date:   Fri Dec 17 00:47:29 2021 +0100

    I18n: Update translation oc (97%).
    
    39 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 97e9cd3f6d4cee2a7498fb68e5d33d7de862e492
Author: Xfce Bot <transifex@xfce.org>
Date:   Fri Dec 17 00:47:29 2021 +0100

    I18n: Update translation nn (77%).
    
    31 translated messages, 9 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 6b92069a856078a3338cd1141d4878cd50f39274
Author: Xfce Bot <transifex@xfce.org>
Date:   Fri Dec 17 00:47:29 2021 +0100

    I18n: Update translation nl (97%).
    
    39 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit abbd060a192a9faabb651f16a077e4483b62009b
Author: Xfce Bot <transifex@xfce.org>
Date:   Fri Dec 17 00:47:29 2021 +0100

    I18n: Update translation nb (97%).
    
    39 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 6a8920a4e8ee4d973edb55554b74c459671f68ca
Author: Xfce Bot <transifex@xfce.org>
Date:   Fri Dec 17 00:47:29 2021 +0100

    I18n: Update translation ms (97%).
    
    39 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 9866d6db9e0fe2af7342e0aaa9a9154fa9cb4943
Author: Anonymous <noreply@xfce.org>
Date:   Fri Dec 17 00:47:28 2021 +0100

    I18n: Update translation lt (100%).
    
    40 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit e63f5441c9f9224009a9f4c5fda834620fd075cd
Author: Xfce Bot <transifex@xfce.org>
Date:   Fri Dec 17 00:47:28 2021 +0100

    I18n: Update translation ko (97%).
    
    39 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit a88b8278467df72871189f8f85edf51938c389d8
Author: Xfce Bot <transifex@xfce.org>
Date:   Fri Dec 17 00:47:28 2021 +0100

    I18n: Update translation kk (97%).
    
    39 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 979e78f0b2a4d5eb769c21515effadcb48b786af
Author: Xfce Bot <transifex@xfce.org>
Date:   Fri Dec 17 00:47:28 2021 +0100

    I18n: Update translation kab (50%).
    
    20 translated messages, 20 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 05976b4d0f6d510a60f9116b9024949daff1a8d0
Author: Xfce Bot <transifex@xfce.org>
Date:   Fri Dec 17 00:47:28 2021 +0100

    I18n: Update translation ja (97%).
    
    39 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit ba3dcc7dee9065c1ceffab08e2515d24280f6fa0
Author: Xfce Bot <transifex@xfce.org>
Date:   Fri Dec 17 00:47:28 2021 +0100

    I18n: Update translation it (97%).
    
    39 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit b2cb6151fe31ea6833a7dccadfac19b79973cc76
Author: Xfce Bot <transifex@xfce.org>
Date:   Fri Dec 17 00:47:28 2021 +0100

    I18n: Update translation is (97%).
    
    39 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit a32fab8e834e24223f0a7e8b27e0a9c981b20ddf
Author: Xfce Bot <transifex@xfce.org>
Date:   Fri Dec 17 00:47:28 2021 +0100

    I18n: Update translation id (97%).
    
    39 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 341a73ea24b71d5c5a9844392d01b250a35046f7
Author: Xfce Bot <transifex@xfce.org>
Date:   Fri Dec 17 00:47:28 2021 +0100

    I18n: Update translation hye (97%).
    
    39 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 52d87f8a0a210e53ac8b16be7690b3ddb2570780
Author: Xfce Bot <transifex@xfce.org>
Date:   Fri Dec 17 00:47:28 2021 +0100

    I18n: Update translation hy_AM (97%).
    
    39 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 0d09ecf4f27145ec383ef4a259f5c62c08d189c1
Author: Xfce Bot <transifex@xfce.org>
Date:   Fri Dec 17 00:47:27 2021 +0100

    I18n: Update translation hu (97%).
    
    39 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 891c7bd0e1fd9283a4957aa2a2e548dd2eb6e707
Author: Xfce Bot <transifex@xfce.org>
Date:   Fri Dec 17 00:47:27 2021 +0100

    I18n: Update translation hr (97%).
    
    39 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit f1d5f15054fc98d55d8a5aca3cb1ff8833eef6aa
Author: Xfce Bot <transifex@xfce.org>
Date:   Fri Dec 17 00:47:27 2021 +0100

    I18n: Update translation hi (97%).
    
    39 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 3c5cdb946426e37e62ab1819eb9a6194507b09f5
Author: Xfce Bot <transifex@xfce.org>
Date:   Fri Dec 17 00:47:27 2021 +0100

    I18n: Update translation he (97%).
    
    39 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 95c14a0c212b48ce3cc6dcccf49cc7a62647a3a6
Author: Xfce Bot <transifex@xfce.org>
Date:   Fri Dec 17 00:47:27 2021 +0100

    I18n: Update translation gl (97%).
    
    39 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 1115114c276a152a26819863d894ffba1b902d6e
Author: Xfce Bot <transifex@xfce.org>
Date:   Fri Dec 17 00:47:27 2021 +0100

    I18n: Update translation fr (97%).
    
    39 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 67d0ac4f8b99acfbed9e935ffd39618efa0c9840
Author: Xfce Bot <transifex@xfce.org>
Date:   Fri Dec 17 00:47:27 2021 +0100

    I18n: Update translation fi (97%).
    
    39 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit c539551ec552bfc726a9ce30a9dc12795e023980
Author: Xfce Bot <transifex@xfce.org>
Date:   Fri Dec 17 00:47:27 2021 +0100

    I18n: Update translation eu (97%).
    
    39 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 382b6b28081f8db250c605cb58a558d207fcef45
Author: Xfce Bot <transifex@xfce.org>
Date:   Fri Dec 17 00:47:26 2021 +0100

    I18n: Update translation et (97%).
    
    39 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 893ddabb3ae55e7bcb7b94fd16f09e9105d55645
Author: Toni Estévez <toni.estevez@gmail.com>
Date:   Fri Dec 17 00:47:26 2021 +0100

    I18n: Update translation es (100%).
    
    40 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit e111662f381d04d930cbbaf614376393a41a9059
Author: Xfce Bot <transifex@xfce.org>
Date:   Fri Dec 17 00:47:26 2021 +0100

    I18n: Update translation en_GB (97%).
    
    39 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit e31566608453b5288143ce8dbc5d18ba7c122aa9
Author: Xfce Bot <transifex@xfce.org>
Date:   Fri Dec 17 00:47:26 2021 +0100

    I18n: Update translation en_AU (97%).
    
    39 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit e46526b6065d11a29680727c129b9bcc4938dda0
Author: Xfce Bot <transifex@xfce.org>
Date:   Fri Dec 17 00:47:26 2021 +0100

    I18n: Update translation el (97%).
    
    39 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 7c17263ce7cfa26dc9becd33d5d41963b759eef2
Author: Andreas Eitel <github-aneitel@online.de>
Date:   Fri Dec 17 00:47:26 2021 +0100

    I18n: Update translation de (100%).
    
    40 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit f1192d448d594ef6684626a8ab3c9a2d9b8237a6
Author: Xfce Bot <transifex@xfce.org>
Date:   Fri Dec 17 00:47:26 2021 +0100

    I18n: Update translation da (97%).
    
    39 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 4c66e0a6f43d03098846de6b6242a1d9490ba340
Author: Xfce Bot <transifex@xfce.org>
Date:   Fri Dec 17 00:47:26 2021 +0100

    I18n: Update translation cs (97%).
    
    39 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 134d38623ebf29d1b87005bd6f685c662dfe72e3
Author: Xfce Bot <transifex@xfce.org>
Date:   Fri Dec 17 00:47:26 2021 +0100

    I18n: Update translation ca (97%).
    
    39 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 03d578a8984b3938ddfb749563a5302948bdb1a5
Author: Xfce Bot <transifex@xfce.org>
Date:   Fri Dec 17 00:47:25 2021 +0100

    I18n: Update translation bn (67%).
    
    27 translated messages, 13 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit b39dcf899cbcf06ca5ba18aa0c4d3409006fbc96
Author: Kiril Kirilov <cybercop_montana@abv.bg>
Date:   Fri Dec 17 00:47:25 2021 +0100

    I18n: Update translation bg (100%).
    
    40 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 5ac50561396f1ca325bdb73770c5f3cb5aea057d
Author: Xfce Bot <transifex@xfce.org>
Date:   Fri Dec 17 00:47:25 2021 +0100

    I18n: Update translation be (97%).
    
    39 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 7e28879db578dba2bc4ef8880869ebb6f476c9df
Author: Xfce Bot <transifex@xfce.org>
Date:   Fri Dec 17 00:47:25 2021 +0100

    I18n: Update translation ar (92%).
    
    37 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 3eeec3c58adc0b2761d8d0dd3cdd4f6ac62ef6d7
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Dec 16 17:57:56 2021 +0100

    odf-thumbnailer: Fix error handling
    
    Ensures that `pixbuf == NULL` => `error != NULL` and Tumbler emits the
    "error" signal (and not emit the "ready" signal).
    
    Similar to 1de05df20d52fb45e3c06e1d5ff36984341cb55d, Related to #7.

commit ac978918f804bc6afbeccc12dca16a1bdf5d6653
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Tue Jul 7 18:30:11 2015 +0100

    xdg-cache: Ensure read_thumbnail_info() always sets an error on failure
    
    It’s GError convention to set the GError exactly when returning FALSE
    from a boolean-valued function. read_thumbnail_info() didn’t do that if
    libpng reported an error loading the PNG; fix that by returning
    TUMBLER_ERROR_INVALID_FORMAT in that case.
    
    Related to #12.

commit 56496090dfd7d3f7cc2f2f778d5993a2df05d057
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Dec 14 19:38:58 2021 +0100

    xdg-cache: Chain-up to parent in `finalize()`

commit e8f7b79706a3c3aeac41a385f0205b1f4c890f0d
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Dec 14 18:26:03 2021 +0100

    desktop-thumbnailer: Fill in `finalize()`

commit a74159e9af47173b5a638fdff284acddac3f6984
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Dec 14 12:29:04 2021 +0100

    gepub-thumbnailer: Fix a memory leak

commit be6de0a8ef49e09c7b6d789d38390c3679050c03
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Dec 14 12:28:08 2021 +0100

    desktop-thumbnailer: Fix some memory leaks

commit a7face456c7fd91f3a5e56247c961d3c6dfc0158
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Dec 13 17:40:21 2021 +0100

    poppler-thumbnailer: Fix deprecation warning

commit d82e509551db98ff70e47d1990f759948ee7fecd
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Dec 13 17:39:44 2021 +0100

    ffmpeg-thumbnailer: Fix deprecation warning

commit 1de05df20d52fb45e3c06e1d5ff36984341cb55d
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Dec 12 19:03:45 2021 +0100

    desktop-thumbnailer: Fix error handling
    
    Pass the GError to all sub-functions of `load_thumbnail()` so that
    * `pixbuf == NULL` <=> `error != NULL` <=> Tumbler emits the "error"
      signal
    * `pixbuf != NULL` <=> `error == NULL` <=> Tumbler emits the "ready"
      signal (if there is no error afterwards when saving the thumbnail to
      disk)

commit 88dd43a1026d8a0c56dd1ccf3babf6f8ac275ebb
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Dec 12 11:39:37 2021 +0100

    Fix some priority issues
    
    * Preserve the directory order in $XDG_DATA_DIRS and the priority of
      $XDG_DATA_HOME over $XDG_DATA_DIRS for desktop thumbnailers.
    * Fix some logical errors in `tumbler_registry_compare()`.
    * Keep the priority of the pixbuf thumbnailer plugin higher than that of
      the desktop thumbnailer plugin by default in `tumbler.rc` (it was
      lowered in 6935184665902097511db1708eaaf78015ff61ac).

commit 932e2e268d94b83593d5582557b2d70973ffcb01
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Dec 12 12:22:56 2021 +0100

    Fix copy-paste errors when creating plugins

commit e88abde93a6b31a0dc61a88da83cac24553229f8
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Nov 27 10:43:54 2021 +0100

    pixbuf-thumbnailer: Increase loader buffer size
    
    See code comment for the rationale.
    
    Previously tested in Ristretto:
    https://gitlab.xfce.org/apps/ristretto/-/commit/178f6c74e19e1eb138b2730fe4e81e6eec6bdb37
    https://gitlab.xfce.org/apps/ristretto/-/issues/16
    https://gitlab.xfce.org/apps/ristretto/-/issues/73
    
    See !19 for more details.

commit 6935184665902097511db1708eaaf78015ff61ac
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Nov 18 09:20:07 2021 +0100

    pixbuf-thumbnailer: Use a mime-type-specific loader when possible
    
    This allows to fully use the capabilities of the specific pixbuf loader
    for the considered mime type according to the installed optional
    libraries. This is especially necessary to load some SVG or HEIF
    thumbnails.
    
    On the other hand, if this specific loader doesn't work properly, it may
    be even more noticeable. This is the case for libopenraw, for which a
    dedicated plugin using another API has fortunately been implemented. So
    we just have to prioritize it in `tumbler.rc`.
    
    Fixes #20, #32, #36, see !18 for more details.
    
    Co-authored-by: @Krifa75 (Gitlab ID)

commit ad680ef6c79a6430ca6bb0b9e48538eb9c64d202
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Nov 18 09:11:02 2021 +0100

    raw-thumbnailer: Check for all possible pkg-config files
    
    This will prevent package maintainers from having to patch `configure`,
    or other workarounds.
    
    See !18 for more details.

commit 11574c22e9f1e56d2d64860e40f1582e3c82655a
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Dec 10 12:05:04 2021 +0100

    Fix warnings from scan-build (Clang 13.0)

commit 327d0f6b2e6c61f55ec688dde7ce558d58ea3a19
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Dec 10 10:47:25 2021 +0100

    Fix `-Wclobbered` compilation warnings
    
    These warnings appear only under certain conditions and/or for certain
    versions of the compilers. For example with GCC 11.1 when building with
    `--disable-debug` and with Clang 13.0.
    
    They had been left out in !16 with doubts about their validity, but they
    are actually understandable in view of `setjmp()` calls, and can be
    fixed easily.

commit c3da2583469f75465838a5afe6b56c598a98f933
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Dec 10 10:04:16 2021 +0100

    Use GLIB_VERSION_MIN/MAX_REQUIRED/ALLOWED
    
    Closes #45.

commit f38cb9b99c4634e4efdffc0e8e5282e4661f1939
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Aug 17 16:31:09 2021 +0200

    Remove TUMBLER_ADD_INTERFACE
    
    G_IMPLEMENT_INTERFACE_DYNAMIC does the job since GLib 2.24.

commit abb7a8b13bb13ed3a23a3951a37f5a8e03325d39
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Jan 24 01:06:24 2021 +0100

    Fix compilation warnings

commit 460e6d3fe32f1a1cf7d563dff22695983987242f
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Jan 24 01:03:13 2021 +0100

    Do not remove `tumbler-sections.txt` when running `make clean`

commit bf8ea8e2a3482d46ad7864f390fd654379c4749e
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Feb 2 15:45:43 2021 +0100

    autoconf: Some updates
    
    * AC_HELP_STRING -> AS_HELP_STRING
    * AC_AIX, AC_MINIX -> AC_USE_SYSTEM_EXTENSIONS
    * AC_ISC_POSIX -> AC_SEARCH_LIBS([strerror],[cposix])
    * Remove AC_HEADER_STDC
    * AC_OUTPUT -> AC_CONFIG_FILES + AC_OUTPUT

commit c0ce015d0227289d13749945467edb4ec0009231
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Aug 13 17:11:43 2021 +0200

    Revert "configure.ac: use AC_PROG_CC_C99"
    
    This reverts commit b5940c62e65c4fee248d7b3535fb667d235f885a.
    
    See also https://gitlab.xfce.org/xfce/xfce4-dev-tools/-/merge_requests/40

commit 9d91dea5cff6c2923a9c0559eaa0a4019b02e9e7
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Aug 17 17:26:06 2021 +0200

    Update `.gitignore`

commit eb565e143c084843785ff57af29994f1e7be0f8d
Author: Anonymous <noreply@xfce.org>
Date:   Wed Oct 20 00:46:47 2021 +0200

    I18n: Update translation oc (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit a12e4164e1095aad9ca557c75887f1490f39f08b
Author: Sergios - Anestis Kefalidis <megistios@gmail.com>
Date:   Sat Jul 24 13:34:25 2021 +0000

    Support shared thumbnail repositories of the freedesktop.org thumbnail spec
    
    Related:
    https://gitlab.xfce.org/xfce/libxfce4util/-/merge_requests/18
    https://gitlab.xfce.org/xfce/thunar/-/merge_requests/126
    https://gitlab.xfce.org/xfce/thunar/-/issues/262

commit 50555624288c9f4237fc7661ff15b8990afb7aab
Author: Daniel Muñiz Fontoira <dani@damufo.eu>
Date:   Fri Jul 23 15:54:07 2021 +0200

    I18n: Update translation gl (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 015eb75dde44d0a417b741f18e3f1f04f1680063
Author: Robert Antoni Buj i Gelonch <rbuj@fedoraproject.org>
Date:   Fri Jul 23 15:54:06 2021 +0200

    I18n: Update translation ca (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 962f6f4d01f3f617b48d7682a2b2ee15ddcdba77
Author: Arnold Marko <arnold.marko@gmail.com>
Date:   Wed May 26 12:46:25 2021 +0200

    I18n: Update translation sl (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 5ebad1e322dfb9dd0cb71bacc903882f08663aa6
Author: Toni Estévez <toni.estevez@gmail.com>
Date:   Sat May 1 12:46:09 2021 +0200

    I18n: Update translation es (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 4f9d43eacb3393818af4f2f5543e8f4465cfe92f
Author: Arnold Marko <arnold.marko@gmail.com>
Date:   Thu Apr 22 10:11:03 2021 +0200

    I18n: Update translation sl (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 90313cdeb1cc292af0f520d92e905baf3cc1d240
Author: heskjestad <cato@heskjestad.xyz>
Date:   Thu Apr 22 10:11:02 2021 +0200

    I18n: Update translation nb (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 1fba96f4fcbb067ddf694eba947ffc6a9b60ba67
Author: Toni Estévez <toni.estevez@gmail.com>
Date:   Sun Apr 4 00:45:43 2021 +0200

    I18n: Update translation es (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 3969b656b50decc6317b2e47e13d421d0372f106
Author: Omer I.S <omeritzicschwartz@gmail.com>
Date:   Tue Jan 19 10:05:25 2021 +0100

    I18n: Update translation he (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 9d35453052aa6f0e2830db482fef545917f764a2
Author: Źmicier Turok <nashtlumach@gmail.com>
Date:   Tue Jan 19 10:05:23 2021 +0100

    I18n: Update translation be (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 3d86987840533eb185bb9092d1e53b8b9657bb01
Merge: ec4f1c2 b5940c6
Author: Ali Abdallah <ali.abdallah@suse.com>
Date:   Fri Jan 8 08:47:50 2021 +0100

    Merge branch 'olh/tumbler-C99'

commit b5940c62e65c4fee248d7b3535fb667d235f885a
Author: Olaf Hering <olaf@aepfle.de>
Date:   Thu Jan 7 07:07:07 2021 +0000

    configure.ac: use AC_PROG_CC_C99
    
    Various parts of Xfce, and libraries used by Xfce, already use C99 features.
    Therefore it is reasonable to expect the availibility of a capable compiler.
    Current GCC releases silently default to newer C standards, starting with
    gcc-5 which defaults to C11.
    
    Replace AC_PROG_CC with AC_PROG_CC_C99 to switch the discovered, or specified,
    compiler to C99.
    
    Signed-off-by: Olaf Hering <olaf@aepfle.de>

commit ec4f1c296b051fa80a1fd056ea047f3ad7be590e
Author: Anonymous <noreply@xfce.org>
Date:   Mon Jan 4 12:46:56 2021 +0100

    I18n: Add new translation kab (51%).
    
    20 translated messages, 19 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 7ee4185c94091fdda05c2cc9e463127e25a96095
Author: Olaf Hering <olaf@aepfle.de>
Date:   Sun Dec 13 21:46:01 2020 +0100

    Remove GSourceFunc casts
    
    Convert the callback into a real GSourceFunc.
    
    Signed-off-by: Olaf Hering <olaf@aepfle.de>

commit fee55d3c79533582ea3fbebe01378cf90cbce077
Author: Michał Górny <mgorny@gentoo.org>
Date:   Wed Dec 23 08:57:21 2020 +0100

    Fix typo in gthread version

commit 6a88a63be2c7f86605c2f3bf196dc1d337c79573
Author: Simon Steinbeiss <simon.steinbeiss@elfenbeinturm.at>
Date:   Wed Dec 23 00:38:43 2020 +0100

    Updates for release

commit 074acf9fc41c08be14c80939049179ed54209ffc
Author: Alexander Schwinn <alexxcons@xfce.org>
Date:   Tue Dec 15 23:08:03 2020 +0100

    Remove GLIB_CHECK_VERSION IFDEFs which are obsolete after glib bump
    
    Current glib minimum is 2.50.0

commit 6e6dbd1ad0bbac5d59901883e31057ef99fb6cf8
Author: Alexander Schwinn <alexxcons@xfce.org>
Date:   Wed Dec 9 09:19:43 2020 +0100

    bump glib (and gio, gthread, etc) minimum to 2.50.0
    
    In order to unify dependencies for core components.
    (See 4.16 roadmap)

commit 49b08f90ad32e4e11d93ec66cccdbd2075e6c6d9
Author: Olivier Duchateau <duchateau.olivier@gmail.com>
Date:   Mon Nov 16 18:43:34 2020 +0100

    - Adjust bug report URL

commit c61a6aeb980631e64d0d0a9aea550cb68faa9b8a
Author: Emin Tufan Çetin <etcetin@gmail.com>
Date:   Fri Nov 20 12:46:19 2020 +0100

    I18n: Update translation tr (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 72681629290d626da1534d36829e36286db0933e
Author: Priit Jõerüüt <transifex@joeruut.com>
Date:   Fri Nov 20 00:46:58 2020 +0100

    I18n: Add new translation et (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 7a67abf76b315f8f08845824cd748eae0db959e3
Author: Ali Abdallah <ali.abdallah@suse.com>
Date:   Sun Nov 15 18:04:44 2020 +0100

    Update NEWS and version for release

commit 0bdf4bccc18e0184ea03426a27c9df2c0f186817
Merge: eac67eb b17009e
Author: Ali Abdallah <ali.abdallah@suse.com>
Date:   Sun Nov 15 17:21:27 2020 +0100

    Merge branch 'OlivierDuchateau/tumbler-gepub-thumbnailer'

commit eac67eb8c6f5c53a78d4f1630b44508aa7432611
Author: Andre Miranda <andreldm@xfce.org>
Date:   Fri Nov 13 01:33:41 2020 -0300

    Add README.md to EXTRA_DIST

commit b23f63e882ffa1f5094aa29da26da9a0a167be4a
Author: OlivierDuchateau <duchateau.olivier@gmail.com>
Date:   Tue Nov 10 10:40:15 2020 +0100

    Fix documentation URL

commit d3cd707b321c0f8d2fc9857b645b953f4001f06a
Author: Maurizio Galli <maurizio.galli@gmail.com>
Date:   Tue Nov 10 14:57:39 2020 +0800

    Add new icon needed for xfce4-about-dialog.

commit b17009e5f5d8f3b0c011f177ab2e513adb51495c
Author: Olivier Duchateau <duchateau.olivier@gmail.com>
Date:   Thu Nov 5 19:27:48 2020 +0100

    Fix missing parentheses

commit 443ef76357adcac5adc2f42c95d38197acc2719d
Author: Olivier Duchateau <duchateau.olivier@gmail.com>
Date:   Tue Sep 29 20:44:23 2020 +0200

    Add libgepub thumbnailer plugin

commit ef936df3adb03db4749381ac9afa85948c6c59c5
Author: Emin Tufan <etcetin@gmail.com>
Date:   Thu Nov 5 00:46:01 2020 +0100

    I18n: Update translation tr (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 4c371427e3b0caac6fc9de9b7aff823ee0328b64
Author: Xfce Bot <transifex@xfce.org>
Date:   Fri Oct 16 18:20:36 2020 +0200

    I18n: Update translation ug (94%).
    
    37 translated messages, 2 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 41a4deb46742aa62ca9d1db485884d8387320eec
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Fri Oct 16 18:20:35 2020 +0200

    I18n: Update translation sk (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit a996294cb0668465f9d3e93f015940420ccab2c6
Author: Balázs Meskó <meskobalazs@mailbox.org>
Date:   Fri Oct 16 18:20:32 2020 +0200

    I18n: Update translation hu (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 262fbc6d504f3d5388b12e0739ceb0d1dab18b13
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 16 18:20:32 2020 +0200

    I18n: Update translation he (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 3dacb717d3e42a2521440a9fda0c5d2d26d3049c
Author: Kevin Bowen <kevin.bowen@gmail.com>
Date:   Sat Oct 3 04:10:26 2020 +0200

    Add new README.md and update AM_INIT_AUTOMAKE

commit 2d207bca72bb4875baebeff9cafc94c0f58fd020
Author: Panwar108 <caspian7pena@gmail.com>
Date:   Mon Sep 21 00:45:48 2020 +0200

    I18n: Add new translation hi (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit fc28514eee44972cc1318ad36c22e4bb35da3fb9
Author: Anonymous <noreply@xfce.org>
Date:   Tue Sep 15 00:45:39 2020 +0200

    I18n: Update translation oc (97%).
    
    38 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 839c79987d6ca06c02bffd8e7351eb571a745893
Author: Anonymous <noreply@xfce.org>
Date:   Thu Aug 20 12:47:09 2020 +0200

    I18n: Update translation lt (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 14ff9e5c4489ec8b09c92aa6ab503df2f4d070b7
Author: Ali Abdallah <ali.abdallah@suse.com>
Date:   Thu Aug 13 10:46:27 2020 +0200

    Updates for release

commit b4b27a0decee0328ea4b4e2f088e14075cde55f1
Merge: 8ee1144 21f0f32
Author: Ali Abdallah <ali.abdallah@suse.com>
Date:   Wed Aug 12 11:53:24 2020 +0200

    Merge branch 'unit193/tumbler-master'

commit 21f0f32a603133889b7ae1c17fafc5843a791ec9
Author: Unit 193 <unit193@unit193.net>
Date:   Wed Aug 12 05:01:11 2020 -0400

    AC_CONFIG_MACRO_DIR → AC_CONFIG_MACRO_DIRS

commit 8ee1144f5de96e4a207fa95eef9d617b18994ba9
Merge: 5fe1017 35ad7f3
Author: Ali Abdallah <ali.abdallah@suse.com>
Date:   Tue Aug 11 19:52:39 2020 +0200

    Merge branch 'OlivierDuchateau/tumbler-GTimeVal-deprecation'

commit 5fe101768bdcb50337ce7083d9c5467882f6c39a
Author: Robby Workman <rworkman@slackware.com>
Date:   Thu Aug 6 03:30:05 2020 -0500

    tumbler.rc: (trivial) fix spelling error

commit 35ad7f38c62ad1ec00acfcf8eaaff03e254dc83d
Author: Olivier Duchateau <duchateau.olivier@gmail.com>
Date:   Sun Aug 9 14:36:31 2020 +0200

    Drop support of GLib < 2.32

commit ec3ded3e3014b251e605650614d1c8cf0fa8ae18
Author: Olivier Duchateau <duchateau.olivier@gmail.com>
Date:   Sun Aug 9 14:23:23 2020 +0200

    Fix GTimeVal deprecation

commit c3dc64d918d4c9253142544921c9ed8cb1ac6fac
Author: Ali Abdallah <ali.abdallah@suse.com>
Date:   Thu Aug 6 13:54:31 2020 +0200

    Use exif jpeg orientation hint
    
    If tvtj_exif_extract_thumbnail fails to load a thumbnail, use what it
    has found as an orientation to generate a correctly oriented thumbnail
    image. This commit Fixes #28.

commit 2ec14a83140b23c6069d02074cfc750f191db06a
Author: Anonymous <noreply@xfce.org>
Date:   Tue Jun 23 00:45:54 2020 +0200

    I18n: Update translation he (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit b762d71e4164ba48032c2aac671b2436bebb2cc7
Author: Anonymous <noreply@xfce.org>
Date:   Sat Jun 13 00:45:34 2020 +0200

    I18n: Update translation he (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 232b3d6d77c712d3ab156c0835eff5c06e10f968
Author: Vincenzo Reale <vinx.reale@gmail.com>
Date:   Thu May 28 00:45:59 2020 +0200

    I18n: Update translation it (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit bef0293aea49595d3031909d0f90badc76e4a293
Author: Ivan <personal@live.hk>
Date:   Tue May 26 12:46:04 2020 +0200

    I18n: Update translation zh_HK (97%).
    
    38 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 1cbbe10f780b6f68f07f5e683e7b9a2279de80b5
Author: Real School <localization@ehayq.am>
Date:   Mon May 25 12:47:20 2020 +0200

    I18n: Add new translation hye (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 6b1e707ea971e470dfe24887067e9482de12ab28
Author: Besnik Bleta <besnik@programeshqip.org>
Date:   Mon May 25 12:47:19 2020 +0200

    I18n: Update translation sq (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 4a25646920b4a3703e9aa5a09bae16e148b8ee51
Author: Ali Abdallah <ali.abdallah@suse.com>
Date:   Sun May 17 19:47:43 2020 +0200

    Use guint32 for request handle
    
    As the D-Bus data type "u" indicates 32 bit unsigned integer, explicily
    use guint32 instead of guint.
    
    See Bug #16833 for more details.

commit f8e6f17dc3abddf9886a68b661c282e407fdebc1
Merge: f5589df e4a18b5
Author: Ali Abdallah <ali.abdallah@suse.com>
Date:   Wed May 13 17:22:49 2020 +0200

    Merge branch 'afdw/tumbler-handles-fix'

commit f5589df90ce5b88c94b921a0989e41b09e208286
Author: Pjotr <pjotrvertaalt@gmail.com>
Date:   Tue May 12 00:46:13 2020 +0200

    I18n: Update translation nl (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit d802ad69262a8295fdae8e845bfe77e951829465
Author: Simon Steinbeiss <simon.steinbeiss@elfenbeinturm.at>
Date:   Mon May 11 22:49:43 2020 +0200

    Add basic GitLab pipeline

commit e4a18b5fb9d223f17f0e7edee0823c6e00fde110
Author: Anton Danilkin <afdw@yandex.ru>
Date:   Sun May 10 03:16:31 2020 +0300

    Fix type of handle and handle further occurrences of 0

commit dba512b5863c364ba5a26bbf4e924f260b11ae15
Author: afdw <afdw@yandex.ru>
Date:   Fri May 8 01:03:36 2020 +0200

    Fix handles starting from zero

commit 3520322eb453ee1349b14b080a0f7d23e4040b16
Author: Ali Abdallah <aabdallah@suse.de>
Date:   Fri May 1 13:21:39 2020 +0200

    This commit implements Excludes paths
    
    Any path found in a plugin Excludes will be ignored,
    code contributed by Markus Kolb xfce@tower-net.de Bug #16130.

commit 4626d3a97a04dab06925053ac5b80c6f7be5f2f2
Author: Ignacio Poggi <ignaciop.3@gmail.com>
Date:   Sun Apr 26 00:12:02 2020 +0200

    I18n: Update translation es (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit e726e7b14456155c2593c0a2e1bc97aa92a78498
Author: 黃柏諺 <s8321414@gmail.com>
Date:   Tue Apr 14 23:54:14 2020 +0200

    I18n: Update translation zh_TW (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit caf40cf71bd9df95fc2218b65a5f588e877c6915
Author: Anonymous <noreply@xfce.org>
Date:   Tue Apr 14 23:54:12 2020 +0200

    I18n: Update translation pl (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit ed8f4bc3cea966cab5c4ee1a42f5c127717b0450
Author: Balázs Meskó <mesko.balazs@fsf.hu>
Date:   Tue Apr 14 23:54:11 2020 +0200

    I18n: Update translation hu (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 9b75504968fc6d5c0d35676ea11df1e58eaabfb3
Author: Panagiotis Mantzios <pmantzios@hotmail.com>
Date:   Tue Apr 14 23:54:10 2020 +0200

    I18n: Update translation el (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit f57820ee5479b349e31b233e7c30e6c5a9f2ea75
Author: Anonymous <noreply@xfce.org>
Date:   Tue Apr 14 23:54:10 2020 +0200

    I18n: Update translation da (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit d3e0c3756cf13a197439c300b2be706507a6b56b
Author: Zmicer Turok <nashtlumach@gmail.com>
Date:   Mon Mar 2 18:30:44 2020 +0100

    I18n: Update translation be (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit a3eaecc58337a3a4b9b7183588b97ee9c11f717e
Author: Besnik <besnik@programeshqip.org>
Date:   Tue Jan 28 18:31:41 2020 +0100

    I18n: Update translation sq (94%).
    
    37 translated messages, 2 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 01c9a9cafa0ef70934b605495c31fb15d3907baf
Author: Andre Miranda <andre@saturn.localdomain>
Date:   Sat Dec 21 13:42:48 2019 -0300

    Updates for release

commit a33a18e221e6bdba2a38f7ca6128a78d6143cb28
Author: Toni Estévez <toni.estevez@gmail.com>
Date:   Sun Dec 1 12:30:59 2019 +0100

    I18n: Update translation es (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 356108d1616180642fe3849003ca13cf4e084797
Author: José Vieira <jvieira33@sapo.pt>
Date:   Thu Nov 21 18:30:34 2019 +0100

    I18n: Update translation pt (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 86b47424f024472c37f71ab0b9bfc11321adbfe7
Author: Arnold Marko <arnold.marko@gmail.com>
Date:   Tue Nov 19 18:30:32 2019 +0100

    I18n: Update translation sl (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 37a85c3e8cec69657fb275992df722072b8b36dc
Author: Arnold Marko <arnold.marko@gmail.com>
Date:   Tue Nov 19 12:30:41 2019 +0100

    I18n: Add new translation sl (94%).
    
    37 translated messages, 2 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 909effb01b30e3c4ca1a71d6a8013d91a8a185a2
Author: Toni Estévez <toni.estevez@gmail.com>
Date:   Sun Nov 17 18:30:58 2019 +0100

    I18n: Update translation es (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit e8b5a635a59180713dadbdb1724be1026502fb01
Author: Andre Miranda <andreldm@xfce.org>
Date:   Sat Nov 2 14:51:29 2019 -0300

    Fix typo

commit 784a76c669128541416eb1959ad8a7454539669d
Author: Andre Miranda <andreldm@xfce.org>
Date:   Mon Oct 28 13:55:52 2019 -0300

    Fix thumbnail orientation (Bug #15011)
    
    Use separated structs instead of union to avoid garbled values
    when a file (apparently) contains both types of metadata.

commit d4e7075401b6ef60cf1f015a488cf4b573f9b8dd
Author: Yves-Alexis Perez <corsac@debian.org>
Date:   Tue Aug 20 17:20:09 2019 +0200

    prepend $XDG_DATA_HOME/thumbnailers/ to thumbnailers directory
    (Bug #15858)

commit 01374f41cf56436f1aceecd3cbb225909bfbbb3e
Author: Daniel Muñiz Fontoira <dani@damufo.com>
Date:   Fri Aug 23 18:31:10 2019 +0200

    I18n: Update translation gl (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 32e3eb28cc19a66ccaf1b85221fa66665e0596bc
Author: Andre Miranda <andreldm@xfce.org>
Date:   Sun Aug 11 19:09:18 2019 -0300

    Updates for release

commit b9f559ea94ba7be2404e2988e24c2bbc5fa9bdd1
Author: Daniel Muñiz Fontoira <dani@damufo.com>
Date:   Wed Jul 31 12:31:05 2019 +0200

    I18n: Update translation gl (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit dbc52971b6238fc58f00a72acfb318f9b7be6b2a
Author: Andre Miranda <andreldm@xfce.org>
Date:   Sun Jul 28 12:04:32 2019 -0300

    Updates for release

commit 6358b49c71731aef37449861247b24a2b1e29fa2
Author: Kjell Cato Heskjestad <cato@heskjestad.xyz>
Date:   Wed Jul 24 12:31:40 2019 +0200

    I18n: Update translation nb (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 167bd7e802a82ccb2baef3d856b4412546e81d7a
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:   Wed Jul 17 12:31:20 2019 +0200

    I18n: Update translation fi (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit e7f2ed6675dffde43a6a058927bf8598e809c30f
Author: Andre Miranda <andreldm@xfce.org>
Date:   Sat Jun 29 21:59:38 2019 -0300

    Updates for release

commit 2d547ab6a8699225d5aed1ed4531fa511701f0cb
Author: Hayk Andreasyan <hayk.andreasyan@realschool.am>
Date:   Thu Jun 13 12:31:10 2019 +0200

    I18n: Update translation hy_AM (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit cc78312dd951bff14260293b4a3a6b797f151e11
Author: Hayk Andreasyan <hayk.andreasyan@realschool.am>
Date:   Wed Jun 12 18:31:24 2019 +0200

    I18n: Add new translation hy_AM (97%).
    
    38 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit a591223915064e8762e83d6cf2e53c425fc21cdc
Author: Anonymous <noreply@xfce.org>
Date:   Thu Jun 6 06:31:05 2019 +0200

    I18n: Update translation da (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit d44f2d6b55b9b882b86177e802885c0193c2e4bc
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 27 18:31:27 2019 +0200

    I18n: Update translation da (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 53997becf127a2cbb2764a246d5f4a6e465fff37
Author: Anonymous <noreply@xfce.org>
Date:   Fri May 24 18:30:51 2019 +0200

    I18n: Update translation da (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit c3962da0e976219a0b07f5c82d65044e4e79c330
Author: Andre Miranda <andreldm@xfce.org>
Date:   Fri May 17 16:05:49 2019 -0300

    Updates for release

commit 2e0b5032deb17fd9b104a7df6f047a5a9c7eb029
Author: Andre Miranda <andreldm@xfce.org>
Date:   Fri May 17 16:02:38 2019 -0300

    Update .gitignore

commit 91a948a20333f09bb93bd8456334b469b32715fb
Author: Andre Miranda <andreldm@xfce.org>
Date:   Fri May 17 15:55:02 2019 -0300

    Update tumbler-sections.txt generated by gtk-doc

commit a4fba6ecc56720d652afe13182db2ea92132eb21
Author: Sveinn í Felli <sv1@fellsnet.is>
Date:   Fri May 10 18:32:46 2019 +0200

    I18n: Update translation is (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 3df9428525c1d729eb77cd56f51c7627f25781c7
Author: Yarema aka Knedlyk <yupadmin@gmail.com>
Date:   Wed May 8 19:26:09 2019 +0200

    I18n: Update translation uk (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 726184e913ae462b5e1e8409897ea8185d9f945d
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Wed May 8 19:26:08 2019 +0200

    I18n: Update translation sk (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 176d319c690d15d5ee1b3beb6aa00e2a8b847d67
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed May 8 19:26:07 2019 +0200

    I18n: Update translation ro (94%).
    
    37 translated messages, 2 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 1f615a88e9515de4719e0fb1c633f17160efb98f
Author: Anonymous <noreply@xfce.org>
Date:   Wed May 8 19:26:07 2019 +0200

    I18n: Update translation pl (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 16b5ba8ae8400c66972fa1d66af4ab1d940571db
Author: Emanuele Petriglia <transifex@emanuelepetriglia.com>
Date:   Wed May 8 19:26:05 2019 +0200

    I18n: Update translation it (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit c1dbd864863eaad6cad69679733e98aeb5affe6e
Author: Anonymous <noreply@xfce.org>
Date:   Wed May 8 19:26:03 2019 +0200

    I18n: Update translation eu (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 1cb8e36d9d7013fe7b142a6827a4bbedbf798278
Author: Andre Miranda <andreldm@xfce.org>
Date:   Thu Apr 18 00:05:23 2019 -0300

    Bump glib version

commit c0b1f495994b529531655a3c10df108727b8f1b4
Author: Andre Miranda <andreldm@xfce.org>
Date:   Tue Apr 16 23:13:31 2019 -0300

    Fix g_type_class_add_private is deprecated

commit 1435c0c1af29799e87a5b26dbe97baf3008fc953
Author: Andre Miranda <andreldm@xfce.org>
Date:   Tue Apr 16 23:04:02 2019 -0300

    Update .gitignore

commit aac22247ef4de6c12284a6713541816f2d16d4a8
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Tue Jul 7 15:14:01 2015 +0100

    Update .gitignore to ignore .gmo files (Bug #6370)
    
    Plus a few gtk-doc droppings.
    
    https://bugzilla.xfce.org/show_bug.cgi?id=12049
    
    Signed-off-by: Philip Withnall <philip.withnall@collabora.co.uk>

commit 407320678e3ae2e73c1b2e8cdd19d18700eef218
Author: Andre Miranda <andreldm@xfce.org>
Date:   Tue Apr 16 22:55:18 2019 -0300

    Update URLs in README and configure.ac

commit ba9533976fa54e018f2e7e0efaa309fe30bf6c13
Author: Denis Ovsienko <denis@ovsienko.info>
Date:   Thu Nov 29 18:35:09 2018 +0000

    Fix a typo in desktop-thumbnailer-provider.c (Bug #14925)

commit 55045a62f956fb3bc49037bed9939b0a155b05de
Author: Pasi Lallinaho <pasi@shimmerproject.org>
Date:   Sat Apr 6 12:30:48 2019 +0200

    I18n: Update translation fi (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 3428825f7813924c8c0db26007cdf9c23d34ab76
Author: Besnik <besnik@programeshqip.org>
Date:   Sat Mar 16 00:30:26 2019 +0100

    I18n: Update translation sq (84%).
    
    33 translated messages, 6 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit f4cea194771c0893b1e94ac547fb9a0ee5217531
Author: Besnik <besnik@programeshqip.org>
Date:   Fri Mar 15 12:31:18 2019 +0100

    I18n: Update translation sq (79%).
    
    31 translated messages, 8 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit e84cfe8ac9a154e5948b29cc6aebe42c5906fcf8
Author: ToZ <tony.paulic@gmail.com>
Date:   Thu Mar 7 20:45:40 2019 -0300

    Add Fujifilm RAF support (Bug #14522)

commit 4a5191bb18d7d3ee3c39ac0a95da2f43e1e14b2d
Author: ToZ <tony.paulic@gmail.com>
Date:   Thu Mar 7 20:55:09 2019 -0300

    Add more media types for audio cover thumbnails (Bug #12041)

commit 39f7a7fc0b13c5fe13809de6082d335c042bc632
Author: Andre Miranda <andre42m@gmail.com>
Date:   Sat Feb 16 06:30:58 2019 +0100

    I18n: Update translation pt_BR (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit e4d6b80c895b2d2bf9e9765a144d2011efcbc881
Author: Zmicer Turok <zmicerturok@gmail.com>
Date:   Tue Jan 22 12:30:40 2019 +0100

    I18n: Update translation be (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 1d9718f4f5f7de5dbd20db59583a598a47fab6e1
Author: beriain <beriain@bitmessage.ch>
Date:   Thu Nov 15 18:31:04 2018 +0100

    I18n: Update translation eu (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 8f0234a4a14bfec9f0a1ef5c1c8b94fb523f5d41
Author: Ali Abdallah <ali@xfce.org>
Date:   Tue Nov 13 07:59:40 2018 +0100

    Set Max file sizes.
    
    2 Gb for video files and 200 Mb for photo/pdf files.

commit da29dad8676b38b3e29396db1442d0ede6f6385d
Author: Ali Abdallah <ali@xfce.org>
Date:   Sun Oct 21 11:14:16 2018 +0200

    Check for sparse video files only on plugin side.
    
    Move the sparse video files check to ffmpeg and gstreamer plugins.

commit 301348a12b7de99ebbb8b3c574830874843deda8
Author: Aitor Beriain <beriain@bitmessage.ch>
Date:   Mon Oct 15 18:30:39 2018 +0200

    I18n: Update translation eu (97%).
    
    38 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit e4727a642ad7f8d2356198d4b575f65229a9ba12
Author: Charles Monzat <c.monzat@laposte.net>
Date:   Mon Oct 8 18:30:31 2018 +0200

    I18n: Update translation fr (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit ab0d48e7e560bd2c5788a7c45d2c5316c98276f0
Author: Robert Antoni Buj Gelonch <rbuj@fedoraproject.org>
Date:   Sun Sep 16 00:31:01 2018 +0200

    I18n: Update translation ca (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 84a50d7fd9e8aae87c51e10f3398329f3cdeb4c2
Author: Påvel Nicklasson <pavel2@frimix.se>
Date:   Fri Sep 14 06:35:49 2018 +0200

    I18n: Update translation sv (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 1b357201edac979439772dcc1a50113db768f134
Author: Besnik <besnik@programeshqip.org>
Date:   Fri Sep 14 06:35:49 2018 +0200

    I18n: Update translation sq (56%).
    
    22 translated messages, 17 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 83c2bd45710d50e99eb46d13885791195024abff
Author: Igor <f2404@yandex.ru>
Date:   Fri Sep 14 06:35:49 2018 +0200

    I18n: Update translation ru (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 4fe608c65afbb9e2c339f2954e18b0b4a3cfa18d
Author: Pjotr <pjotrvertaalt@gmail.com>
Date:   Fri Sep 14 06:35:49 2018 +0200

    I18n: Update translation nl (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 8d252f34be35e88d1a8b6b7a01e47d5c13beeeb1
Author: Anonymous <noreply@xfce.org>
Date:   Fri Sep 14 06:35:49 2018 +0200

    I18n: Update translation lt (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 8470985893d3e71e6a63caccfde96e9b330ea050
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Fri Sep 14 06:35:49 2018 +0200

    I18n: Update translation kk (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 9e6c664c29ac73def74a827bb82489002376df3d
Author: Elishai Eliyahu <e1907@mm.st>
Date:   Fri Sep 14 06:35:49 2018 +0200

    I18n: Update translation he (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 94be1add7883df446733e5205e8c08d223c8b9d9
Author: Anonymous <noreply@xfce.org>
Date:   Fri Sep 14 06:35:49 2018 +0200

    I18n: Update translation gl (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit a06b389dd297bdf8e4aaa9540a2c8f540e452cd6
Author: Charles Monzat <c.monzat@laposte.net>
Date:   Fri Sep 14 06:35:49 2018 +0200

    I18n: Update translation fr (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit dc12ed09eb6b3b1d29eda712c0614491d8be903d
Author: Ali Abdallah <ali@xfce.org>
Date:   Thu Sep 13 16:08:26 2018 +0200

    Update NEWS and configure for 0.2.3

commit b833af4bb782589ad2fa6e13373b483c741924ae
Author: Ali Abdallah <ali@xfce.org>
Date:   Wed Sep 12 08:36:27 2018 +0200

    Test sparse files only on regular ones
    
    This commit fixes #14693 to allow thumbnailing of folders.

commit 493f35ee50986a2346deca35cfe8cd918ab354fb
Author: Olivier Duchateau <duchateau.olivier@gmail.com>
Date:   Sat Sep 8 18:03:32 2018 +0200

    Fix uninitialized variable
    
    Signed-off-by: Ali Abdallah <ali@xfce.org>

commit c46bd87fff95f102eca84c1945bfd2e7391238e5
Author: Nuno Miguel <nunomgue@gmail.com>
Date:   Sun Sep 9 18:31:39 2018 +0200

    I18n: Update translation pt (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 85ad11cb3032e7c318c1a40e7f04540530d0d3aa
Author: Ali Abdallah <ali@xfce.org>
Date:   Sat Sep 8 02:38:37 2018 +0200

    Prepare 0.2.2 release!

commit a2a0e8ab5ee6ff71ed62e391412e5c560e08f2b3
Author: Ali Abdallah <ali@xfce.org>
Date:   Sat Sep 8 02:28:29 2018 +0200

    Use hash table to avoid loading xdg user path twice.

commit 39e1e26a3907bd223f60554a14eb0f5ce93703ff
Author: Ali Abdallah <ali@xfce.org>
Date:   Sat Sep 8 01:27:48 2018 +0200

    Added stat check to try to skip sparse files.
    
    Sparse files, especially sparse video files, cause high cpu and memory
    load when trying to get a thumbnail image out of them, using gst or ffmpeg
    plugins.
    
    For non sparse files, usually ((double)S_BLKSIZE * sb.st_blocks / sb.st_size) = 1.0,
    but this is not always true, for example on file systems that support
    compression, the ratio can be lower (ex. on ZFS), but not by too much for
    already compressed video and image files.
    
    We assume video files with ratio lower than 0.8 to be sparse and we avoid
    them. Video files with ratio higher than 0.8 usually have enough valid
    video frames, so getting a thumbnail out of them always succeeds. This
    commit should fix bug #12259.

commit c401355a3adb1d0fc4784ae98eca50bc04664fab
Author: Ali Abdallah <ali@xfce.org>
Date:   Sun Sep 2 11:05:37 2018 +0200

    Fix identation +  close thumbnailers directory

commit 67900ce7aba3e3b4702add01088b00c89233b996
Author: Evangelos Foutras <evangelos@foutrelis.com>
Date:   Sun Jun 10 22:01:39 2018 +0300

    Accept network paths in ffmpeg thumbnailer plugin
    
    g_file_get_path() appears to be able to convert smb://, sftp://, and
    other GVFS schemes to local absolute paths which can be passed as is
    to ffmpegthumbnailer. In order to handle these URIs, remove the call
    to g_file_is_native() and rely exclussively on g_file_get_path().

commit d462f3b951dfc4f066938e9ffe3ec769b4ca9038
Author: Evangelos Foutras <evangelos@foutrelis.com>
Date:   Sun Jun 10 22:48:13 2018 +0300

    Use pkg-config to find FreeType
    
    Starting with FreeType 2.9.1, freetype-config might not be available.

commit 69cd925bc865a1b9794029956c9af517c9fecd51
Author: Pavel Borecki <pavel.borecki@gmail.com>
Date:   Thu Aug 2 12:31:10 2018 +0200

    I18n: Update translation cs (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 6fcdd4f709e991cd5ae3064b4008f23114352a28
Author: Pavel Borecki <pavel.borecki@gmail.com>
Date:   Wed Aug 1 18:31:19 2018 +0200

    I18n: Update translation cs (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 79b961a8520715fbd800c9def0632bc19569ecc1
Author: Anonymous <noreply@xfce.org>
Date:   Mon Jul 16 18:31:30 2018 +0200

    I18n: Update translation fi (97%).
    
    38 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 58e8b901d93286b5187659995ea256e3200886a9
Author: Panagiotis Mantzios <pmantzios@hotmail.com>
Date:   Sat Jul 14 12:30:41 2018 +0200

    I18n: Update translation el (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 5dbeb004cdb51c8a7ff1b3643235f3b83f6d8bdb
Author: Emanuele Petriglia <inbox@emanuelepetriglia.me>
Date:   Sat Jun 16 18:31:03 2018 +0200

    I18n: Update translation it (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 16ebc539a94bf3409021d59df9a81be57160f403
Author: Balázs Meskó <meskobalazs@gmail.com>
Date:   Sun Apr 29 00:31:01 2018 +0200

    I18n: Update translation hu (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit bb7a5e9491e19cdc59f4fd16d2edb00db70f6fec
Author: John Humphrys <john.humphrys@pm.me>
Date:   Fri Apr 27 06:30:47 2018 +0200

    I18n: Update translation en_AU (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 9b28f34ad0496cea44cd368df8926c7fb01674ce
Author: Emanuele Petriglia <inbox@emanuelepetriglia.me>
Date:   Sat Mar 31 18:31:25 2018 +0200

    I18n: Update translation it (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 29c6b21b1c1a604135605c9388ff8c7226aff1c0
Author: Ali Abdallah <ali@xfce.org>
Date:   Sat Mar 31 09:31:49 2018 +0200

    Release 0.2.1!

commit a6ebd22f789b3b49aa0eac2fad8a71e300eb13bf
Author: Ali Abdallah <ali@xfce.org>
Date:   Sat Mar 31 09:12:01 2018 +0200

    Handle 0 mtime threshold on Cleanup DBus method.
    
    According to the Thumbnail management DBus specification,
    original_mtime_threshold can be 0 to ignore the threshold and only
    cleanup based on the URI prefix array. Previously this was ignored,
    on 'Cleanup' method call, tumbler was running across all thumbnails
    in the thumbnail directory, using a lot of I/O bandwidth on any file
    deleted by Thunar that has a thumbnail, bug #9231.

commit 9a4041a9ba360f5d0302f414390969663f9c70f5
Author: Zmicer Turok <zmicerturok@gmail.com>
Date:   Thu Mar 22 00:30:38 2018 +0100

    I18n: Add new translation be (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 4a5dbceb11f80f9326f225bbbe5d458defe103dd
Author: Charles Monzat <superboa@hotmail.fr>
Date:   Tue Mar 13 18:31:37 2018 +0100

    I18n: Update translation fr (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit f835818439fb3e9dd80f0c1369a37b7d4e7cdf68
Author: Anonymous <noreply@xfce.org>
Date:   Thu Mar 8 18:31:12 2018 +0100

    I18n: Update translation da (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 161132e64804534415c1bfe13e6440b4d7024044
Author: Besnik <besnik@programeshqip.org>
Date:   Thu Feb 22 00:31:00 2018 +0100

    I18n: Add new translation sq (53%).
    
    21 translated messages, 18 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 84f2d5556402708c42b5e61d698ff6c79d9f9a9e
Author: Саша Петровић <salepetronije@gmail.com>
Date:   Sun Dec 24 00:30:53 2017 +0100

    I18n: Update translation sr (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 3b8b621dd90a682a8357c8a8603ed1c4a92308bc
Author: Andi Chandler <andi@gowling.com>
Date:   Sun Dec 17 06:31:42 2017 +0100

    I18n: Update translation en_GB (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 569339f57d1bb4710ab1e916988778035023bc83
Author: Vinzenz Vietzke <vinz@vinzv.de>
Date:   Sun Dec 17 00:32:04 2017 +0100

    I18n: Update translation de (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 6e34a342778ab1ab3f8b0144fe6fd3b0ba36e1b5
Author: Robert Antoni Buj Gelonch <rbuj@fedoraproject.org>
Date:   Thu Dec 14 12:31:37 2017 +0100

    I18n: Update translation ca (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 3ac4070f2cf11236a045e143e8cdc062b552833a
Author: Daniel Muñiz Fontoira <dani@damufo.com>
Date:   Mon Nov 27 18:31:39 2017 +0100

    I18n: Update translation gl (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 3c9f147cbcbc4c34489e8bfeb9d33925369c788d
Author: 박정규(Jung-Kyu Park) <bagjunggyu@gmail.com>
Date:   Tue Nov 14 18:32:23 2017 +0100

    I18n: Update translation ko (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 37c2ce4991bf42d33464b677b03b0539e02a8f0d
Author: Allan Nordhøy <epost@anotheragency.no>
Date:   Tue Nov 14 06:30:43 2017 +0100

    I18n: Update translation nb (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 369bcdf241e2c425ebb9942f3c74e68b28fc0fd8
Author: Anonymous <noreply@xfce.org>
Date:   Sat Nov 4 00:31:11 2017 +0100

    I18n: Update translation da (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 34afa6d46799b63f13e9906413ff7bf60f35ebe5
Author: Ivica  Kolić <ikoli@yahoo.com>
Date:   Fri Oct 13 00:31:19 2017 +0200

    I18n: Update translation hr (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 531aa053518163fcfd5c978c7522e423f5e4f8e4
Author: Anonymous <noreply@xfce.org>
Date:   Sat Sep 30 18:31:37 2017 +0200

    I18n: Update translation da (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 3bf7f9ca5af7c19b199c1d9e80cefeba591a355e
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Sat Sep 30 12:31:02 2017 +0200

    I18n: Update translation sk (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 28b223d536410b23be381a0c65080a68a1a9a530
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Sep 24 00:34:58 2017 +0200

    I18n: Update translation ug (94%).
    
    37 translated messages, 2 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 0d290f89ff3b2d06a442f312c0eab8c3840bf882
Author: Theppitak Karoonboonyanan <theppitak@gmail.com>
Date:   Sun Sep 24 00:34:58 2017 +0200

    I18n: Update translation th (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 3f928e175682c5067f30c17cdf677250ea0259f6
Author: Igor <f2404@yandex.ru>
Date:   Sun Sep 24 00:34:57 2017 +0200

    I18n: Update translation ru (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit ee8654b0f45cfbace909587adbce2135fae5339d
Author: Michael Martins <michaelfm21@gmail.com>
Date:   Sun Sep 24 00:34:57 2017 +0200

    I18n: Update translation pt_BR (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 21f31d7db45d6c00e83539aeb317d7f166be76f3
Author: Anonymous <noreply@xfce.org>
Date:   Sun Sep 24 00:34:57 2017 +0200

    I18n: Update translation pl (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 99e81f1e4261ede67afecc258097ed534d3b3160
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Sep 24 00:34:57 2017 +0200

    I18n: Update translation oc (94%).
    
    37 translated messages, 2 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 31f57346766d68bdb3063ae115bef0a79801dbd8
Author: Pjotr <pjotrvertaalt@gmail.com>
Date:   Sun Sep 24 00:34:57 2017 +0200

    I18n: Update translation nl (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 58a7ad975a87fae2a0485a2a1687aefe468ccbf6
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Sep 24 00:34:56 2017 +0200

    I18n: Update translation it (94%).
    
    37 translated messages, 2 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 5c9a6d0c63f34ea7a1b136745ab03bfd12492b52
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Sep 24 00:34:56 2017 +0200

    I18n: Update translation hr (94%).
    
    37 translated messages, 2 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit d27dc5ca7d1a33f17c245fa76be65bd9126c031b
Author: Elishai Eliyahu <e1907@mm.st>
Date:   Sun Sep 24 00:34:56 2017 +0200

    I18n: Update translation he (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 0499c9b8fed850e5a27636e7c188ef8ed5b8caba
Author: Yannick Le Guen <leguen.yannick@gmail.com>
Date:   Sun Sep 24 00:34:55 2017 +0200

    I18n: Update translation fr (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit b8f9ec2567d1896901cbcf6e192a15f1e1449276
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Sep 24 00:34:55 2017 +0200

    I18n: Update translation eu (94%).
    
    37 translated messages, 2 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit d7ef1f776aff21414cf5d4755f9d11a7e5de4800
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Sep 24 00:34:55 2017 +0200

    I18n: Update translation en_AU (94%).
    
    37 translated messages, 2 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 25ea0480471ad6df1ae2f922998a74e63f0731ef
Author: Xfce Bot <transifex@xfce.org>
Date:   Sun Sep 24 00:34:55 2017 +0200

    I18n: Update translation ast (66%).
    
    26 translated messages, 13 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit f0d54097dabf3be0d0d3e63e762d70a175476c01
Author: Jeff Huang <s8321414@gmail.com>
Date:   Wed Sep 20 00:38:46 2017 +0200

    I18n: Update translation zh_TW (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 521d3025c7d58870f8dfae52cbae3ba0e4f44ba6
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Sep 20 00:38:46 2017 +0200

    I18n: Update translation zh_HK (94%).
    
    37 translated messages, 2 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit e071e08cea776c66aa4935cec7586d47f1632d6c
Author: Mingcong Bai <jeffbai@aosc.xyz>
Date:   Wed Sep 20 00:38:46 2017 +0200

    I18n: Update translation zh_CN (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit d462d235308e30c4b34d45c77f66305c788991e0
Author: Yarema aka Knedlyk <yupadmin@gmail.com>
Date:   Wed Sep 20 00:38:46 2017 +0200

    I18n: Update translation uk (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit c0640f91cbe212c8c69e712f05140dd6bcc64de3
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Sep 20 00:38:46 2017 +0200

    I18n: Update translation ug (94%).
    
    37 translated messages, 2 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 576c2893c59b4d84635365010a0503784212fd33
Author: Necdet Yücel <necdetyucel@gmail.com>
Date:   Wed Sep 20 00:38:46 2017 +0200

    I18n: Update translation tr (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit b4091e8e1bc410b22ce6aa3a8cb53d8f2d17bd37
Author: Theppitak Karoonboonyanan <theppitak@gmail.com>
Date:   Wed Sep 20 00:38:46 2017 +0200

    I18n: Update translation th (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 7eb884ea71ae8878d9a10569e02ae56fd1c9da75
Author: Påvel Nicklasson <pavel2@frimix.se>
Date:   Wed Sep 20 00:38:46 2017 +0200

    I18n: Update translation sv (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 4d0565f5bafd623fd4abd7fa66697e387e7dd43f
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Sep 20 00:38:46 2017 +0200

    I18n: Update translation sr (94%).
    
    37 translated messages, 2 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit bf5d752e6687599c2618e2b77fcc78c268e3da6a
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Sep 20 00:38:46 2017 +0200

    I18n: Update translation sk (97%).
    
    38 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 27c455e527dbab558f2048bab0de146c0acf21b9
Author: Igor <f2404@yandex.ru>
Date:   Wed Sep 20 00:38:45 2017 +0200

    I18n: Update translation ru (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 5d7b7614cba5c09940d9254780dd190ef7bc73a8
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Sep 20 00:38:45 2017 +0200

    I18n: Update translation ro (94%).
    
    37 translated messages, 2 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 758da6acc8f5938dce4488b7d16cb742376c1403
Author: Nuno Miguel <nunomgue@gmail.com>
Date:   Wed Sep 20 00:38:45 2017 +0200

    I18n: Update translation pt (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit c187ee65c41de503e6e2b360bdc8b9fdc3f4a555
Author: Michael Martins <michaelfm21@gmail.com>
Date:   Wed Sep 20 00:38:45 2017 +0200

    I18n: Update translation pt_BR (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit a7728ba97184005c973092905cbb7aa0bdadc727
Author: Anonymous <noreply@xfce.org>
Date:   Wed Sep 20 00:38:45 2017 +0200

    I18n: Update translation pl (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 6b1c78129f300faa101bd86fc6d39b4bc1e46a1d
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Sep 20 00:38:45 2017 +0200

    I18n: Update translation oc (94%).
    
    37 translated messages, 2 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit aa2a9ffe811d0ce65d3e296beae90ba40f03114c
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Sep 20 00:38:45 2017 +0200

    I18n: Update translation nn (79%).
    
    31 translated messages, 8 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 1a770d152a6f998ace66a9f02b6766da3aa176ea
Author: Pjotr <pjotrvertaalt@gmail.com>
Date:   Wed Sep 20 00:38:45 2017 +0200

    I18n: Update translation nl (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 88801bb0f74d6425205dd12c03d79d7608c8f430
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Sep 20 00:38:44 2017 +0200

    I18n: Update translation nb (97%).
    
    38 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 1c83272246afddd5d6b09404a980e314ed25d0a5
Author: abuyop <abuyop@gmail.com>
Date:   Wed Sep 20 00:38:44 2017 +0200

    I18n: Update translation ms (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit c76fcb4e58057807686bf38158484435cde82f9d
Author: Anonymous <noreply@xfce.org>
Date:   Wed Sep 20 00:38:44 2017 +0200

    I18n: Update translation lt (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit a9d2a2a9a5a15945b5923ec75c65b43c5483335e
Author: 박정규(Jung-Kyu Park) <bagjunggyu@gmail.com>
Date:   Wed Sep 20 00:38:44 2017 +0200

    I18n: Update translation ko (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 9873940406e8d6a671b07175a2fa02000d21c97b
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Wed Sep 20 00:38:44 2017 +0200

    I18n: Update translation kk (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit e1269ace27c87c50d5cda82b063b48c00b85bc75
Author: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
Date:   Wed Sep 20 00:38:43 2017 +0200

    I18n: Update translation ja (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 48f4d62bd34be2c05b0927d16db21b9eca5a3b93
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Sep 20 00:38:43 2017 +0200

    I18n: Update translation it (94%).
    
    37 translated messages, 2 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 58a4eed48a03a413baba252bd9d09f995fbd5131
Author: Sveinn í Felli <sv1@fellsnet.is>
Date:   Wed Sep 20 00:38:43 2017 +0200

    I18n: Update translation is (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 4136e00b7cc9d9cc93c3a10cda69b3ce1c6dcccc
Author: Kukuh Syafaat <syafaatkukuh@gmail.com>
Date:   Wed Sep 20 00:38:42 2017 +0200

    I18n: Update translation id (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit f5a7c52e7b442afbce059e302270c58f27b11024
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Sep 20 00:38:42 2017 +0200

    I18n: Update translation hu (94%).
    
    37 translated messages, 2 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit d3657eb10dad66fc61ce9743cc730936cb0e7ac2
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Sep 20 00:38:42 2017 +0200

    I18n: Update translation hr (94%).
    
    37 translated messages, 2 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 4c2d318a6b324b90bd5074c7a656524e16af3ec4
Author: Elishai Eliyahu <e1907@mm.st>
Date:   Wed Sep 20 00:38:42 2017 +0200

    I18n: Update translation he (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit a43ecfa5af697daca70c4d7a184273fc2d2bed19
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Sep 20 00:38:41 2017 +0200

    I18n: Update translation gl (94%).
    
    37 translated messages, 2 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 84bca9336d6e11a2368d15248e5223c37260a42c
Author: Yannick Le Guen <leguen.yannick@gmail.com>
Date:   Wed Sep 20 00:38:41 2017 +0200

    I18n: Update translation fr (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 8334533b49b41b61bbdc56cd8d0c82197937bd7f
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Sep 20 00:38:41 2017 +0200

    I18n: Update translation fi (94%).
    
    37 translated messages, 2 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit e82b58af857a666a3378229724443e85c434bcf1
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Sep 20 00:38:41 2017 +0200

    I18n: Update translation eu (94%).
    
    37 translated messages, 2 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 9eebc684c958237f9798d215674ea89988e78491
Author: Pablo Lezaeta Reyes [pˈaβ̞lo lˌe̞θaˈeta rˈejɛ] <prflr88@gmail.com>
Date:   Wed Sep 20 00:38:40 2017 +0200

    I18n: Update translation es (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 025ad5009026da37c4fe62cf325d093633aaf392
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Sep 20 00:38:40 2017 +0200

    I18n: Update translation en_GB (94%).
    
    37 translated messages, 2 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 001b3f6d2b0fe351c76fff6f81af3cbd3d758dee
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Sep 20 00:38:40 2017 +0200

    I18n: Update translation en_AU (94%).
    
    37 translated messages, 2 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit d4c758b4528eaf07e98645aecdbdbe82d4c3beda
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Sep 20 00:38:40 2017 +0200

    I18n: Update translation el (94%).
    
    37 translated messages, 2 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit ca40f114c480704ee21a55f049295742428e86b1
Author: Tobias Bannert <tobannert@gmail.com>
Date:   Wed Sep 20 00:38:39 2017 +0200

    I18n: Update translation de (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit e1dff4b318e34529ead4683ab4acf6c9a406fb0d
Author: Anonymous <noreply@xfce.org>
Date:   Wed Sep 20 00:38:39 2017 +0200

    I18n: Update translation da (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 143510cc25f1ef75973a8c08724a581458a843b1
Author: Michal Várady <miko.vaji@gmail.com>
Date:   Wed Sep 20 00:38:39 2017 +0200

    I18n: Update translation cs (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 5041fe1da3f9a686fa8fad42a3e298f76bf23ad9
Author: Davidmp <medipas@gmail.com>
Date:   Wed Sep 20 00:38:39 2017 +0200

    I18n: Update translation ca (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 6da1ab55adf3c1b41333a2a88c9c865f3562ca0a
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Sep 20 00:38:38 2017 +0200

    I18n: Update translation bn (69%).
    
    27 translated messages, 12 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit c281a248a2b40db578e82e2d4f06d892876fb430
Author: Kiril Kirilov <cybercop_montana@abv.bg>
Date:   Wed Sep 20 00:38:38 2017 +0200

    I18n: Update translation bg (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit b62d9fb7b84e3a3499c9c04e5bcd690b9e17839b
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Sep 20 00:38:38 2017 +0200

    I18n: Update translation ast (66%).
    
    26 translated messages, 13 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 7e06f48911a2108b30d0da450d86bb0dba08d0c0
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Sep 20 00:38:38 2017 +0200

    I18n: Update translation ar (94%).
    
    37 translated messages, 2 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 70b3aca229bfad080671f4f1f1a698e372bac92e
Author: Yarema aka Knedlyk <yupadmin@gmail.com>
Date:   Thu Sep 14 00:31:36 2017 +0200

    I18n: Update translation uk (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 0eded400bd79b018515cdfb1631fa643c48d94b1
Author: Anonymous <noreply@xfce.org>
Date:   Thu Sep 14 00:31:36 2017 +0200

    I18n: Update translation da (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit a499e820cdf5224bc7f57e526568d123b6c1b212
Author: Anonymous <noreply@xfce.org>
Date:   Wed Sep 13 18:31:41 2017 +0200

    I18n: Update translation da (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 8a6d677145d45bb2131531cbbe453b8e8ce3ca14
Author: Sveinn í Felli <sv1@fellsnet.is>
Date:   Tue Sep 5 12:30:59 2017 +0200

    I18n: Update translation is (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit eaab0fd33c147c7abae59d3347880fd618d86f17
Author: Michael Martins <michaelfm21@gmail.com>
Date:   Tue Aug 29 06:32:12 2017 +0200

    I18n: Update translation pt_BR (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit c2b667b86435f7cc7df699d7b6e3155bd131f52c
Author: abuyop <abuyop@gmail.com>
Date:   Tue Aug 22 12:30:41 2017 +0200

    I18n: Update translation ms (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit e3e5e5df223430a0c395fb621c90abc0c0c038cd
Author: Yannick Le Guen <leguen.yannick@gmail.com>
Date:   Thu Aug 17 00:30:40 2017 +0200

    I18n: Update translation fr (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 94db48138279130c8a39b870cbaa4ae140afe2cc
Author: Nuno Miguel <nunomgue@gmail.com>
Date:   Tue Jul 25 18:30:54 2017 +0200

    I18n: Update translation pt (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit b451b46a92c8e0ece80c6fbf8b6faf310d5decef
Author: Necdet Yücel <necdetyucel@gmail.com>
Date:   Mon Jul 24 12:30:55 2017 +0200

    I18n: Update translation tr (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 061acf458268e7174ec2d458de268c174129c893
Author: Tobias Bannert <tobannert@gmail.com>
Date:   Wed Jul 19 18:30:44 2017 +0200

    I18n: Update translation de (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 96f5f84fd3fba2c0a6e65b2b4eea0faf203b96fd
Author: Pablo Roberto “Jristz” Lezaeta Reyes <prflr88@gmail.com>
Date:   Tue Jul 18 12:30:39 2017 +0200

    I18n: Update translation es (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit f199d8386b989426689be7a264bbf2fae49e335e
Author: Ali Abdallah <ali@xfce.org>
Date:   Mon Jul 17 15:47:18 2017 +0200

    Update NEWS files and version number.

commit 2e913f3bd0ddcdacc6d5913e12210807001d8d67
Merge: a43118f 096b75d
Author: Ali Abdallah <ali@xfce.org>
Date:   Mon Jul 17 15:25:28 2017 +0200

    Merge branch 'master' of ssh://git.xfce.org/xfce/tumbler

commit a43118f57d86c1f8fc7d16c9e70e9bf392ea1a9c
Author: Ali Abdallah <ali@xfce.org>
Date:   Mon Jul 17 10:50:04 2017 +0200

    Fix wrong variant signature in g_variant_get.

commit bbe28a49c78156fe18676f04521aebe97b7f6ece
Author: Ali Abdallah <ali@xfce.org>
Date:   Mon Jul 17 10:48:06 2017 +0200

    Don't ref the variant before sending a signal and let it
    be consumed by the gdbus signal emission.

commit 096b75d17dadbc2942ceca89fe3f041f6e758ed1
Author: Pjotr <pjotrvertaalt@gmail.com>
Date:   Tue Jul 4 12:33:45 2017 +0200

    I18n: Update translation nl (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 7f8256264ff98580160af10b8bc7f7e78e32d72e
Author: Davidmp <medipas@gmail.com>
Date:   Tue Jul 4 12:33:45 2017 +0200

    I18n: Update translation ca (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 2e0e873b1a899b301cd60760bd38fce4dc2a1eb2
Author: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
Date:   Mon Jul 3 12:30:35 2017 +0200

    I18n: Update translation ja (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit efab05835d148b7494f22f72ea8e030180136e48
Author: Anonymous <noreply@xfce.org>
Date:   Mon Jun 26 12:30:36 2017 +0200

    I18n: Update translation pl (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 5de4813a2744f31b57864a7ccd86de5274dfa116
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 21 06:30:52 2017 +0200

    I18n: Update translation lt (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 94d4546d04645d8e2b7895ec95c8fc6ab6f57bb6
Author: Påvel Nicklasson <pavel2@frimix.se>
Date:   Sun Jun 18 18:30:37 2017 +0200

    I18n: Update translation sv (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 0dd5c04ac6204c1194dad78bb9de5e42fd8b313a
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Fri Jun 16 18:30:42 2017 +0200

    I18n: Update translation kk (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 03268fe78cd0fbb3ad4947b2e6f5b1dcc8fe8408
Author: Pjotr <pjotrvertaalt@gmail.com>
Date:   Sat Jun 10 15:03:22 2017 +0200

    I18n: Update translation nl (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 5d7820785f3dd76f1dd10eb03d869c4f4cd1d37e
Author: Pjotr <pjotrvertaalt@gmail.com>
Date:   Sat Jun 10 12:30:43 2017 +0200

    I18n: Update translation nl (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 550c35d2b443c2b295321b300ceac37e91211eed
Author: Mingcong Bai <jeffbai@aosc.xyz>
Date:   Fri Jun 9 18:30:32 2017 +0200

    I18n: Update translation zh_CN (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 4e4e9bd1add69515d81e69aa54b0291f2749b7e5
Author: Anonymous <noreply@xfce.org>
Date:   Thu Jun 8 00:30:31 2017 +0200

    I18n: Update translation lt (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit a99347e03be2b075fceab33a068640e7f68767c0
Author: Ali Abdallah <ali@xfce.org>
Date:   Wed Jun 7 11:33:54 2017 +0200

    Avoid loading desktop thumbnailers twice when XDG_DATA_DIRS
    has path duplications.

commit 4aaa786f057d06bd7e84d746e4bd20cb7386ca21
Author: Ali Abdallah <ali@xfce.org>
Date:   Wed Jun 7 10:10:40 2017 +0200

    On some systems $XDG_DATA_HOME can have duplicated path
    (ex. '/usr/share' twice). This causes tumbler to load a
    specilized thumbnailer twice causing an assertion failure
    in tumbler_manager_load_thumbnailer.
    
    Use GHashTable to record already loaded path to avoid
    the issue, fix #13618.

commit 984e67ce5247a2543f0fd547b42201043c69e9b2
Author: Ali Abdallah <ali@xfce.org>
Date:   Wed Jun 7 09:51:34 2017 +0200

    According to the API doc of GdkPixbuf, gdk_pixbuf_loader_write
    will close the pixbuf loader on error.
    
    This commit adds a check for error so that we don't re-close the
    pixbuf loader (which causes sigabrt). Fix #13360

commit e650eda2282b870580d00408bc2a96337e8de544
Author: Theppitak Karoonboonyanan <theppitak@gmail.com>
Date:   Sun Jun 4 12:30:32 2017 +0200

    I18n: Update translation th (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 972f2fb6a894d7334b44638cf7ecde79172fa5fc
Author: André Miranda <andre42m@gmail.com>
Date:   Sun Jun 4 06:30:53 2017 +0200

    I18n: Update translation pt_BR (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 2dc070a830674142ff225ffff5273ec46779b215
Author: Anonymous <noreply@xfce.org>
Date:   Thu Jun 1 18:30:33 2017 +0200

    I18n: Update translation da (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 4357595913a7a559a421056cb4f5625c6d775cd8
Author: Pablo Roberto “Jristz” Lezaeta Reyes <prflr88@gmail.com>
Date:   Wed May 31 12:30:35 2017 +0200

    I18n: Update translation es (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 7c78b8762a3254fe42daf8d8c164577f73e4dcff
Author: Justin Gassner <justin.gassner@web.de>
Date:   Sat Dec 17 19:57:03 2016 +0100

    Fix typo in exif tag for image height
    
    Signed-off-by: Ali Abdallah <aliovx@gmail.com>

commit e45b5da1c585ccaa90e3b2a56f1f551114470991
Merge: 7e5ddd5 9671cd6
Author: Ali Abdallah <aliovx@gmail.com>
Date:   Mon May 29 19:58:31 2017 +0200

    Merge branch 'master' of ssh://git.xfce.org/xfce/tumbler

commit 7e5ddd570294bef4578831e20db8a85d225065b5
Author: Michał Górny <mgorny@gentoo.org>
Date:   Sun Feb 19 10:17:40 2017 +0100

    Fix finding libopenraw-0.1.0 due to changed pkg-config name
    
    Bug: https://bugzilla.xfce.org/show_bug.cgi?id=13201
    
    Signed-off-by: Ali Abdallah <aliovx@gmail.com>

commit 9671cd6bdb5c5a524c44ebb9a01d5d811d29fd7a
Author: Igor <f2404@yandex.ru>
Date:   Mon May 29 18:30:33 2017 +0200

    I18n: Update translation ru (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 1dbab5c87fc68c3c46feb0b1b663e3a183503f8e
Author: Pjotr <pjotrvertaalt@gmail.com>
Date:   Mon May 29 12:30:32 2017 +0200

    I18n: Update translation nl (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 9aae763140842f906a8984c9559e881a589965fd
Author: Kukuh Syafaat <syafaatkukuh@gmail.com>
Date:   Mon May 29 12:30:32 2017 +0200

    I18n: Update translation id (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 11fd3305f319449db8228fbe516503b3839cfae8
Author: Yannick Le Guen <leguen.yannick@gmail.com>
Date:   Mon May 29 00:30:32 2017 +0200

    I18n: Update translation fr (100%).
    
    39 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit a97936793379e224953f244e537f815af753b701
Author: Ali Abdallah <aliovx@gmail.com>
Date:   Sun May 28 12:20:35 2017 +0200

    Missing entry in tumbler.rc for the new desktop thumbnailers plugin.

commit ec9cd77251b0fe7dd2903cd06de9b9cd0b14322f
Author: Ali Abdallah <aliovx@gmail.com>
Date:   Sun May 28 10:45:38 2017 +0200

    Use a better description in configure.ac and acinclude.m4 for the new plugin.
    
    Update version information and copyrights.

commit ac8f0e2c50a44f83a258a41a8d66694d6822d42b
Author: Ali Abdallah <aliovx@gmail.com>
Date:   Sun May 28 10:44:47 2017 +0200

    Added the files of the new desktop plugin to POTFILES.in

commit 36b93acd4abe8f26d5e685e6c4cf290ad4c9798c
Author: Ali Abdallah <aliovx@gmail.com>
Date:   Sat May 27 21:22:32 2017 +0200

    Remove a couple of ridiculous debug prints.

commit 3c15ad93aa7c88b6bdebd78973e1c8f1d0ecbfcb
Author: Ali Abdallah <aliovx@gmail.com>
Date:   Sun May 28 10:41:27 2017 +0200

    Don't ref the pixbuf as the desktop plugin returns it as it is.
    Fix a small identation problem.

commit b390c588b30ef388601640fc3853bce0eb3d8a05
Author: Ali Abdallah <aliovx@gmail.com>
Date:   Sat May 27 20:26:56 2017 +0200

    Load and register in tumbler a list of thumbnailers read from XDG_DATA_DIRS/thumbnailers. These "desktop" thumbnailers should have *.thumbnailer as a desktop file name and [Thumbnailer Entry] for MimeType and Exec.

commit 95311dbb45d07d8029e27bb374aeefa60e17b339
Author: Ali Abdallah <aliovx@gmail.com>
Date:   Tue May 23 09:10:16 2017 +0200

    Added skeleton files for the desktop thumbnailer plugin.
    
    This plugin will add desktop thumbnailer support for tumbler see:
    https://bugzilla.xfce.org/show_bug.cgi?id=7475

commit 59ba8680de8831ee95dc5fe77b1376dc1fd7771b
Author: jc1 <jc1.quebecos@gmail.com>
Date:   Sat May 27 18:30:35 2017 +0200

    I18n: Update translation fr (100%).
    
    38 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit b39fde548f9078994542c0c2f2981521b610da66
Author: Elishai Eliyahu <e1907@mm.st>
Date:   Fri May 26 00:30:34 2017 +0200

    I18n: Update translation he (100%).
    
    38 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 43850d2bee7b188b8d9461c9667ba2c2b86abc0a
Author: Theppitak Karoonboonyanan <theppitak@gmail.com>
Date:   Wed May 24 18:30:31 2017 +0200

    I18n: Update translation th (100%).
    
    38 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 3a918c1addd7b22becb6edc4fcdb8231687af002
Author: José Vieira <jvieira33@sapo.pt>
Date:   Tue May 23 18:30:31 2017 +0200

    I18n: Update translation pt (100%).
    
    38 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 0c0edfa7c32f79b369f284f3710162d93e328963
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 22 00:30:38 2017 +0200

    I18n: Update translation lt (100%).
    
    38 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 7cb32585b6847d2e5f5e7731b43affefa29b19ce
Author: abuyop <abuyop@gmail.com>
Date:   Sun May 21 18:30:55 2017 +0200

    I18n: Update translation ms (100%).
    
    38 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 8f6d908093525f902797d284706908043091d8eb
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Sun May 21 12:30:55 2017 +0200

    I18n: Update translation sk (100%).
    
    38 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 2770c64b2c1fcb01a14dc4649825d0ca38ee23bc
Author: m4sk1n <m4sk1n@vivaldi.net>
Date:   Wed May 17 18:30:52 2017 +0200

    I18n: Update translation pl (100%).
    
    38 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 4e1c8a1ba697f4381e7347dca76a467530a64758
Author: Michal Várady <miko.vaji@gmail.com>
Date:   Wed May 17 00:30:32 2017 +0200

    I18n: Update translation cs (100%).
    
    38 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 333d87ea94665084909d8eacc782270c7da30a86
Author: Anonymous <noreply@xfce.org>
Date:   Tue May 16 18:30:38 2017 +0200

    I18n: Update translation da (100%).
    
    38 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 5e2514bf3578702af0e76d8c174e5bfb02042ca5
Author: Yarema aka Knedlyk <yupadmin@gmail.com>
Date:   Tue May 16 12:30:32 2017 +0200

    I18n: Update translation uk (100%).
    
    38 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 2f11b05aa1fbd3374b9dd1c2e60b41fd5f7db482
Author: Robert Antoni Buj Gelonch <rbuj@fedoraproject.org>
Date:   Tue May 16 12:30:32 2017 +0200

    I18n: Update translation ca (100%).
    
    38 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 504a5eaeb5b61fcb585c787a6d0c88bc5b4c4da5
Author: Kiril Kirilov <cybercop_montana@abv.bg>
Date:   Tue May 16 12:30:32 2017 +0200

    I18n: Update translation bg (100%).
    
    38 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit ee55bf769e8672851de231a00760a8c62283755b
Author: Unit 193 <unit193@ubuntu.com>
Date:   Tue May 16 03:44:10 2017 -0400

    Fix typo in tumbler.rc
    
    Signed-off-by: Ali Abdallah <aliovx@gmail.com>

commit a2267019008479a29316a4757f9d1189c6a90d16
Author: Igor <f2404@yandex.ru>
Date:   Tue May 16 06:30:33 2017 +0200

    I18n: Update translation ru (100%).
    
    38 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit dae3919c3503ccb84781c4c00dfbbe054f2e7207
Author: 박정규(Jung-Kyu Park) <bagjunggyu@gmail.com>
Date:   Tue May 16 06:30:32 2017 +0200

    I18n: Update translation ko (100%).
    
    38 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit cb1a6cba91857a3b07cd8297079b65a3afef7ac7
Author: Kukuh Syafaat <syafaatkukuh@gmail.com>
Date:   Tue May 16 06:30:32 2017 +0200

    I18n: Update translation id (100%).
    
    38 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 4749a0d48a216bdea3c9bd4bdbde35120e726c31
Author: Pablo Roberto “Jristz” Lezaeta Reyes <prflr88@gmail.com>
Date:   Tue May 16 06:30:32 2017 +0200

    I18n: Update translation es (100%).
    
    38 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit d02adb17983155bfbe278228be3685d7f62ba1d0
Merge: 87b985e 87ec630
Author: Ali Abdallah <aliovx@gmail.com>
Date:   Thu May 11 11:06:12 2017 +0200

    Merge branch 'gdbus-port'

commit 87ec6303a672bc66c538ff9df51f596fd9106d3e
Author: Ali Abdallah <aliovx@gmail.com>
Date:   Thu May 11 09:38:17 2017 +0200

    Fix a couple of compile warnings caused by return void
    with g_return_if_fail in functions returing boolean.

commit 87b985eb6ac8960173e25a82adb626584d70bae4
Author: Xosé <xosecalvo@gmail.com>
Date:   Tue Mar 21 00:30:56 2017 +0100

    I18n: Update translation gl (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit b9cb0cee1e40a9a5a073c08a8b9d638e786ca390
Author: Apóstolos Papaðimitríu <apostolos.papadimitriu@gmail.com>
Date:   Sat Mar 4 00:30:42 2017 +0100

    I18n: Update translation el (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 1badaeed4e268c247f6bb4972fb4a60585dcc9a0
Author: Ivica  Kolić <ikoli@yahoo.com>
Date:   Sun Feb 26 00:30:53 2017 +0100

    I18n: Update translation hr (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 318fbf73d377dc5240eec8700633c59b528c5ade
Author: Ivica  Kolić <ikoli@yahoo.com>
Date:   Fri Feb 3 06:30:37 2017 +0100

    I18n: Update translation hr (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 3d5903326852db3eb2414e62cf2e6a3101f22568
Author: Anonymous <noreply@xfce.org>
Date:   Thu Jan 19 12:30:53 2017 +0100

    I18n: Update translation da (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 2b7a84a376ee9fb98b1f383450365e70d6240557
Author: Anonymous <noreply@xfce.org>
Date:   Sat Jan 14 12:31:09 2017 +0100

    I18n: Update translation da (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 4290e0b232b05cbba01c935a0e94c771a3515802
Author: Robert Antoni Buj i Gelonch <rbuj@fedoraproject.org>
Date:   Sat Apr 30 00:31:10 2016 +0200

    I18n: Update translation ca (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 782782bfae35eff6228562aea010d1b95b37819f
Author: Påvel Nicklasson <pavelnicklasson@bahnhof.se>
Date:   Mon Apr 25 00:30:25 2016 +0200

    I18n: Update translation sv (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit e7b570ebdff72fe44c667a4e5e1fe0b20ae0454d
Author: Anonymous <noreply@xfce.org>
Date:   Fri Mar 18 00:30:57 2016 +0100

    I18n: Update translation lt (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit d3764923ce2a63369945ad05413443fc5207b54e
Author: Elishai Eliyahu <e1907@mm.st>
Date:   Tue Mar 8 00:30:25 2016 +0100

    I18n: Update translation he (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 1fb6b0f583eaffd1adbae8ced5f58c1c8f63479b
Author: Apostolos Papadimitriu <apostolos.papadimitriu@gmail.com>
Date:   Tue Feb 9 00:30:38 2016 +0100

    I18n: Update translation el (97%).
    
    43 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 059d9cd6a6b0ec9c400ac82f75cd17aeaee27ea1
Author: Piarres Beobide <pi@beobide.net>
Date:   Mon Feb 8 18:30:34 2016 +0100

    I18n: Update translation eu (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 22acd8bd89a16bc3bd8fdf21520d0516e931961c
Author: Apostolos Papadimitriu <apostolos.papadimitriu@gmail.com>
Date:   Fri Feb 5 18:30:30 2016 +0100

    I18n: Update translation el (95%).
    
    42 translated messages, 2 untranslated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 13aac61d20927ef8ccd0de5023b1ca38a5a49641
Author: Ivica  Kolić <ikoli@yahoo.com>
Date:   Fri Dec 18 18:30:36 2015 +0100

    I18n: Update translation hr (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 96cd084411fd8b5fcfd98fb386ca4012e1a96cef
Author: Davidmp <medipas@gmail.com>
Date:   Tue Dec 15 18:30:23 2015 +0100

    I18n: Update translation ca (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 8dacf47153bdafc82fc48fdecc079514a6ecab39
Author: Sveinn í Felli <sv1@fellsnet.is>
Date:   Sun Dec 13 18:30:24 2015 +0100

    I18n: Update translation is (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 8b048c5d48673b51860a546608e3b4c6a5dae23c
Author: Ali Abdallah <aliovx@gmail.com>
Date:   Sun Nov 1 21:40:18 2015 +0100

    Pass &s to g_variant_get to get only a pointer to the serialised
    data.

commit a52fce150b161149886f417b80b78bcfe977accf
Author: Ali Abdallah <aliovx@gmail.com>
Date:   Wed Oct 14 13:47:25 2015 +0200

    Fixed a typo in g_variant_is_of_type.
    
    Indentation prob also is fixed.

commit 2eef7d1e9e637b2e47fd5c5115b7a58dbaaa12cd
Author: Ali Abdallah <aliovx@gmail.com>
Date:   Tue Oct 13 14:59:14 2015 +0200

    Update news and version information

commit d39fd0cf6f523796452938458ee7cdfde73a1683
Author: Ali Abdallah <aliovx@gmail.com>
Date:   Sun Oct 11 09:20:51 2015 +0200

    Dummy commit to create user repo

commit e6ca1b0a68b56094fc5576b6bf3915b26a721bb6
Author: Ali Abdallah <aliovx@gmail.com>
Date:   Sat Oct 10 18:50:42 2015 +0200

    Replace the deprecated function 'gsf_msole_metadata_read'
    with 'gsf_doc_meta_data_read_from_msole.'

commit acc901b4c430bbde7d0e08c5c4df116182af2e64
Author: Ali Abdallah <aliovx@gmail.com>
Date:   Sat Oct 10 18:50:17 2015 +0200

    Porting the specialized thumbnailer to gdbus
    Getting rid of all dbus-glib api
    
    Tumbler is now dbus-glib free!

commit 59984d6e3b6ac3f8108a660afb56c38b060cabbc
Author: Ali Abdallah <aliovx@gmail.com>
Date:   Sat Oct 10 16:41:43 2015 +0200

    Port the caching service to gbus.

commit 91111b97d8b43a216c8c37ea734b789f79e48421
Author: Ali Abdallah <aliovx@gmail.com>
Date:   Sat Oct 10 13:07:56 2015 +0200

    Port tumbler-service to gdbus.
    Also get rid of some dbus low level code
    in favor of their gdbus equivalents.

commit 1f9899cad6ba2f6bae6722db605de41ba474f1b9
Author: Ali Abdallah <aliovx@gmail.com>
Date:   Thu Oct 8 20:10:32 2015 +0200

    Start porting some code from dbus-glib.
    
    TumblerManager object which exports the interface
    'org.freedesktop.thumbnails.Manager1' is almost dbus-glib free now.
    There is still only a dbus-glib legacy_connection used for
    the TumblerSpecializedThumbnailer, which will go away one that object
    is ported.

commit 6b0983ef1bf390c33e919e2086e9be50b4ff8752
Author: Xosé <xosecalvo@gmail.com>
Date:   Sat Sep 19 00:31:09 2015 +0200

    I18n: Update translation gl (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 418677862abee549a62e0bf8b4d92a2ebffb3ba4
Author: Påvel Nicklasson <pavelnicklasson@bahnhof.se>
Date:   Mon Jul 20 00:31:26 2015 +0200

    I18n: Update translation sv (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 4f8f81e4bf32165139e76ede3a995354e1e57bee
Author: Påvel Nicklasson <pavelnicklasson@bahnhof.se>
Date:   Wed Jun 3 18:31:21 2015 +0200

    I18n: Update translation sv (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit e086e3c50ccd1aca526a73bd4c14850b5c2eb2ba
Author: Anonymous <noreply@xfce.org>
Date:   Thu Apr 9 00:30:57 2015 +0200

    I18n: Update translation lt (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 0d4e8305b21174a536a77c60ea5fd8f26f76295d
Author: Anonymous <noreply@xfce.org>
Date:   Wed Apr 1 18:30:29 2015 +0200

    I18n: Update translation lt (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 717b0c50b9069e6264a55b11f95f485a7814bddc
Author: Anonymous <noreply@xfce.org>
Date:   Fri Mar 27 18:30:29 2015 +0100

    I18n: Update translation lt (97%).
    
    43 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 4ffe34807248e6c324a7bda95696e73dc3b0dac7
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 16 18:30:33 2015 +0100

    I18n: Update translation lt (88%).
    
    39 translated messages, 5 untranslated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 81edf4346bdae6abd680c6e1518693a88861403e
Author: Matt Thirtytwo <matt.59491@gmail.com>
Date:   Thu Mar 5 20:33:08 2015 +0100

    Removed unused static function xdg_cache_cache_get_home() (bug #11648)

commit 5ef58d3821f766cb8f77b1feb6ad29b0d44eb41a
Author: Harald Judt <h.judt@gmx.at>
Date:   Sat Feb 28 16:42:17 2015 +0100

    Updates for release

commit 6335cd04388fec35354be2cfac007f6b74da2e56
Author: Slavko <linux@slavino.sk>
Date:   Thu Feb 26 12:30:57 2015 +0100

    I18n: Update translation sk (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit f41b9eac32f0af0fbfbc63a338d4a25519aef23b
Author: Yannick Le Guen <leguen.yannick@gmail.com>
Date:   Tue Feb 24 00:30:42 2015 +0100

    I18n: Update translation fr (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 69122ab380c7f4fc5cf69d5b1d597f588ea39bc4
Author: Jeremy Whiting <jpwhiting@kde.org>
Date:   Wed Aug 6 15:26:36 2014 -0600

    Use $XDG_CACHE_HOME/thumbnails as per spec change (bug #10613)

commit 8786320590a1880f4d8b176d06ea535c9dc3f3b9
Author: Harald Judt <h.judt@gmx.at>
Date:   Mon Feb 23 19:18:44 2015 +0100

    Move xdt m4 macros into separate directory
    
    This way they do not get cleaned by xdt-autogen clean.

commit 938de697bea1e97677f9118485fbe9790c3a1540
Author: Harald Judt <h.judt@gmx.at>
Date:   Mon Feb 23 19:16:54 2015 +0100

    Update xdt m4 macros

commit 3266b05c404e1b24f91db720c9cc95fefcc201f1
Author: Harald Judt <h.judt@gmx.at>
Date:   Mon Feb 23 18:01:57 2015 +0100

    Update .gitignore

commit 4aa72bc83bec52b32abe6646ab6c0892798ea586
Author: Harald Judt <h.judt@gmx.at>
Date:   Mon Feb 23 17:58:22 2015 +0100

    Bump autotools requirements

commit 6986f33d63e40f9f0b24418efe754b69a718a58a
Author: Harald Judt <h.judt@gmx.at>
Date:   Mon Feb 23 17:57:24 2015 +0100

    Fix IT_PROG_INTLTOOL warning
    
    xdt-autogen: It is recommended to use IT_PROG_INTLTOOL([0.35.0])
                 in your configure.ac file and remove AC_PROG_INTLTOOL
                 See http://bugzilla.xfce.org/show_bug.cgi?id=8930 for
                 more information.

commit 08306756b09e2508456fba943e2342e939536152
Author: Harald Judt <h.judt@gmx.at>
Date:   Mon Feb 23 17:54:16 2015 +0100

    Fix all m4 warnings

commit 9b9b384d019c58a8e2fc4327d68be45ff9cf49aa
Author: Anonymous <noreply@xfce.org>
Date:   Mon Feb 23 12:31:16 2015 +0100

    I18n: Update translation bg (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit d739d4b2cb45acffc34ee2c4d16c8909e8ae0050
Author: enolp <enolp@softastur.org>
Date:   Sat Feb 21 18:30:46 2015 +0100

    I18n: Update translation ast (75%).
    
    33 translated messages, 11 untranslated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 6ff405a8d08073b321dfcf7249569078d4c5f4ec
Author: Pablo Roberto Francisco Lezaeta Reyes <prflr88@gmail.com>
Date:   Thu Feb 19 18:31:14 2015 +0100

    I18n: Update translation es (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit b06403570a7bc454ecbe8560454fa9c1ae84a3b4
Author: Mișu Moldovan <dumol@l10n.ro>
Date:   Sun Feb 15 18:30:43 2015 +0100

    I18n: Update translation ro (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit a2a879f437520c354634ba75a5f4ad171d1b7cc5
Author: Efstathios Iosifidis <iefstathios@gmail.com>
Date:   Sat Dec 27 00:30:54 2014 +0100

    I18n: Update translation el (90%).
    
    40 translated messages, 4 untranslated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 4577360edc27112e9e01189c37b108210be39e57
Author: Pablo Roberto Francisco Lezaeta Reyes <prflr88@gmail.com>
Date:   Fri Dec 26 00:30:55 2014 +0100

    I18n: Update translation es (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 00de7c2c0363472350cae4f888b8b535e5801fd1
Author: Ḷḷumex03 <tornes@opmbx.org>
Date:   Sat Nov 15 18:30:32 2014 +0100

    I18n: Update translation ast (75%).
    
    33 translated messages, 11 untranslated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit f0818c20bc6a273a563e235340e5f2836d2e7404
Author: Ḷḷumex03 <tornes@opmbx.org>
Date:   Tue Sep 23 00:30:31 2014 +0200

    I18n: Update translation ast (70%).
    
    31 translated messages, 13 untranslated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 508a62f76bddeb53c3c619dd133894fc73ef08be
Author: Anonymous <noreply@xfce.org>
Date:   Tue Sep 2 00:30:30 2014 +0200

    I18n: Update translation de (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 00753c7f16704a1c0f18c848f61f81f4b39601e0
Author: Yannick Le Guen <leguen.yannick@gmail.com>
Date:   Tue Aug 19 00:30:30 2014 +0200

    I18n: Update translation fr (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit edce3c603bdb90ac93305c15875169f54204ec4f
Author: Nick Schermer <nick@xfce.org>
Date:   Mon Jul 28 18:17:44 2014 +0200

    Add comments for the previous revert.

commit c3e02db7ad2d6466c7678a293ed4e5f48695a47e
Author: Nick Schermer <nick@xfce.org>
Date:   Mon Jul 28 18:15:34 2014 +0200

    Revert "Fix setting internal error to NULL in pixbuf thumbnailer (bug #10878)"
    
    This reverts commit dc74b5d38009a5f6c1064f69d8b7d632ae0b52a5.

commit ec33c5395438fb4662b17d07d5463483fbdecdc3
Author: Jannis Pohlmann <jannis@xfce.org>
Date:   Fri Jul 25 14:08:03 2014 +0200

    Enable support for video/webm in ffmpeg thumbnailer plugin (bug #10360)
    
    Patch provided by kwiatek@iv.pl.

commit dc74b5d38009a5f6c1064f69d8b7d632ae0b52a5
Author: Jannis Pohlmann <jannis@xfce.org>
Date:   Fri Jul 25 13:58:32 2014 +0200

    Fix setting internal error to NULL in pixbuf thumbnailer (bug #10878)

commit a02ea9c52d1c2d15ce6bdeda59f6665908efeac4
Author: Yannick Le Guen <leguen.yannick@gmail.com>
Date:   Fri Jul 18 18:30:32 2014 +0200

    I18n: Update translation fr (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 804c9087c71c773ffcc3a0c4923ea1ae4e66f679
Author: Ḷḷumex03 <l.lumex03.tornes@gmail.com>
Date:   Wed Jun 25 18:30:28 2014 +0200

    I18n: Update translation ast (63%).
    
    28 translated messages, 16 untranslated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 92b6b66818397296014bd9617e6fe8e9c4420063
Author: Ḷḷumex03 <l.lumex03.tornes@gmail.com>
Date:   Tue Jun 17 00:30:30 2014 +0200

    I18n: Update translation ast (63%).
    
    28 translated messages, 16 untranslated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 6355a4b0dbcc34e64b4a264ea9256b411aabc331
Author: Piotr Sokół <psokol@jabster.pl>
Date:   Tue Jun 3 18:30:30 2014 +0200

    I18n: Update translation pl (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 3e030a81204ab89849b4d3951c143633766244fa
Author: kingu <comradekingu@gmail.com>
Date:   Sun May 11 18:30:32 2014 +0200

    I18n: Update translation nb (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit f6dac93ca211a02a3026f109ea3c3fa7b14d9039
Author: haarek <haarektrans@gmail.com>
Date:   Sat May 10 12:30:36 2014 +0200

    I18n: Update translation nb (93%).
    
    41 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 07930c1f427dc6fd85bdc55aeae7c56b5d624999
Author: haarek <haarektrans@gmail.com>
Date:   Sun Apr 27 00:30:30 2014 +0200

    I18n: Update translation nb (90%).
    
    40 translated messages, 4 untranslated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 37ba1c727b656682fdef795d290f56e1966a6f8b
Author: Tornes Llume <l.lumex03.tornes@gmail.com>
Date:   Sat Apr 12 18:30:35 2014 +0200

    I18n: Update translation ast (61%).
    
    27 translated messages, 17 untranslated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit f59dead3be838035eae59ff4bb89daae3dd2226d
Author: Tornes Llume <l.lumex03.tornes@gmail.com>
Date:   Wed Apr 9 12:30:37 2014 +0200

    I18n: Update translation ast (52%).
    
    23 translated messages, 21 untranslated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 4f8fd48c8e16ac2e04e4d44812f55217856d682b
Author: Ivica  Kolić <ikoli@yahoo.com>
Date:   Thu Mar 13 00:30:33 2014 +0100

    I18n: Update translation hr (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 9e741f2741f72ec23f0a5f828be86c2c80dbe1a7
Author: schizo <eveskovic@gmail.com>
Date:   Sun Mar 2 12:30:34 2014 +0100

    I18n: Add new translation hr (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 073c2080c79075fdf574064fa2098c4b5bb79a11
Author: Nick Schermer <nick@xfce.org>
Date:   Sun Feb 23 00:12:51 2014 +0100

    Updates for release.

commit 7506f8464605ad60031aa8c25924077dd77dba76
Author: PavelNicklasson <pavelnicklasson@bahnhof.se>
Date:   Fri Feb 21 00:30:32 2014 +0100

    I18n: Update translation sv (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 73914504ecfd40936baf3e50980842ad1f653031
Author: Walter Cheuk <wwycheuk@gmail.com>
Date:   Fri Dec 6 06:30:27 2013 +0100

    I18n: Add new translation zh_HK (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 4483074bbd9220dc30a946c36bae1ebbd168ba00
Author: Cedric31 <cvalmary@yahoo.fr>
Date:   Tue Nov 19 18:41:51 2013 +0100

    I18n: Add new translation oc (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit fc842604c08a19d56d1e6aed8104b1d586360588
Author: Nick <nick@xfce.org>
Date:   Tue Nov 19 18:41:51 2013 +0100

    I18n: Update translation zh_TW (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit ef729495c20f47df4f15ba9140a74ca95b4a6e13
Author: Nick <nick@xfce.org>
Date:   Tue Nov 19 18:41:51 2013 +0100

    I18n: Update translation zh_CN (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 7a0a7b87f9f4821ea18c8a03ea457e16c6e26f68
Author: Nick <nick@xfce.org>
Date:   Tue Nov 19 18:41:50 2013 +0100

    I18n: Update translation uk (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 6edea63efe4f31952ced87579712f45448cdad43
Author: Nick <nick@xfce.org>
Date:   Tue Nov 19 18:41:50 2013 +0100

    I18n: Update translation sv (86%).
    
    38 translated messages, 6 untranslated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit ac3dd9c7073153061dea6c9322fafec7977c40db
Author: Nick <nick@xfce.org>
Date:   Tue Nov 19 18:41:50 2013 +0100

    I18n: Update translation sk (86%).
    
    38 translated messages, 6 untranslated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 73cdeb40797879b1598460deb671001154a63ecf
Author: Nick <nick@xfce.org>
Date:   Tue Nov 19 18:41:50 2013 +0100

    I18n: Update translation ru (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 3f43370f6abf28a0e6144a9278289eaab0ca5f2e
Author: Nick <nick@xfce.org>
Date:   Tue Nov 19 18:41:50 2013 +0100

    I18n: Update translation ro (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 7a804a1ab7c4b3a4bb7de9b80ccb71b35dbc5d17
Author: Nick <nick@xfce.org>
Date:   Tue Nov 19 18:41:50 2013 +0100

    I18n: Update translation pt (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit a96a4aa79f669669a8c8ca4b8a2e8039da983b41
Author: Nick <nick@xfce.org>
Date:   Tue Nov 19 18:41:50 2013 +0100

    I18n: Update translation pt_BR (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 99746c6b5146011aa9b807faabfb422ef1b9fe53
Author: Nick <nick@xfce.org>
Date:   Tue Nov 19 18:41:50 2013 +0100

    I18n: Update translation pl (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 71680e0a00951607b13ea23d03ed188aba7434f0
Author: Nick <nick@xfce.org>
Date:   Tue Nov 19 18:41:50 2013 +0100

    I18n: Update translation nn (86%).
    
    38 translated messages, 6 untranslated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit d23430fd1f8234453cb9ea13ca186a684bd8ba88
Author: Nick <nick@xfce.org>
Date:   Tue Nov 19 18:41:50 2013 +0100

    I18n: Update translation nb (81%).
    
    36 translated messages, 8 untranslated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 4ba16af13ba687ab4252a2c4e4fa8f2a52981a24
Author: Nick <nick@xfce.org>
Date:   Tue Nov 19 18:41:50 2013 +0100

    I18n: Update translation lv (50%).
    
    22 translated messages, 22 untranslated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 96223b9cd8d1f1b76a31289bad97810fe1979358
Author: Nick <nick@xfce.org>
Date:   Tue Nov 19 18:41:50 2013 +0100

    I18n: Update translation lt (86%).
    
    38 translated messages, 6 untranslated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit a4005dc4248caf42ae7fe63e618b6312d27d2cf1
Author: Nick <nick@xfce.org>
Date:   Tue Nov 19 18:41:49 2013 +0100

    I18n: Update translation kk (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit f6f5879e61608cef66534d7bb7d7627792b2b5a9
Author: Nick <nick@xfce.org>
Date:   Tue Nov 19 18:41:49 2013 +0100

    I18n: Update translation ja (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 1775c4cb277de5155d65f82b6cd64bdcaa73b79c
Author: Nick <nick@xfce.org>
Date:   Tue Nov 19 18:41:49 2013 +0100

    I18n: Update translation id (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 2e8a23c087c2274f05f995d551e8ab0ee183bbb8
Author: Leandro Regueiro <leandro.regueiro@gmail.com>
Date:   Tue Nov 19 18:41:49 2013 +0100

    I18n: Update translation gl (93%).
    
    41 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 213e2550642d58e4e9785fe05037f85cf63a5460
Author: Nick <nick@xfce.org>
Date:   Tue Nov 19 18:41:49 2013 +0100

    I18n: Update translation fi (86%).
    
    38 translated messages, 6 untranslated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit ae0c4bf8530c9678bcc5b80e73500c0645d3e80b
Author: Nick <nick@xfce.org>
Date:   Tue Nov 19 18:41:49 2013 +0100

    I18n: Update translation bn (77%).
    
    34 translated messages, 10 untranslated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 95019608158b517eef58017eabab3374db972ef8
Author: Nick <nick@xfce.org>
Date:   Tue Nov 19 18:41:49 2013 +0100

    I18n: Update translation bg (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 279ed399811bc4d2bd87d917a8bc238251458fb8
Author: Nick <nick@xfce.org>
Date:   Tue Nov 19 18:41:49 2013 +0100

    I18n: Update translation ast (50%).
    
    22 translated messages, 22 untranslated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 6166e12d93b0f022efcebf907d9b379523b0a051
Author: Puretech <terjemah.puretech@gmail.com>
Date:   Thu Nov 14 06:30:27 2013 +0100

    I18n: Add new translation ms (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit e68dbce0b82613b7167910e822f0191911c35f3a
Author: Aputsiaĸ Niels Janussen <aj@isit.gl>
Date:   Fri Nov 8 18:30:35 2013 +0100

    I18n: Update translation da (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit c1fa2d9bd82db7151e873be083bb8f7d6d216d2a
Author: theppitak <theppitak@gmail.com>
Date:   Wed Nov 6 12:30:33 2013 +0100

    I18n: Add new translation th (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 863e8f4a0bbcc2667906baa1708a9ebbce5f200e
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Wed Nov 6 12:30:32 2013 +0100

    I18n: Update translation he (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 1495e08243039908f4e0e8264dc53e923deff0b3
Author: Pablo Lezaeta <prflr88@gmail.com>
Date:   Wed Oct 30 06:30:28 2013 +0100

    I18n: Update translation es (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit c99633bb6fafbbc62c84f4589f762bddb227c08d
Author: hjudt <h.judt@gmx.at>
Date:   Wed Oct 2 00:30:31 2013 +0200

    I18n: Update translation de (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 76e881d38fa2771a90d040c59941fb7f22728c2b
Author: Pjotr123 <pjotrvertaalt@gmail.com>
Date:   Thu Sep 19 18:30:37 2013 +0200

    I18n: Update translation nl (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 68972555fc1fcafddbc2a41db8c49901c5dee0b4
Author: Karim Oulad Chalha <herr.linux88@gmail.com>
Date:   Sun Sep 8 18:30:35 2013 +0200

    I18n: Update translation ar (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 8e68d1abed9caade3220695fb176e5c0991e2497
Author: cri <cri.penta@gmail.com>
Date:   Tue Aug 13 18:30:33 2013 +0200

    I18n: Update translation it (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 5fa37283362a17fc4775a235955d6cde38c0db40
Author: volkangezer <volkangezer@gmail.com>
Date:   Tue Aug 13 00:30:37 2013 +0200

    I18n: Update translation tr (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit f3ccbcd686b014ef0780acceb0b83ca879391f48
Author: Alois Nešpor <info@aloisnespor.info>
Date:   Mon Aug 12 12:30:39 2013 +0200

    I18n: Update translation cs (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit d2dac97a6a1753664afbc3c94fb1dc8b0de64b79
Author: jc1 <jc1.quebecos@gmail.com>
Date:   Mon Jul 29 18:30:37 2013 +0200

    I18n: Update translation fr (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit b4a9a81442a34dc902689f7e2d5d2b540f5f1704
Author: Nick Schermer <nick@xfce.org>
Date:   Sun Jul 28 16:33:55 2013 +0200

    Send the cache operation replies after they are completed.
    
    The reply was send when the operation was queued, but this does
    not allow applications to properly handle new thumbs after a
    copy/move operation.

commit 21c0e5f761153df4ffc420044fd8d9b782354968
Author: Nick Schermer <nick@xfce.org>
Date:   Sun Jul 28 16:08:06 2013 +0200

    Support move/copy operations on directories in the cache.

commit 4668baa03f0a82d602e33aef2a25081d2b892eec
Author: Nick Schermer <nick@xfce.org>
Date:   Sun Jul 28 15:09:39 2013 +0200

    Combine copy and move functions.

commit 49e6da1f81a32bcdf1c612adf3fe860efd982c09
Author: Noskcaj <noskcaj@ubuntu.com>
Date:   Sat Jul 27 00:30:34 2013 +0200

    I18n: Update translation en_GB (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit a9722abe55ebce14bd16f6a081677efa57b70a27
Author: k3lt01 <keltoiboy@gmail.com>
Date:   Thu Jul 25 06:30:33 2013 +0200

    I18n: Add new translation en_AU (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 0d75f4f21a4d22b3ea499313e884b8104671c881
Author: loathingkernel <zeronebones@gmail.com>
Date:   Mon Jul 15 00:30:32 2013 +0200

    I18n: Update translation el (88%).
    
    39 translated messages, 5 untranslated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 571cf02d00946f27eaba8b4fdcaaaeeb54ba0477
Author: Anonymous <noreply@xfce.org>
Date:   Thu Jul 11 12:30:44 2013 +0200

    I18n: Update translation ug (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 31a94ce2d823710841a8168c4828bb1268492119
Author: kelemeng <kelemeng@gnome.hu>
Date:   Wed Jul 10 06:30:34 2013 +0200

    I18n: Update translation hu (100%).
    
    44 translated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit afba608313e5f2bbb84a4733693c05a6944eb158
Author: alavios <registres@lavios.cat>
Date:   Mon Jul 8 18:30:35 2013 +0200

    I18n: Update translation ca (93%).
    
    41 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 909abb5cc5ec045662f7955ecfc131f9221c49e0
Author: Piarres Beobide <pi@beobide.net>
Date:   Fri Jul 5 22:59:40 2013 +0200

    I18n: Add new translation eu (97%).
    
    43 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/projects/p/xfce/).

commit 763a917e96f16d9f351fa1645405a7b061750a00
Author: Nick Schermer <nick@xfce.org>
Date:   Tue Jul 2 22:39:04 2013 +0200

    I18n: Remove broken / unsupported translations.
    
    See http://users.xfce.org/~nick/broken-i18n/ for files and logs.
    
    Use https://www.transifex.com/projects/p/xfce/ to upload fixed versions or request a translation team.

commit afbb730666747e85ec0ff6f063a0139e85a01ae1
Author: Piotr Strębski <strebski@o2.pl>
Date:   Tue Jun 11 14:51:03 2013 +0200

    l10n: Updated Polish (pl) translation to 100%
    
    New status: 44 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit cef0dffaa2a3ec091f3be6c6dcb5f840099dec96
Author: Neliton Pereira Junior <nelitonpjr@gmail.com>
Date:   Tue Jun 11 05:04:00 2013 +0200

    l10n: Updated Portuguese (Brazilian) (pt_BR) translation to 100%
    
    New status: 44 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 5fa3f9d266797b61ea60c7843c3cfad642b6d66a
Author: Ardjuna <asyura.x@gmail.com>
Date:   Thu Jun 6 05:11:36 2013 +0200

    l10n: Updated Indonesian (id) translation to 100%
    
    New status: 44 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit a43ab0049a73861c2e017eae27e4dbc15b4f9ecc
Author: Gheyret Kenji <gheyret@yahoo.com>
Date:   Wed Jun 5 08:16:23 2013 +0200

    l10n: Updated Uyghur (ug) translation to 100%
    
    New status: 44 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 1a28ae6f925eb95956082b666429d68ec6b7bbc0
Author: Urmas D <davian818@gmail.com>
Date:   Mon May 20 22:01:28 2013 +0200

    l10n: Updated Russian (ru) translation to 100%
    
    New status: 44 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 426ca09b166b4519623727ace8849afc0ea6a9aa
Author: Adolfo Jayme Barrientos <fitoschido@gmail.com>
Date:   Fri May 17 12:10:37 2013 +0200

    l10n: Updated Spanish (Castilian) (es) translation to 100%
    
    New status: 44 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 43a2e1812c688746380db18d813117d51af4a2af
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:   Sun May 12 10:34:32 2013 +0200

    l10n: Updated Chinese (Taiwan) (zh_TW) translation to 100%
    
    New status: 44 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 0ff6f2f6801e1804dd1eed2f3d89dfeaac878e1b
Author: Seong-ho Cho <darkcircle.0426@gmail.com>
Date:   Sun May 12 08:47:25 2013 +0200

    l10n: Updated Korean (ko) translation to 100%
    
    New status: 44 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 6054bf065ce2b3760eba03d5ea9868d5a7386b38
Author: Kiril Kirilov <cybercop_montana@abv.bg>
Date:   Wed May 8 18:28:03 2013 +0200

    l10n: Updated Bulgarian (bg) translation to 100%
    
    New status: 44 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 364a8be9640fd91a7bc5c587bb4f787bf3be39ae
Author: Piarres Beobide <pi@beobide.net>
Date:   Wed May 8 10:37:41 2013 +0200

    l10n: Updated Basque (eu) translation to 100%
    
    New status: 44 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 01e7a9ebac157a69495704f1f43de2db788037db
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Wed May 8 04:26:34 2013 +0200

    l10n: Updated Kazakh (kk) translation to 100%
    
    New status: 44 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 8460fd3e4ad494548ce0aa3f4cc5e0117cbf5e79
Author: Sergio Marques <smarquespt@gmail.com>
Date:   Tue May 7 17:30:03 2013 +0200

    l10n: Updated Portuguese (pt) translation to 100%
    
    New status: 44 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 79b013f49f91122d24128060397dd8430e973bd8
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Tue May 7 03:22:40 2013 +0200

    l10n: Updated Portuguese (Brazilian) (pt_BR) translation to 100%
    
    New status: 44 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 6b8dfa46e21b5c417d628aee459f7cde2852d803
Author: Mișu Moldovan <dumol@xfce.org>
Date:   Mon May 6 21:55:37 2013 +0200

    l10n: Updated Romanian (ro) translation to 100%
    
    New status: 44 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 805fd767fe1785e4dbaf48c5c1c2d95f3ad04641
Author: Nick Schermer <nick@xfce.org>
Date:   Mon May 6 18:35:28 2013 +0200

    Only enable keepalive in curl >= 7.25.

commit 920aa63c24cee52a3b15204fbc1d54c4973d8081
Author: jc jc1 <jc1.quebecos@gmail.com>
Date:   Mon May 6 15:15:30 2013 +0200

    l10n: Updated French (fr) translation to 100%
    
    New status: 44 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 15efb15d447fddf27e12562a8b6ccdc64d1915b7
Author: jc jc1 <jc1.quebecos@gmail.com>
Date:   Mon May 6 15:12:14 2013 +0200

    l10n: Updated French (fr) translation to 100%
    
    New status: 44 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit f3b427a61bdc96b8fabad1190d9a239eca691397
Author: Chipong Luo <chipong.luo@yahoo.com>
Date:   Mon May 6 14:49:59 2013 +0200

    l10n: Updated Chinese (China) (zh_CN) translation to 100%
    
    New status: 44 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit f8038f177734c38775c05da54d9382f5ffb60cfb
Author: Chipong Luo <chipong.luo@yahoo.com>
Date:   Mon May 6 14:47:25 2013 +0200

    l10n: Updated Chinese (China) (zh_CN) translation to 100%
    
    New status: 44 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit e39f52cc1ab38881c97a35e6b7a06ade6efb8483
Author: Yarema aka Knedlyk <yupadmin@gmail.com>
Date:   Mon May 6 10:35:30 2013 +0200

    l10n: Updated Ukrainian (uk) translation to 100%
    
    New status: 44 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 05e2fd3b43c94b97549a351f5cf89dba3b528d3b
Author: Nick Schermer <nick@xfce.org>
Date:   Sun May 5 21:39:27 2013 +0200

    Updates for release.

commit 3924e04794c1d69248c5cb3298c954fdd266b389
Author: Nick Schermer <nick@xfce.org>
Date:   Sun May 5 21:36:53 2013 +0200

    Revert "Extra debug check."
    
    This reverts commit 472f842d2661ba506fd831d8b6fafa7474164989.

commit a96c41234f78438044cb46fc50d6d8b063f21dd3
Author: Nick Schermer <nick@xfce.org>
Date:   Sun May 5 21:35:11 2013 +0200

    Fix memory corruption on 64bit (bug #9766).

commit 472f842d2661ba506fd831d8b6fafa7474164989
Author: Nick Schermer <nick@xfce.org>
Date:   Sun May 5 21:15:17 2013 +0200

    Extra debug check.

commit 0a69b8d4f2bb4b16f8c9314dac9a6299a7c17d87
Author: Pjotr vertaalt <pjotrvertaalt@gmail.com>
Date:   Sun May 5 19:29:09 2013 +0200

    l10n: Updated Dutch (Flemish) (nl) translation to 100%
    
    New status: 44 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 811cd172c1d5af2c59bddca1d655ab101e6728f6
Author: Саша Петровић <salepetronije@gmail.com>
Date:   Sun May 5 17:43:25 2013 +0200

    l10n: Updated Serbian (sr) translation to 100%
    
    New status: 44 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 8aa99401c177f4d40cf12a9f461748bb69b7395e
Author: Masato Hashimoto <hashimo@xfce.org>
Date:   Sun May 5 17:12:36 2013 +0200

    l10n: Updated Japanese (ja) translation to 100%
    
    New status: 44 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 85bcb57e3e25a178276a443a26510e4b444a19ed
Author: Nick Schermer <nick@xfce.org>
Date:   Sun May 5 16:46:01 2013 +0200

    Updates for release.

commit 8b9fff06a60fc16ad1e55c048e9790932981abfa
Author: Nick Schermer <nick@xfce.org>
Date:   Sun May 5 13:38:16 2013 +0200

    Set nice value of tumblerd to 19 (bug #9627).

commit 4f6fcb54fe2d5dd2d8e7287cf3223431c6d98b3f
Author: Nick Schermer <nick@xfce.org>
Date:   Sun May 5 13:28:45 2013 +0200

    Fix rendering from pdfs with thumbnail (bug #9972).

commit 58434fa710b427a39ebae417e2dbbb9d757fa24b
Author: Nick Schermer <nick@xfce.org>
Date:   Sun May 5 12:26:32 2013 +0200

    Add more supported types for gst thumbnailer (bug #9747).

commit cadcc633ad33ff77b87d13a973bfbb3bb7ab9467
Author: Nick Schermer <nick@xfce.org>
Date:   Sun May 5 12:20:46 2013 +0200

    Put thread lock outside loop.
    
    Maybe safer since there are some strange segfaults in this region.

commit ba3fbaf1d8ff59bb5a870eee27f9222cdcf3f6ef
Author: Nick Schermer <nick@xfce.org>
Date:   Sun May 5 12:15:58 2013 +0200

    Don't recalculate the length of the array.
    
    Instead check the object.

commit f609dccf3ae0e44f609d2b7bb36ef72ee109f876
Author: Nick Schermer <nick@xfce.org>
Date:   Sun May 5 12:14:11 2013 +0200

    Store min length value.

commit a9c038264712a58b38981bdb0aa2d0a672017b18
Author: Nick Schermer <nick@xfce.org>
Date:   Sat May 4 16:53:26 2013 +0200

    Add some additional debug checks.

commit bd98846ce8b5b318004a8cac4fbcff23efb59865
Author: Nick Schermer <nick@xfce.org>
Date:   Sat May 4 16:42:44 2013 +0200

    Fix deprecating warning with glib 2.36.

commit b6cb74a55167e059bcfc4dbb67da9e99848f8e9e
Author: Nick Schermer <nick@xfce.org>
Date:   Sat May 4 16:36:15 2013 +0200

    Include string.h (bug #9858).

commit be2f1a679d4592d475a84ceb0eef63915da0c0b3
Author: Pjotr vertaalt <pjotrvertaalt@gmail.com>
Date:   Thu Apr 25 19:05:20 2013 +0200

    l10n: Updated Dutch (Flemish) (nl) translation to 100%
    
    New status: 43 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 093910b89b512a46705132759d164f4947d0dc87
Author: Sergey Alyoshin <alyoshin.s@gmail.com>
Date:   Fri Mar 29 20:01:00 2013 +0100

    l10n: Updated Russian (ru) translation to 100%
    
    New status: 43 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 0346d3f4deecb8fc6365c03d9a974c2249a6053a
Author: Roman K <mrdoctorwho@gmail.com>
Date:   Thu Mar 28 11:55:14 2013 +0100

    l10n: Updated Russian (ru) translation to 97%
    
    New status: 42 messages complete with 1 fuzzy and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 90a44c4756db783b4efa2803babedc58b44f4de7
Author: Seong-ho Cho <darkcircle.0426@gmail.com>
Date:   Sun Mar 24 16:03:43 2013 +0100

    l10n: Updated Korean (ko) translation to 100%
    
    New status: 43 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit b303e487187c7ec4d6375892e61518cb0f553954
Author: Ardjuna <asyura.x@gmail.com>
Date:   Sat Mar 23 15:48:19 2013 +0100

    l10n: Updated Indonesian (id) translation to 100%
    
    New status: 43 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit dc373390209d46163af3a5896627bfcf43d59835
Author: larsson <larsson@odus.se>
Date:   Sun Mar 17 21:27:27 2013 +0100

    l10n: Updated Swedish (sv) translation to 88%
    
    New status: 38 messages complete with 2 fuzzies and 3 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit a9e717c1b2f3490661a6188488ff34e6fbb50443
Author: 玉堂 白鹤 <yjwork.xfce@gmail.com>
Date:   Fri Mar 15 10:29:25 2013 +0100

    l10n: Updated Chinese (China) (zh_CN) translation to 90%
    
    New status: 39 messages complete with 0 fuzzies and 4 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 56762ad396c59f61dc2d33c9be0ad9abe0eb6d50
Author: Adolfo Jayme Barrientos <fitoschido@gmail.com>
Date:   Sat Mar 2 22:29:37 2013 +0100

    l10n: Updated Spanish (Castilian) (es) translation to 100%
    
    New status: 43 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 9788ea3e602ef8ce39b61f2f3b0e4bb47d4f0197
Author: Francisco Javier Serrador <fserrador@gmail.com>
Date:   Thu Feb 28 21:47:21 2013 +0100

    l10n: Updated Spanish (Castilian) (es) translation to 95%
    
    New status: 41 messages complete with 2 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit d204bdaca49214123c4e1f0f96ac224c1a7e8651
Author: Piarres Beobide <pi@beobide.net>
Date:   Sun Feb 24 20:18:42 2013 +0100

    l10n: Updated Basque (eu) translation to 100%
    
    New status: 43 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 8bdc6a810f1a8a45d0ecaf170d4938bebf05c91b
Author: كريم أولاد الشلحة <herr.linux88@gmail.com>
Date:   Tue Feb 5 20:44:00 2013 +0100

    l10n: Updated Arabic (ar) translation to 100%
    
    New status: 43 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 8c26094eb5dc433363dd1370f0e4f9ae0d5bd19b
Author: Kiril Kirilov <cybercop_montana@abv.bg>
Date:   Sat Feb 2 16:21:34 2013 +0100

    l10n: Updated Bulgarian (bg) translation to 100%
    
    New status: 43 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit b096ceeba6db0e1cae3e8d49d3efe4f946e13808
Author: كريم أولاد الشلحة <herr.linux88@gmail.com>
Date:   Sat Feb 2 12:52:43 2013 +0100

    l10n: Updated Arabic (ar) translation to 100%
    
    New status: 43 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 6ec28975bad5be6c090e58cc8b97a49bc86b5e2d
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:   Mon Jan 28 04:02:19 2013 +0100

    l10n: Updated Chinese (Taiwan) (zh_TW) translation to 100%
    
    New status: 43 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit acf31695e745879386aed1848d252dc1d8de93fd
Author: Michal Várady <miko.vaji@gmail.com>
Date:   Sun Jan 27 18:44:41 2013 +0100

    l10n: Updated Czech (cs) translation to 100%
    
    New status: 43 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 39d3291b6d9a18a80ec3f8897d23c688be3765ba
Author: prflr88 <prflr88@gmail.com>
Date:   Sun Jan 27 04:51:19 2013 +0100

    l10n: Updated Spanish (Castilian) (es) translation to 95%
    
    New status: 41 messages complete with 0 fuzzies and 2 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 436a0419e322ff9b54d2a9adef6dbe28788045c0
Author: Gheyret Kenji <gheyret@yahoo.com>
Date:   Fri Jan 25 02:20:27 2013 +0100

    l10n: Updated Uyghur (ug) translation to 100%
    
    New status: 43 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit cef3ee6a79ee17bb1962647a6ffc837681f4dd25
Author: Seong-ho Cho <darkcircle.0426@gmail.com>
Date:   Wed Jan 23 20:30:00 2013 +0100

    l10n: Updated Korean (ko) translation to 100%
    
    New status: 43 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit c781127c67536526971ea92100ff8bbbbdf2c288
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Wed Jan 23 11:54:31 2013 +0100

    l10n: Updated Serbian (sr) translation to 100%
    
    New status: 43 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit e658c296ec272a917e65fdd085fe03326f2806da
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Mon Jan 21 00:08:36 2013 +0100

    l10n: Updated Hungarian (hu) translation to 100%
    
    New status: 43 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 9d232acce5f45baf7c39f10592c8689f4158941e
Author: Саша Петровић <salepetronije@gmail.com>
Date:   Sun Jan 20 22:36:38 2013 +0100

    l10n: Updated Serbian (sr) translation to 95%
    
    New status: 41 messages complete with 0 fuzzies and 2 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit fea6224f4e0e331b3643757998d5dff06b90f5c6
Author: Sergio Marques <smarquespt@gmail.com>
Date:   Sun Jan 20 20:40:39 2013 +0100

    l10n: Updated Portuguese (pt) translation to 100%
    
    New status: 43 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 3993337e4d823c893023f7f2d4a27c3543fe0e48
Author: Cristian Marchi <cri.penta@gmail.com>
Date:   Fri Jan 18 18:38:23 2013 +0100

    l10n: Updated Italian (it) translation to 100%
    
    New status: 43 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 35850bf2b2d5d478e88862891dcd6ee4d6995c01
Author: Pjotr vertaalt <pjotrvertaalt@gmail.com>
Date:   Tue Jan 15 11:55:39 2013 +0100

    l10n: Updated Dutch (Flemish) (nl) translation to 100%
    
    New status: 43 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit af8de52b7a4aecf5b99d1b68d83b5445d9f3c93c
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Tue Jan 15 01:35:49 2013 +0100

    l10n: Updated Portuguese (Brazilian) (pt_BR) translation to 100%
    
    New status: 43 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 0ea19b374ba040c7d9a6adcdb037a6ad5319d41f
Author: Yarema aka Knedlyk <yupadmin@gmail.com>
Date:   Tue Jan 15 01:04:29 2013 +0100

    l10n: Updated Ukrainian (uk) translation to 100%
    
    New status: 43 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 5aaa480a3d1bbc2cafdc5d66a5fa4394044c67bf
Author: prflr88 <prflr88@gmail.com>
Date:   Mon Jan 14 23:13:04 2013 +0100

    l10n: Updated Spanish (Castilian) (es) translation to 90%
    
    New status: 39 messages complete with 2 fuzzies and 2 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 88e9dd1132547ae218de5e494907f6be863c91ce
Author: jc jc1 <jc1.quebecos@gmail.com>
Date:   Mon Jan 14 18:01:36 2013 +0100

    l10n: Updated French (fr) translation to 100%
    
    New status: 43 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 568696bffa7b3b3ea91b21c639cb98cb81f242c0
Author: jc jc1 <jc1.quebecos@gmail.com>
Date:   Mon Jan 14 17:58:32 2013 +0100

    l10n: Updated French (fr) translation to 100%
    
    New status: 43 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 4dff4c6a0bb5cbe1e3fb396d01e1d7a4a1252756
Author: Mișu Moldovan <dumol@xfce.org>
Date:   Mon Jan 14 10:19:59 2013 +0100

    l10n: Updated Romanian (ro) translation to 100%
    
    New status: 43 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 880e3d39fe7703c128ad1d5b43a76d5024b07cd9
Author: Piotr Sokół <psokol@jabster.pl>
Date:   Mon Jan 14 09:24:17 2013 +0100

    l10n: Updated Polish (pl) translation to 100%
    
    New status: 43 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 96a819976955c01fcfc9db1b51faea0b52a6f3de
Author: Masato Hashimoto <hashimo@xfce.org>
Date:   Mon Jan 14 09:18:14 2013 +0100

    l10n: Updated Japanese (ja) translation to 100%
    
    New status: 43 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 191acd03052cc9cae9ea0efa90bdc76d518e7084
Author: Nick Schermer <nick@xfce.org>
Date:   Sun Jan 13 17:43:56 2013 +0100

    Update m4 macros.

commit fe8f0a411c5024d4ecd7873930c928fa72686bc1
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Sun Jan 13 16:59:09 2013 +0100

    l10n: Updated Kazakh (kk) translation to 100%
    
    New status: 43 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 1cc80228d80138e4e8a5f459a95751a23ee615ee
Author: jc jc1 <jc1.quebecos@gmail.com>
Date:   Sun Jan 13 13:17:12 2013 +0100

    l10n: Updated French (fr) translation to 95%
    
    New status: 41 messages complete with 2 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 543e94fe211788d20650b4f441cd8cd6dea302cb
Author: Olivier Duchateau <duchateau.olivier@gmail.com>
Date:   Sun Jan 13 11:44:21 2013 +0100

    Fix configure flag for cover thumbnailer (bug #9751).

commit fe9ab31b4c4ed7e9f90505758345842591db2fb1
Author: Nick Schermer <nick@xfce.org>
Date:   Sat Jan 12 12:13:14 2013 +0100

    Updates for release.

commit e758c476357a698f76f2661261073d3d7f1d805e
Author: Nick Schermer <nick@xfce.org>
Date:   Sun Jan 6 12:19:58 2013 +0100

    Autotools updates.

commit e21beff6f21c53901e14049ebd31037e89d95ac7
Author: Nick Schermer <nick@xfce.org>
Date:   Thu Dec 27 11:21:48 2012 +0100

    Remove unmaintained translations.

commit a1daaeeba2ec8ae075eacff6d95c2e301e5d3003
Author: Nick Schermer <nick@xfce.org>
Date:   Tue Dec 18 20:51:42 2012 +0100

    Optimize regex patterns for cover thumbnailer.
    
    Use multiple times, so worth spending time on.

commit 8002e0913ac1bb8f21153fbe6f06be9ad9453a7b
Author: Nick Schermer <nick@xfce.org>
Date:   Sun Dec 16 15:32:33 2012 +0100

    Add wiki url.

commit 8913e999caed579d62b0021f32db6dfef65ff7f4
Author: Nick Schermer <nick@xfce.org>
Date:   Sun Dec 16 15:30:09 2012 +0100

    Add config file system to control thumbnailing plugin.
    
    Settings that allow to change the plugin priority, max file
    size to act on, white-listed locations or completely disable
    them.

commit f7a3eda07ec55d43f92dd2ebbe717cb5c1ddd81c
Author: Nick Schermer <nick@xfce.org>
Date:   Sat Dec 15 15:57:48 2012 +0100

    Drop translations of debug message.

commit 362d13df8edb37d3470617f7d6413bf3d0555012
Author: Nick Schermer <nick@xfce.org>
Date:   Wed Dec 12 22:09:28 2012 +0100

    Always check in the title for a year.

commit 41fd44138dd5d966b924a466fe29bbf4d7965cb3
Author: Nick Schermer <nick@xfce.org>
Date:   Wed Dec 12 22:07:37 2012 +0100

    Fix previous commit, . is also a word boundry.

commit aff8b12f4b3a886575c427a598a9b36786643070
Author: Nick Schermer <nick@xfce.org>
Date:   Wed Dec 12 21:52:46 2012 +0100

    Make the extension matching more global.
    
    Just match the last 3 word-chars at the end of the string, starting
    with a dot.

commit 1b4ed876beb42b3b84b850ce20f085056b7f754c
Author: Nick Schermer <nick@xfce.org>
Date:   Wed Dec 12 19:43:27 2012 +0100

    Use Imdb to scale the pixbufs.
    
    Imdb poster url can be adapted to get the correct destination
    size, which is nice. It saves for download size and a resize.

commit 2089c09dacd9ea555948ae03b63675d2b986a7e3
Author: Nick Schermer <nick@xfce.org>
Date:   Wed Dec 12 19:16:26 2012 +0100

    Use a curl multi handle to re-use the connections.
    
    Together with keep alive only 2 server connects are opened
    and re-used instead of opening 2 new sockets for each
    thumb.

commit a4c434bf0ed3d8079fc3c012cf08fb4ac3e70faa
Author: Nick Schermer <nick@xfce.org>
Date:   Wed Dec 12 17:45:36 2012 +0100

    Slightly improve the matching and title generation.

commit 1846f6c958bb50707ded2ef9e12072efa0116b5b
Author: Nick Schermer <nick@xfce.org>
Date:   Tue Dec 11 22:30:11 2012 +0100

    Fix location matching and titles starting with a year.

commit 72a8b6ad2af67a2455ac0da78a9304138a35c429
Author: Nick Schermer <nick@xfce.org>
Date:   Tue Dec 11 20:56:25 2012 +0100

    Add cover-thumbnailer for movies.
    
    Thumbnailer that tries to download the poster of
    the movie and use it as thumbnail.
    
    Plugin send local information over the internet, so you
    need to explicitly enable the plugin using an rc file.
    
    See http://docs.xfce.org/xfce/thunar/tumbler

commit f2dba5074031aa2faa447ec30ac107debdda7f26
Author: Yves-Alexis Perez <corsac@debian.org>
Date:   Tue Dec 11 21:37:00 2012 +0100

    Fix build when using -Wl,-z,defs
    
    GStreamer thumbnailers should be linked against libmath and
    libgsttags.
    
    Do the first directly from Makefile.am, and implement the second in the
    AC macros for GSTREAMER support.
    
    Signed-off-by: Yves-Alexis Perez <corsac@debian.org>

commit 089c57799b024cd3e5ccb0eff38d793776938840
Author: Nick Schermer <nick@xfce.org>
Date:   Mon Dec 10 17:43:57 2012 +0100

    Release thumbnail in gst thumbnailer.

commit 4fcf7ddfd75ff87ff172c180d0834095527cc0ff
Author: Nick Schermer <nick@xfce.org>
Date:   Sun Dec 9 18:37:50 2012 +0100

    Updates for release.

commit 21435f524c7a109a3f8ce112d1907be6212bd073
Author: Nick Schermer <nick@xfce.org>
Date:   Sun Dec 9 16:45:00 2012 +0100

    Remove INSTALL.

commit 1c1bdb0cc4e0c99547a973eecbb83670380fd0d3
Author: Nick Schermer <nick@xfce.org>
Date:   Sun Dec 9 10:51:50 2012 +0100

    Directly render the capture in the correct size.
    
    Set the width of the output. In most cases this will result
    in the correct thumb size (most videos are width>height).
    If this is not the case, the resize function will handle it later.

commit 27c1d836b6e14083fe6c4e0da0255a3ead40eb31
Author: Nick Schermer <nick@xfce.org>
Date:   Sat Dec 8 22:55:16 2012 +0100

    New gstreamer thumbnailer based on totem-thumbnailer.
    
    Better code that should fix most of the existing bugs
    in the bug tracker. Improved cancellation and handling
    of aborted streams.
    
    Also depend on gstreamer-1.0.

commit df93ffb651100b18ec2896ae2f7d995ddcf155f6
Author: Nick Schermer <nick@xfce.org>
Date:   Sat Dec 8 18:46:41 2012 +0100

    Disable http and cdda schemes as well.

commit 237528f3831ddcf168da959bb5df3b00f3121287
Author: Mathias Brodala <info@noctus.net>
Date:   Sat Dec 8 18:37:21 2012 +0100

    Add support for MPEG2 transport streams (bug #7421).

commit 4e2cc92682b3f741ef577be96cc7283028b98061
Author: Nick Schermer <nick@xfce.org>
Date:   Sat Dec 8 18:20:25 2012 +0100

    Rotate jpeg thumbnails (bug #6730).
    
    Rotate the embedded thumbnails retreived from the exif data.

commit 52013db8e95c5964967e06016d4ca6b91828ad8a
Author: Nick Schermer <nick@xfce.org>
Date:   Sat Dec 8 12:20:28 2012 +0100

    Plug small leak.

commit ac181a2f954dce0e243eb467d3e20dcb81bca9e5
Author: Nick Schermer <nick@xfce.org>
Date:   Sat Dec 8 12:13:54 2012 +0100

    Don't use collate to check strings.
    
    Valgrind shows a lot of context errors in this
    code and it makes no sence to do this because
    uri are not locale strings.

commit 27fb36bca2d3a94cd3d486bcd7117f07f1abe3d0
Author: Nick Schermer <nick@xfce.org>
Date:   Sat Dec 8 11:49:39 2012 +0100

    Release lifecycle manager during early exit.

commit c8ad987bcf1639909c8545efcfc7acc9dec5928b
Author: Nick Schermer <nick@xfce.org>
Date:   Sat Dec 8 11:33:07 2012 +0100

    Don't abort with warnings in debug mode.
    
    Makes debugging a bit hard, criticals is enough.

commit 5aebd52444a0e15bb07af1fe5f54a3a5180e8cd3
Author: Nick Schermer <nick@xfce.org>
Date:   Sat Dec 8 11:32:49 2012 +0100

    Clear 2.32 mutex memory leak.

commit 4255750cb05bea0e01115fd2a5f91cdff3b1d829
Author: Nick Schermer <nick@xfce.org>
Date:   Sat Dec 8 00:17:15 2012 +0100

    Drop unneeded vfs schemes.
    
    Skip schemes that cannot be used to generate thumbs. This
    removes a load of combinations in the various tables.

commit 2165c4239697a905fdd3e46037baa977c05e4fb1
Author: Nick Schermer <nick@xfce.org>
Date:   Fri Dec 7 23:54:43 2012 +0100

    Work with an array to store the strings.
    
    Called a lot, so array is a bit more efficient than.

commit 0093f278c4dfe45e404ae502aa0e3c817f7a38fc
Author: Nick Schermer <nick@xfce.org>
Date:   Fri Dec 7 23:38:41 2012 +0100

    Don't use GString for a simple concat.

commit 89b2e5ddd1467cf5ed62c7d1e376ef07109c9f92
Author: Nick Schermer <nick@xfce.org>
Date:   Fri Dec 7 23:31:46 2012 +0100

    Make registry dump a bit smaller.

commit cdea35f8845595383d55ccbe89e2a9cb3b755d21
Author: Nick Schermer <nick@xfce.org>
Date:   Fri Dec 7 23:10:31 2012 +0100

    Don't use deprecated glib 2.32 API.

commit 59ec6358a566fe07a9d1ce9e3b2898b524c9d7b0
Author: Nick Schermer <nick@xfce.org>
Date:   Fri Dec 7 22:33:44 2012 +0100

    Rotate pixbuf loader images (bug #6730).

commit f2846eb766d569c40427df43b1ca8c76ce109f99
Author: Francisco Javier Serrador <fserrador@gmail.com>
Date:   Sun Nov 18 12:39:22 2012 +0100

    l10n: Updated Spanish (Castilian) (es) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 050e0b72254bf29a640beef5486cb420102c7264
Author: Seong-ho Cho <darkcircle.0426@gmail.com>
Date:   Sun Nov 18 06:27:46 2012 +0100

    l10n: Updated Korean (ko) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit ca3256dafa90e21afe015051a135317f2e16d90c
Author: Seong-ho Cho <darkcircle.0426@gmail.com>
Date:   Sun Nov 18 06:23:55 2012 +0100

    l10n: Updated Korean (ko) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit cfd01235462d8c89ed94a8d18a9792f68f3a5009
Author: محمد الحرقان <malham1@gmail.com>
Date:   Fri Nov 9 14:11:10 2012 +0100

    l10n: Updated Arabic (ar) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 4f92aedf1bb43c6ea43df92ab83713dcb740ed45
Author: Gheyret Kenji <gheyret@yahoo.com>
Date:   Wed Oct 24 05:15:26 2012 +0200

    l10n: Updated Uyghur (ug) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 6f6eda167b59b4f17a288a7b1962876c043f06bd
Author: Gheyret Kenji <gheyret@yahoo.com>
Date:   Wed Oct 24 04:59:01 2012 +0200

    l10n: Updated Uyghur (ug) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 413820cc68c6633c9c0d382911f9251060b712e0
Author: Gheyret Kenji <gheyret@yahoo.com>
Date:   Mon Jul 16 08:16:15 2012 +0200

    l10n: Updated Uyghur (ug) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 0b8e8be2301428e539a7e27bd84815e439a3ce7f
Author: Gheyret Kenji <gheyret@yahoo.com>
Date:   Mon Jul 16 08:04:54 2012 +0200

    l10n: Updated Uyghur (ug) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 8b6fe36c27a1c6c2bbf2b6635af1e9fc42019d99
Author: Gheyret Kenji <gheyret@yahoo.com>
Date:   Fri Jul 13 03:57:53 2012 +0200

    l10n: Updated Uyghur (ug) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 017f7c6b4f6da2468b7e93cbb519e1f26fd6a323
Author: Gheyret Kenji <gheyret@yahoo.com>
Date:   Thu Jul 12 07:48:28 2012 +0200

    l10n: Updated Uyghur (ug) translation to 92%
    
    New status: 51 messages complete with 0 fuzzies and 4 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit b2a839b4b2b2e3c515f62a68b0ec8778538b0cdf
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Thu Jul 5 22:38:40 2012 +0200

    l10n: New Serbian translation
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit fbc6a45aed4785dd074f38667224c7b3d2202859
Author: Sveinn í Felli <sveinki@nett.is>
Date:   Mon Jul 2 17:26:04 2012 +0200

    l10n: Updated Icelandic (is) translation to 25%
    
    New status: 14 messages complete with 0 fuzzies and 41 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit dab0f9044e417193a19fd1fc3497e74d936c19d5
Author: Gheyret Kenji <gheyret@yahoo.com>
Date:   Thu May 31 07:44:14 2012 +0200

    l10n: Updated Uyghur (ug) translation to 95%
    
    New status: 45 messages complete with 0 fuzzies and 2 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 7dbcbe36c6bc448805c497acc184f3488d5a8b66
Author: محمد الحرقان <malham1@gmail.com>
Date:   Tue May 22 18:23:18 2012 +0200

    l10n: Updated Arabic (ar) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 7387828f7f7ebb3c8796cb759f49b89053a0b5cf
Author: Pjotr vertaalt <pjotrvertaalt@gmail.com>
Date:   Mon May 14 12:14:44 2012 +0200

    l10n: Updated Dutch (Flemish) (nl) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit a8a1ccbc03f4c839c5d84606dbab25de512191af
Author: Nick Schermer <nick@xfce.org>
Date:   Sat Apr 28 22:24:00 2012 +0200

    Updates for release.

commit 7507ab9a69226477a1476d0ab9c0ff77a0d1ca22
Author: Mișu Moldovan <dumol@xfce.org>
Date:   Fri Apr 27 23:48:03 2012 +0200

    l10n: Updated Romanian (ro) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 348b02b032f16ff7c8e04afd0f4aca2713c87e83
Author: Nuno Miguel <nunomgue@gmail.com>
Date:   Fri Apr 27 21:28:31 2012 +0200

    l10n: Updated Portuguese (pt) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit e30f68742c64019c5efb30353d61fc6b30f09f33
Author: Chipong Luo <chipong.luo@yahoo.com>
Date:   Mon Apr 23 14:42:40 2012 +0200

    l10n: Updated Chinese (China) (zh_CN) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 40f0cc17c6eb372986177a68267bfb6d41b39419
Author: Chipong Luo <chipong.luo@yahoo.com>
Date:   Mon Apr 23 14:41:02 2012 +0200

    l10n: Updated Chinese (China) (zh_CN) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit dfc930fc6995d1d2cbc9dbca7cfbbdf35e584dc1
Author: Leandro Regueiro <leandro.regueiro@gmail.com>
Date:   Mon Apr 23 14:06:03 2012 +0200

    l10n: Updated Galician (gl) translation to 96%
    
    New status: 53 messages complete with 0 fuzzies and 2 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit e9b73f2f70acabcd9642415b37585ff84cde6820
Author: Chipong Luo <chipong.luo@yahoo.com>
Date:   Fri Apr 20 14:55:50 2012 +0200

    l10n: Updated Chinese (China) (zh_CN) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit ecc60a4bea21b022bc49b707e2758d65eb2b9f5b
Author: Bauzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Fri Apr 20 10:04:57 2012 +0200

    l10n: Updated Kazakh (kk) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit afdd95983b17e3478807ffffac287b793cad073c
Author: Jeff Bailes <thepizzaking@gmail.com>
Date:   Thu Apr 19 08:22:55 2012 +0200

    l10n: Updated English (United Kingdom) (en_GB) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 925499660a2cadae927e1a871c12ed38b4a33f5d
Author: Seong-ho Cho <darkcircle.0426@gmail.com>
Date:   Tue Apr 17 16:19:23 2012 +0200

    l10n: Updated Korean (ko) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 25be92ccc7c587bde40740fef17f1b811b70f037
Author: Pjotr Anon <pliniusminor@gmail.com>
Date:   Tue Apr 17 11:52:22 2012 +0200

    l10n: Updated Dutch (Flemish) (nl) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 74030c11e80688c03eb39c659e2d7231bc34a983
Author: Henrique P. Machado <zehrique@xfce.org>
Date:   Sun Apr 15 19:46:26 2012 +0200

    l10n: Updated Portuguese (Brazilian) (pt_BR) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit bb2a493cbc9b4059a035a907e2a0e0810b8dfaa9
Author: Nuno Miguel <nunomgue@gmail.com>
Date:   Sat Apr 14 17:16:47 2012 +0200

    l10n: Updated Portuguese (pt) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 08abe3ca99212a3d4c8eb60a79472e4d684c9282
Author: Nick Schermer <nick@xfce.org>
Date:   Fri Apr 13 21:50:18 2012 +0200

    Remove some unused macros.

commit cd49e3811ece23fa34407342d56455889e3b5a70
Author: Masato Hashimoto <hashimo@xfce.org>
Date:   Wed Apr 11 14:46:41 2012 +0200

    l10n: Updated Japanese (ja) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 685ced2f4bc2e491453606db8d243ec19364d401
Author: Leandro Regueiro <leandro.regueiro@gmail.com>
Date:   Tue Apr 10 13:10:55 2012 +0200

    l10n: Updated Galician (gl) translation to 92%
    
    New status: 51 messages complete with 4 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit c42885013edd9793551eb09dd8bcd0c611793c17
Author: Efstathios Iosifidis <iefstathios@gmail.com>
Date:   Mon Apr 9 18:36:21 2012 +0200

    l10n: Updated Greek (el) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 3347c3c2b56fc6c9c9ee913154d00ce6090fe142
Author: Nick Schermer <nick@xfce.org>
Date:   Sun Apr 8 00:29:48 2012 +0200

    Fix two other licenses.

commit 5f382c64aa8df4601a12e66229db1a66c9add9aa
Author: Nick Schermer <nick@xfce.org>
Date:   Sun Apr 8 00:27:51 2012 +0200

    Add missing license.

commit 84819d95b4d690f57942494bf851a9fe913ddd3c
Author: Piotr Sokół <psokol@jabster.pl>
Date:   Fri Apr 6 10:02:49 2012 +0200

    l10n: Updated Polish (pl) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 255c1a35e0f28d1fb575de6367516bc4e063d904
Author: Seong-ho Cho <darkcircle.0426@gmail.com>
Date:   Thu Apr 5 10:49:47 2012 +0200

    l10n: Updated Korean (ko) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 4186f3ddaef7cefa6fb210f79b20c59378a008e3
Author: Michał Olber <michal.olber@osworld.pl>
Date:   Wed Apr 4 00:12:10 2012 +0200

    l10n: Updated Polish (pl) translation to 85%
    
    New status: 47 messages complete with 6 fuzzies and 2 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit feeb7d80dc924419711cce5e1c713695812d1795
Author: Pjotr Anon <pliniusminor@gmail.com>
Date:   Mon Apr 2 10:47:01 2012 +0200

    l10n: Updated Dutch (Flemish) (nl) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 202f50e335a275aa7f1e79e4ef99fdf16f5febe6
Author: Nick Schermer <nick@xfce.org>
Date:   Wed Mar 28 18:14:14 2012 +0200

    Updates for release.

commit 45da2b93dd00cddd2aff6bf0db607bc7e137a162
Author: Jari Rahkonen <jari.rahkonen@pp1.inet.fi>
Date:   Wed Mar 28 15:14:28 2012 +0200

    l10n: Updated Finnish (fi) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 2c06c96c77aa001a4321f8933f06dc94078e5492
Author: Seong-ho Cho <darkcircle.0426@gmail.com>
Date:   Mon Mar 26 19:03:33 2012 +0200

    l10n: Updated Korean (ko) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 45e7ca9e071260794014705391cff9cb035e3248
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Mon Mar 26 14:08:32 2012 +0200

    l10n: Updated Hebrew (he) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit e18007248276e3a45caa79e7a5c7b9d17a5ff33c
Author: Kamil Polczak <elderlinx@gmail.com>
Date:   Wed Mar 14 18:17:45 2012 +0100

    l10n: Updated Polish (pl) translation to 70%
    
    New status: 39 messages complete with 4 fuzzies and 12 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 6cacaeee5c0caa8803f993b8d820b1b5ec73ff5b
Author: Chipong Luo <chipong.luo@yahoo.com>
Date:   Sun Mar 11 05:20:49 2012 +0100

    l10n: Updated Chinese (China) (zh_CN) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit cafe9b2c04913ce54c8d3c63cacf6152994c5a79
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Wed Feb 29 16:05:34 2012 +0100

    l10n: Updated Hebrew (he) translation to 89%
    
    New status: 49 messages complete with 6 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit da0a3b8c3791f95fcaa0d1b3c7b337faef9961b8
Author: Seong-ho Cho <darkcircle.0426@gmail.com>
Date:   Tue Feb 28 18:27:53 2012 +0100

    l10n: Updated Korean (ko) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 17e0684d7dbcf091134fcab44ff6e175d9b9507d
Author: Seong-ho Cho <darkcircle.0426@gmail.com>
Date:   Mon Feb 27 17:07:17 2012 +0100

    l10n: Updated Korean (ko) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 3704cf3502bc8cafb4e7cd7956c0ae983a415b3e
Author: Jannis Pohlmann <jannis@xfce.org>
Date:   Sat Feb 25 15:09:30 2012 +0000

    Avoid accessing list elements after they have been freed (bug #7418).

commit 52802adb3361e9d3202d4a921b8b440660878ee1
Author: Lionel Le Folgoc <lionel@lefolgoc.net>
Date:   Fri Feb 24 17:17:00 2012 +0000

    Explicitly link against gmodule (bug #8466).

commit 6d3cdc19e0f4479349bf106fcba9d8128b58d4bf
Author: churchmice <firefoxelectric@gmail.com>
Date:   Fri Feb 24 17:05:53 2012 +0000

    Add application/vnd.rn-realmedia to the ffmpeg plugin (bug #6949).

commit c48cb86cf91f46c3d90358c118de8003752ec5b0
Author: Jannis Pohlmann <jannis.pohlmann@codethink.co.uk>
Date:   Fri Feb 24 16:55:46 2012 +0000

    Call dbus_g_thread_init() to hopefully fix threading issues (bug #7544).

commit 492d5ac36af25b4555723b070c497e3d1e3f5a9b
Author: Jannis Pohlmann <jannis.pohlmann@codethink.co.uk>
Date:   Fri Feb 24 16:38:02 2012 +0000

    Update NEWS (the previous commit should have fixed bug #8236).

commit 88507955ba898d4a53241c5d542137ca35c02aac
Author: Jannis Pohlmann <jannis.pohlmann@codethink.co.uk>
Date:   Fri Feb 24 16:37:05 2012 +0000

    Link all plugins that use rint() against libm (-lm).

commit 42f0d96dc78e5ef13d9d74aaf2e86bf6ee27efa4
Author: Sergio Marques <smarquespt@gmail.com>
Date:   Thu Feb 9 20:26:19 2012 +0100

    l10n: Updated Portuguese (pt) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 7d5f4efc548b8171ba8dc86475855f5ccabe7c95
Author: Chipong Luo <chipong.luo@yahoo.com>
Date:   Wed Feb 8 10:21:56 2012 +0100

    l10n: Updated Chinese (China) (zh_CN) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 7ac897a10159ec1404c59b9d83f4d02cfff0f708
Author: Chipong Luo <chipong.luo@yahoo.com>
Date:   Wed Feb 8 07:37:40 2012 +0100

    l10n: Updated Chinese (China) (zh_CN) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 910dc157bf15368a5d27a2c38f15fef7c25f42d7
Author: Chipong Luo <chipong_l@yahoo.com>
Date:   Tue Feb 7 07:17:41 2012 +0100

    l10n: Updated Chinese (China) (zh_CN) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 760d11bf4709118d5f334fdf7580b19b00d2a8d0
Author: Andhika Padmawan <andhika.padmawan@gmail.com>
Date:   Mon Jan 30 15:13:28 2012 +0100

    l10n: Updated Indonesian (id) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit d2bac2e0435ec6396d0c2180ac9571e5c1ae3068
Author: Kamil Polczak <elderlinx@gmail.com>
Date:   Mon Jan 16 09:56:52 2012 +0100

    l10n: Updated Polish (pl) translation to 67%
    
    New status: 37 messages complete with 4 fuzzies and 14 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 68ae01b562e3a7a10429a28cb7573b011e8b37ef
Author: Milen Milev <fanfolet@gmail.com>
Date:   Sat Jan 14 11:41:11 2012 +0100

    l10n: Updates to Bulgarian translation
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit d0c13cc48cc6c70050a91dd57c940229e4afc5d7
Author: Algimantas Margevičius <gymka@mail.ru>
Date:   Wed Jan 11 10:38:09 2012 +0100

    l10n: Added Lithuanian translation
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit ab4ba2f96acd7b54f9096438e0f6c85f836082a6
Author: Fabian Nowak <timystery@arcor.de>
Date:   Sun Jan 8 01:04:44 2012 +0100

    l10n: Updated German (de) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 4302fb6ce1565a7fc5319782a87aee8f30aa5d37
Author: Fabian Nowak <timystery@arcor.de>
Date:   Sun Jan 8 00:57:27 2012 +0100

    l10n: Updated German (de) translation to 78%
    
    New status: 43 messages complete with 12 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit f5dd92d6810021898bc44b34a8fba3a85274da5d
Author: Eivind Ødegård <gingermig@yahoo.no>
Date:   Sun Jan 8 00:11:21 2012 +0100

    l10n: Added Norwegian nynorsk translation
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 56f31815ef125523442c3b7844f87461a636c3d2
Author: Andres Sanchez <afsanchez93@gmail.com>
Date:   Tue Jan 3 14:42:04 2012 +0100

    l10n: Updated Spanish (Castilian) (es) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit e171e453114604da9c77bdeb1d0d892c438005ad
Author: Thomas Schütz <xfce@thschuetz.de>
Date:   Mon Jan 2 20:50:38 2012 +0100

    l10n: Updated German (de) translation to 32%
    
    New status: 18 messages complete with 37 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 178f84611181cbbfabf985c014c0ece2a38bcc00
Author: Thomas Schütz <xfce@thschuetz.de>
Date:   Mon Jan 2 20:45:13 2012 +0100

    l10n: Updated German (de) translation to 30%
    
    New status: 17 messages complete with 38 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit d07956cf1d3008b03f2b1501defddcca7a4ca189
Author: Thomas Schütz <xfce@thschuetz.de>
Date:   Mon Jan 2 20:40:38 2012 +0100

    l10n: Updated German (de) translation to 30%
    
    New status: 17 messages complete with 38 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit a5e32332f98f615f2db843b9b4a51be785b65cd3
Author: Thomas Schütz <xfce@thschuetz.de>
Date:   Mon Jan 2 19:49:07 2012 +0100

    l10n: Updated German (de) translation to 90%
    
    New status: 50 messages complete with 5 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 0e0bd634b92d3ee3e485e83fa1177a29003e0f07
Author: Christoph Mende <angelos@gentoo.org>
Date:   Mon Jan 2 19:21:40 2012 +0100

    l10n: Updated German (de) translation to 90%
    
    New status: 50 messages complete with 5 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 2321f0fb36504359dc1ed9fa75ef87f894a1bf7e
Author: Michal Várady <miko.vaji@gmail.com>
Date:   Mon Jan 2 01:59:28 2012 +0100

    l10n: Updated Czech (cs) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 38e42dfea029aa42f3e38229059c492eeb9ca098
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Wed Dec 28 15:48:19 2011 +0100

    l10n: Updated Hebrew (he) translation to 87%
    
    New status: 48 messages complete with 7 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 2ca7f4438c3565498d4dfab43d0d85af8750d097
Author: Jannis Pohlmann <jannis@xfce.org>
Date:   Tue Dec 27 14:35:58 2011 +0100

    Make sure to include PLATFORM flags everywhere.

commit aae52f0684b1b5da995982c97a2d731ca7cf0c37
Author: Jannis Pohlmann <jannis@xfce.org>
Date:   Tue Dec 27 13:50:23 2011 +0100

    Update COPYING to the latest version of GPL2 (bug #7796).

commit db6793037f0fb1e5debfb019cebfa2d554e6416b
Author: Carles Muñoz Gorriz <carlesmu@internautas.org>
Date:   Sun Dec 18 14:05:38 2011 +0100

    l10n: Updated Catalan (Valencian) (ca) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 6f24d3fd3a4f7ba93314f03ea1efcf7590c724e6
Author: André Luiz Dias de Miranda <andreldm1989@gmail.com>
Date:   Sat Dec 17 20:36:36 2011 +0100

    l10n: Updated Portuguese (Brazilian) (pt_BR) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 721ba6c2139c63aaa31cf6daed25e0d017b29b5a
Author: Bauzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Sat Dec 17 18:05:21 2011 +0100

    l10n: Updated Kazakh (kk) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit aada7f3167d0526a60976f20937fdf141a990f3a
Author: Chipong Luo <chipong_l@yahoo.com>
Date:   Fri Dec 9 15:19:22 2011 +0100

    l10n: Updated Chinese (China) (zh_CN) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 590592697bdf8e0304a6f8a1ffa3cc590ef368d2
Author: Kristófer Arnþórsson <kristoferarnthors@gmail.com>
Date:   Mon Dec 5 09:06:00 2011 +0100

    l10n: Updated Icelandic (is) translation to 16%
    
    New status: 9 messages complete with 0 fuzzies and 46 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 8d49f78ee091f0ed8589f188be72ebaa36b991ea
Author: Nick Schermer <nick@xfce.org>
Date:   Sun Dec 4 13:21:18 2011 +0100

    Updates for release.

commit a40977608707148f7fe3e08de17a738cda83c868
Author: Nick Schermer <nick@xfce.org>
Date:   Sun Dec 4 13:20:55 2011 +0100

    Auto generate the ChangeLog.

commit 1fbe3a6b8b7c27be2b97d770c23f606d78a67b99
Author: Nick Schermer <nick@xfce.org>
Date:   Sun Dec 4 13:12:53 2011 +0100

    Set error codes in pixbuf thumbnailer.

commit 8d296917e730b1ab805ea07eae41f63bcfe77847
Author: Nick Schermer <nick@xfce.org>
Date:   Sun Dec 4 12:59:46 2011 +0100

    Exit the xdg thumbnailer nicely with corrupt png files.
    
    As described in the libpng manual, set a jump function
    for the library to exit when something goes wrong with
    reading the png file. This should prevent segfaults
    when corrupt or removed png files are read from the cache.

commit b921277724403f3e404f49871dce86276bde75b6
Author: Sveinn í Felli <sveinki@nett.is>
Date:   Sat Dec 3 09:11:28 2011 +0100

    l10n: sett inn
    
    New status: 4 messages complete with 0 fuzzies and 51 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 17bffe45329d974dad4976feb1ee5d475acaad8c
Author: Nick Schermer <nick@xfce.org>
Date:   Fri Dec 2 19:25:48 2011 +0100

    Don't crash on 0x0 errors (bug #8142).

commit ccb09e46f20c1c0b5077a7e93bde457f4ea73a8c
Author: Chipong Luo <chipong_l@yahoo.com>
Date:   Fri Dec 2 16:05:30 2011 +0100

    l10n: Updated Chinese (China) (zh_CN) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 670be3126b23d2b8d71165472713ef25b73b8410
Author: Chipong Luo <chipong_l@yahoo.com>
Date:   Fri Dec 2 14:07:05 2011 +0100

    l10n: Updated Chinese (China) (zh_CN) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 4ab1fdd7e13c61e9a0c38deff5d6c4b2e41ec316
Author: Caner Gural <cgural@gmail.com>
Date:   Fri Nov 25 16:44:23 2011 +0100

    l10n: Updated Turkish (tr) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 9914d4ed07b3e97e7fb7c0a4579dbc5cef0a59b9
Author: Mișu Moldovan <dumol@xfce.org>
Date:   Tue Nov 22 16:29:21 2011 +0100

    l10n: Updated Romanian (ro) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit e1f5db9047b0c0748bc33e293b49b5055c68b3de
Author: Mohd. Nadzrin Sapari <terjemah.puretech@gmail.com>
Date:   Fri Nov 18 19:06:34 2011 +0100

    l10n: Update for Malay translation
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 126ce493d4fec0d71c7f304b5bef4a66af8149f6
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Thu Nov 17 16:37:01 2011 +0100

    l10n: Updated Hungarian (hu) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 7289c17fcb51c7ee3afcab49b886852dffef2365
Author: Jannis Pohlmann <jannis@xfce.org>
Date:   Wed Nov 16 10:08:18 2011 +0000

    Drop AC_PROG_LIBTOOL in favor of LT_PREREQ and LT_INIT.

commit e64e0a54ded8539281681abbe416d4a83e7c03db
Author: Seong-ho Cho <darkcircle.0426@gmail.com>
Date:   Tue Nov 15 11:58:50 2011 +0100

    l10n: Updated Korean (ko) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 425a0b3cbea36dda528e28a9ed98a3e20a0d74e4
Author: Seong-ho Cho <darkcircle.0426@gmail.com>
Date:   Tue Nov 15 11:57:43 2011 +0100

    l10n: Updated Korean (ko) translation to 92%
    
    New status: 51 messages complete with 4 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit d2bf9915f2a9145e52785db34b6bc8e0e778217b
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:   Sun Nov 13 03:17:53 2011 +0100

    l10n: Updated Chinese (Taiwan) (zh_TW) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit bd654c4ef3719c0330fd64ff71e6c3d30c05ad45
Author: Mike Massonnet <mmassonnet@gmail.com>
Date:   Sat Nov 12 16:05:28 2011 +0100

    l10n: Updated French (fr) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit affa19411a83224e97196b4d64351d6d9c69dab7
Author: محمد الحرقان <malham1@gmail.com>
Date:   Fri Nov 11 13:43:55 2011 +0100

    l10n: Updated Arabic (ar) translation to 92%
    
    New status: 51 messages complete with 0 fuzzies and 4 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit b613509d78d581d2ff38a8b8de9814ecfbae9580
Author: Per Kongstad <p_kongstad@op.pl>
Date:   Fri Nov 11 11:39:56 2011 +0100

    l10n: Updated Danish (da) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit ea30d47eed50f4de5a13337341b55e35eb1e5160
Author: Tomáš Vadina <kyberdev@gmail.com>
Date:   Fri Nov 11 07:51:37 2011 +0100

    l10n: Updated Slovak (sk) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit dead0f64604f2ff5a56949c4f8673462d13242a7
Author: Xavier Devlamynck <magicrhesus@ouranos.be>
Date:   Sun Nov 6 21:29:33 2011 +0100

    l10n: Updated French (fr) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 320ddde729dbf27a36363043eb97bdf1ab8c4dfb
Author: Sergio Marques <smarquespt@gmail.com>
Date:   Sun Nov 6 20:46:10 2011 +0100

    l10n: Updated Portuguese (pt) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 5a096ca3aaec972c6b14d44db2839451f67fb989
Author: Cristian Marchi <cri.penta@gmail.com>
Date:   Sun Nov 6 17:22:33 2011 +0100

    l10n: Updated Italian (it) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 22fe49416088b2be265b591f51bf8533da364ff0
Author: Pjotr Anon <pliniusminor@gmail.com>
Date:   Sun Nov 6 14:03:27 2011 +0100

    l10n: Updated Dutch (Flemish) (nl) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 33d64c410226d8af277fc142dd06ef0e1d4c19e2
Author: Michael Martins <michaelfm21@gmail.com>
Date:   Sun Nov 6 04:20:05 2011 +0100

    l10n: Updated Portuguese (Brazilian) (pt_BR) translation to 96%
    
    New status: 53 messages complete with 2 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 1a2238a6ccdb6b5d09675a70e63999aec06d21b9
Author: Piarres Beobide <pi@beobide.net>
Date:   Sun Nov 6 00:09:26 2011 +0100

    l10n: Updated Basque (eu) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit fa2a96c013b99a709373d5bfade22758475949b7
Author: Yarema aka Knedlyk <yupadmin@gmail.com>
Date:   Sat Nov 5 23:03:57 2011 +0100

    l10n: Updated Ukrainian (uk) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit edd227e3102a2e46ea50d1c100e4ffa8cef811e1
Author: Chipong Luo <chipong_l@yahoo.com>
Date:   Sat Nov 5 17:48:23 2011 +0100

    l10n: Updated Chinese (China) (zh_CN) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit f18dd4cf1b7a1b2204401d34658e9236e4ce0ccc
Author: Chipong Luo <chipong_l@yahoo.com>
Date:   Sat Nov 5 17:43:27 2011 +0100

    l10n: Updated Chinese (China) (zh_CN) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 1663c81de4bd578d573f5d7796a8ee32cb77f3ce
Author: Aleksandr Ponomarenko <davian818@gmail.com>
Date:   Sat Nov 5 15:39:42 2011 +0100

    l10n: Updated Russian (ru) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 21986bb5e994c08846156e5466e9afa279bfc7a3
Author: Masato Hashimoto <hashimo@xfce.org>
Date:   Sat Nov 5 10:09:05 2011 +0100

    l10n: Updated Japanese (ja) translation to 100%
    
    New status: 55 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 7c625852469cdf678c5dfcf4f53f8f812b7aff4d
Author: Nick Schermer <nick@xfce.org>
Date:   Sat Nov 5 09:21:51 2011 +0100

    Add missing pot files.

commit ba447d7b134492e8389f6623b8caa766fc0b093f
Author: Cristian Marchi <cri.penta@gmail.com>
Date:   Sat Nov 5 09:09:58 2011 +0100

    l10n: Updated Italian (it) translation to 100%
    
    New status: 53 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 34bbe062a381b9ea2a349f2e771bfdf46ccf7df0
Author: Masato Hashimoto <hashimo@xfce.org>
Date:   Sat Nov 5 06:30:37 2011 +0100

    l10n: Updated Japanese (ja) translation to 100%
    
    New status: 53 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 70bb951eb4de4c261145bbd1150020b13403257e
Author: Michael Martins <michaelfm21@gmail.com>
Date:   Sat Nov 5 04:02:35 2011 +0100

    l10n: Updated Portuguese (Brazilian) (pt_BR) translation to 100%
    
    New status: 53 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 0c397fa2e6b33b8d295365590716de164e9fcd05
Author: Piarres Beobide <pi@beobide.net>
Date:   Sat Nov 5 00:50:34 2011 +0100

    l10n: Updated Basque (eu) translation to 100%
    
    New status: 53 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit e4b7915a117b09ae9a27c4acfe2129703c2ad059
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Sat Nov 5 00:44:47 2011 +0100

    l10n: Updated Hungarian (hu) translation to 100%
    
    New status: 53 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 6e2e69581cf4cc6982df95286d3c2d50f05bf65f
Author: Pjotr Anon <pliniusminor@gmail.com>
Date:   Fri Nov 4 15:44:45 2011 +0100

    l10n: Updated Dutch (Flemish) (nl) translation to 100%
    
    New status: 53 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (translations.xfce.org).

commit 1e95f74d81437b66cc5bddfb6271fcd343ecc27b
Author: Nick Schermer <nick@xfce.org>
Date:   Thu Nov 3 17:02:30 2011 +0100

    Uppercase RAW in strings.

commit 848e62fc72259aeda1469f959ec8872a56cfc96f
Author: Nick Schermer <nick@xfce.org>
Date:   Thu Nov 3 16:54:41 2011 +0100

    Improve error messages and enforce local files.

commit a4f7caf924447e2c46066a44162d53d268a69106
Author: Nick Schermer <nick@xfce.org>
Date:   Thu Nov 3 16:28:00 2011 +0100

    Scale Raw thumb to requested size.

commit 9678fcbc942ae752571438ad7723e64b982a3302
Author: Tam Merlant <tam.ille@free.fr>
Date:   Thu Nov 3 15:59:11 2011 +0100

    Implement a raw thumbnailer using libopenraw.

commit 14bcb51730324e875478d7b7b98093bd18cf8937
Author: Jannis Pohlmann <jannis@xfce.org>
Date:   Thu Nov 3 00:45:50 2011 +0100

    Add Nick to the AUTHORS file.

commit 30a507086abf809aa44809596b71ffdc5b156678
Author: Jannis Pohlmann <jannis@xfce.org>
Date:   Wed Nov 2 23:48:16 2011 +0100

    Update the TODO.

